export class ApiClientError extends Error {
    constructor(message, response = undefined) {
        super(message);
        this.name = "ApiClientError";
        this.response = response;
    }
    static async fromResponse(response, message = `error calling Atlas API`) {
        try {
            const text = await response.text();
            return new ApiClientError(`${message}: [${response.status} ${response.statusText}] ${text}`, response);
        }
        catch {
            return new ApiClientError(`${message}: ${response.status} ${response.statusText}`, response);
        }
    }
}
//# sourceMappingURL=apiClientError.js.map