import { DbOperationArgs, MongoDBToolBase } from "../mongodbTool.js";
export class DropCollectionTool extends MongoDBToolBase {
    constructor() {
        super(...arguments);
        this.name = "drop-collection";
        this.description = "Removes a collection or view from the database. The method also removes any indexes associated with the dropped collection.";
        this.argsShape = {
            ...DbOperationArgs,
        };
        this.operationType = "delete";
    }
    async execute({ database, collection }) {
        const provider = await this.ensureConnected();
        const result = await provider.dropCollection(database, collection);
        return {
            content: [
                {
                    text: `${result ? "Successfully dropped" : "Failed to drop"} collection \`${collection}\` from database \`${database}\``,
                    type: "text",
                },
            ],
        };
    }
}
//# sourceMappingURL=dropCollection.js.map