import { DbOperationArgs, MongoDBToolBase } from "../mongodbTool.js";
export class DropDatabaseTool extends MongoDBToolBase {
    constructor() {
        super(...arguments);
        this.name = "drop-database";
        this.description = "Removes the specified database, deleting the associated data files";
        this.argsShape = {
            database: DbOperationArgs.database,
        };
        this.operationType = "delete";
    }
    async execute({ database }) {
        const provider = await this.ensureConnected();
        const result = await provider.dropDatabase(database);
        return {
            content: [
                {
                    text: `${result.ok ? "Successfully dropped" : "Failed to drop"} database \`${database}\``,
                    type: "text",
                },
            ],
        };
    }
}
//# sourceMappingURL=dropDatabase.js.map