/**
 * This file was auto-generated by openapi-typescript.
 * Do not make direct changes to the file.
 */

export interface paths {
    "/api/atlas/v2/clusters": {
        parameters: {
            query?: never;
            header?: never;
            path?: never;
            cookie?: never;
        };
        /**
         * Return All Authorized Clusters in All Projects
         * @description Returns the details for all clusters in all projects to which you have access. Clusters contain a group of hosts that maintain the same data set. The response does not include multi-cloud clusters. To use this resource, the requesting Service Account or API Key can have any cluster-level role.
         */
        get: operations["listClustersForAllProjects"];
        put?: never;
        post?: never;
        delete?: never;
        options?: never;
        head?: never;
        patch?: never;
        trace?: never;
    };
    "/api/atlas/v2/groups": {
        parameters: {
            query?: never;
            header?: never;
            path?: never;
            cookie?: never;
        };
        /**
         * Return All Projects
         * @description Returns details about all projects. Projects group clusters into logical collections that support an application environment, workload, or both. Each project can have its own users, teams, security, tags, and alert settings. To use this resource, the requesting Service Account or API Key must have the Organization Read Only role or higher.
         */
        get: operations["listProjects"];
        put?: never;
        /**
         * Create One Project
         * @description Creates one project. Projects group clusters into logical collections that support an application environment, workload, or both. Each project can have its own users, teams, security, tags, and alert settings. To use this resource, the requesting Service Account or API Key must have the Read Write role.
         */
        post: operations["createProject"];
        delete?: never;
        options?: never;
        head?: never;
        patch?: never;
        trace?: never;
    };
    "/api/atlas/v2/groups/{groupId}": {
        parameters: {
            query?: never;
            header?: never;
            path?: never;
            cookie?: never;
        };
        /**
         * Return One Project
         * @description Returns details about the specified project. Projects group clusters into logical collections that support an application environment, workload, or both. Each project can have its own users, teams, security, tags, and alert settings. To use this resource, the requesting Service Account or API Key must have the Project Read Only role.
         */
        get: operations["getProject"];
        put?: never;
        post?: never;
        delete?: never;
        options?: never;
        head?: never;
        patch?: never;
        trace?: never;
    };
    "/api/atlas/v2/groups/{groupId}/accessList": {
        parameters: {
            query?: never;
            header?: never;
            path?: never;
            cookie?: never;
        };
        /**
         * Return Project IP Access List
         * @description Returns all access list entries from the specified project's IP access list. Each entry in the project's IP access list contains either one IP address or one CIDR-notated block of IP addresses. MongoDB Cloud only allows client connections to the cluster from entries in the project's IP access list. To use this resource, the requesting Service Account or API Key must have the Project Read Only or Project Charts Admin roles. This resource replaces the whitelist resource. MongoDB Cloud removed whitelists in July 2021. Update your applications to use this new resource. The `/groups/{GROUP-ID}/accessList` endpoint manages the database IP access list. This endpoint is distinct from the `orgs/{ORG-ID}/apiKeys/{API-KEY-ID}/accesslist` endpoint, which manages the access list for MongoDB Cloud organizations.
         */
        get: operations["listProjectIpAccessLists"];
        put?: never;
        /**
         * Add Entries to Project IP Access List
         * @description Adds one or more access list entries to the specified project. MongoDB Cloud only allows client connections to the cluster from entries in the project's IP access list. Write each entry as either one IP address or one CIDR-notated block of IP addresses. To use this resource, the requesting Service Account or API Key must have the Project Owner or Project Charts Admin roles. This resource replaces the whitelist resource. MongoDB Cloud removed whitelists in July 2021. Update your applications to use this new resource. The `/groups/{GROUP-ID}/accessList` endpoint manages the database IP access list. This endpoint is distinct from the `orgs/{ORG-ID}/apiKeys/{API-KEY-ID}/accesslist` endpoint, which manages the access list for MongoDB Cloud organizations. This endpoint doesn't support concurrent `POST` requests. You must submit multiple `POST` requests synchronously.
         */
        post: operations["createProjectIpAccessList"];
        delete?: never;
        options?: never;
        head?: never;
        patch?: never;
        trace?: never;
    };
    "/api/atlas/v2/groups/{groupId}/clusters": {
        parameters: {
            query?: never;
            header?: never;
            path?: never;
            cookie?: never;
        };
        /**
         * Return All Clusters in One Project
         * @description Returns the details for all clusters in the specific project to which you have access. Clusters contain a group of hosts that maintain the same data set. The response includes clusters with asymmetrically-sized shards. To use this resource, the requesting Service Account or API Key must have the Project Read Only role. This feature is not  available for serverless clusters.
         *
         *     This endpoint can also be used on Flex clusters that were created using the [createCluster](https://www.mongodb.com/docs/atlas/reference/api-resources-spec/v2/#tag/Clusters/operation/createCluster) endpoint or former M2/M5 clusters that have been migrated to Flex clusters until January 2026. Please use the listFlexClusters endpoint for Flex clusters instead. Deprecated versions: v2-{2023-02-01}, v2-{2023-01-01}
         */
        get: operations["listClusters"];
        put?: never;
        /**
         * Create One Cluster from One Project
         * @description Creates one cluster in the specified project. Clusters contain a group of hosts that maintain the same data set. This resource can create clusters with asymmetrically-sized shards. Each project supports up to 25 database deployments. To use this resource, the requesting Service Account or API Key must have the Project Owner role. This feature is not available for serverless clusters.
         *
         *     Please note that using an instanceSize of M2 or M5 will create a Flex cluster instead. Support for the instanceSize of M2 or M5 will be discontinued in January 2026. We recommend using the createFlexCluster API for such configurations moving forward. Deprecated versions: v2-{2024-08-05}, v2-{2023-02-01}, v2-{2023-01-01}
         */
        post: operations["createCluster"];
        delete?: never;
        options?: never;
        head?: never;
        patch?: never;
        trace?: never;
    };
    "/api/atlas/v2/groups/{groupId}/clusters/{clusterName}": {
        parameters: {
            query?: never;
            header?: never;
            path?: never;
            cookie?: never;
        };
        /**
         * Return One Cluster from One Project
         * @description Returns the details for one cluster in the specified project. Clusters contain a group of hosts that maintain the same data set. The response includes clusters with asymmetrically-sized shards. To use this resource, the requesting Service Account or API Key must have the Project Read Only role. This feature is not available for serverless clusters.
         *
         *     This endpoint can also be used on Flex clusters that were created using the [createCluster](https://www.mongodb.com/docs/atlas/reference/api-resources-spec/v2/#tag/Clusters/operation/createCluster) endpoint or former M2/M5 clusters that have been migrated to Flex clusters until January 2026. Please use the getFlexCluster endpoint for Flex clusters instead. Deprecated versions: v2-{2023-02-01}, v2-{2023-01-01}
         */
        get: operations["getCluster"];
        put?: never;
        post?: never;
        delete?: never;
        options?: never;
        head?: never;
        patch?: never;
        trace?: never;
    };
    "/api/atlas/v2/groups/{groupId}/databaseUsers": {
        parameters: {
            query?: never;
            header?: never;
            path?: never;
            cookie?: never;
        };
        /**
         * Return All Database Users from One Project
         * @description Returns all database users that belong to the specified project. To use this resource, the requesting Service Account or API Key must have the Project Read Only role.
         */
        get: operations["listDatabaseUsers"];
        put?: never;
        /**
         * Create One Database User in One Project
         * @description Creates one database user in the specified project. This MongoDB Cloud supports a maximum of 100 database users per project. If you require more than 100 database users on a project, contact Support. To use this resource, the requesting Service Account or API Key must have the Project Owner role, the Project Charts Admin role, Project Stream Processing Owner role, or the Project Database Access Admin role.
         */
        post: operations["createDatabaseUser"];
        delete?: never;
        options?: never;
        head?: never;
        patch?: never;
        trace?: never;
    };
}
export type webhooks = Record<string, never>;
export interface components {
    schemas: {
        /**
         * AWS
         * @description Collection of settings that configures the network container for a virtual private connection on Amazon Web Services.
         */
        AWSCloudProviderContainer: Omit<components["schemas"]["CloudProviderContainer"], "providerName"> & {
            /** @description IP addresses expressed in Classless Inter-Domain Routing (CIDR) notation that MongoDB Cloud uses for the network peering containers in your project. MongoDB Cloud assigns all of the project's clusters deployed to this cloud provider an IP address from this range. MongoDB Cloud locks this value if an M10 or greater cluster or a network peering connection exists in this project.
             *
             *     These CIDR blocks must fall within the ranges reserved per RFC 1918. AWS and Azure further limit the block to between the `/24` and  `/21` ranges.
             *
             *     To modify the CIDR block, the target project cannot have:
             *
             *     - Any M10 or greater clusters
             *     - Any other VPC peering connections
             *
             *      You can also create a new project and create a network peering connection to set the desired MongoDB Cloud network peering container CIDR block for that project. MongoDB Cloud limits the number of MongoDB nodes per network peering connection based on the CIDR block and the region selected for the project.
             *
             *      **Example:** A project in an Amazon Web Services (AWS) region supporting three availability zones and an MongoDB CIDR network peering container block of limit of `/24` equals 27 three-node replica sets. */
            atlasCidrBlock?: string;
            /**
             * @description Geographic area that Amazon Web Services (AWS) defines to which MongoDB Cloud deployed this network peering container.
             * @enum {string}
             */
            regionName:
                | "US_EAST_1"
                | "US_EAST_2"
                | "US_WEST_1"
                | "US_WEST_2"
                | "CA_CENTRAL_1"
                | "EU_NORTH_1"
                | "EU_WEST_1"
                | "EU_WEST_2"
                | "EU_WEST_3"
                | "EU_CENTRAL_1"
                | "EU_CENTRAL_2"
                | "SA_EAST_1"
                | "AP_EAST_1"
                | "AP_SOUTHEAST_2"
                | "AP_SOUTHEAST_3"
                | "AP_SOUTHEAST_4"
                | "AP_NORTHEAST_1"
                | "AP_NORTHEAST_2"
                | "AP_NORTHEAST_3"
                | "AP_SOUTHEAST_1"
                | "AP_SOUTH_1"
                | "AP_SOUTH_2"
                | "CN_NORTH_1"
                | "CN_NORTHWEST_1"
                | "ME_CENTRAL_1"
                | "ME_SOUTH_1"
                | "AF_SOUTH_1"
                | "EU_SOUTH_1"
                | "EU_SOUTH_2"
                | "IL_CENTRAL_1"
                | "CA_WEST_1"
                | "AP_SOUTHEAST_5"
                | "AP_SOUTHEAST_7"
                | "MX_CENTRAL_1"
                | "GLOBAL"
                | "US_GOV_WEST_1"
                | "US_GOV_EAST_1";
            /**
             * @description Unique string that identifies the MongoDB Cloud VPC on AWS.
             * @example vpc-b555d3b0d9cb783b0
             */
            readonly vpcId?: string;
        } & {
            /**
             * @description discriminator enum property added by openapi-typescript
             * @enum {string}
             */
            providerName: "AWS";
        }  ;
        AWSCloudProviderSettings: Omit<components["schemas"]["ClusterProviderSettings"], "providerName"> & {
            autoScaling?: components["schemas"]["CloudProviderAWSAutoScaling"];
            /**
             * Format: int32
             * @description Maximum Disk Input/Output Operations per Second (IOPS) that the database host can perform.
             */
            diskIOPS?: number;
            /**
             * @deprecated
             * @description Flag that indicates whether the Amazon Elastic Block Store (EBS) encryption feature encrypts the host's root volume for both data at rest within the volume and for data moving between the volume and the cluster. Clusters always have this setting enabled.
             * @default true
             */
            encryptEBSVolume: boolean;
            /**
             * AWS Instance Sizes
             * @description Cluster tier, with a default storage and memory capacity, that applies to all the data-bearing hosts in your cluster.
             * @enum {string}
             */
            instanceSizeName?:
                | "M10"
                | "M20"
                | "M30"
                | "M40"
                | "M50"
                | "M60"
                | "M80"
                | "M100"
                | "M140"
                | "M200"
                | "M300"
                | "R40"
                | "R50"
                | "R60"
                | "R80"
                | "R200"
                | "R300"
                | "R400"
                | "R700"
                | "M40_NVME"
                | "M50_NVME"
                | "M60_NVME"
                | "M80_NVME"
                | "M200_NVME"
                | "M400_NVME";
            /**
             * AWS Regions
             * @description Physical location where MongoDB Cloud deploys your AWS-hosted MongoDB cluster nodes. The region you choose can affect network latency for clients accessing your databases. When MongoDB Cloud deploys a dedicated cluster, it checks if a VPC or VPC connection exists for that provider and region. If not, MongoDB Cloud creates them as part of the deployment. MongoDB Cloud assigns the VPC a CIDR block. To limit a new VPC peering connection to one CIDR block and region, create the connection first. Deploy the cluster after the connection starts.
             * @enum {string}
             */
            regionName?:
                | "US_GOV_WEST_1"
                | "US_GOV_EAST_1"
                | "US_EAST_1"
                | "US_EAST_2"
                | "US_WEST_1"
                | "US_WEST_2"
                | "CA_CENTRAL_1"
                | "EU_NORTH_1"
                | "EU_WEST_1"
                | "EU_WEST_2"
                | "EU_WEST_3"
                | "EU_CENTRAL_1"
                | "EU_CENTRAL_2"
                | "AP_EAST_1"
                | "AP_NORTHEAST_1"
                | "AP_NORTHEAST_2"
                | "AP_NORTHEAST_3"
                | "AP_SOUTHEAST_1"
                | "AP_SOUTHEAST_2"
                | "AP_SOUTHEAST_3"
                | "AP_SOUTHEAST_4"
                | "AP_SOUTH_1"
                | "AP_SOUTH_2"
                | "SA_EAST_1"
                | "CN_NORTH_1"
                | "CN_NORTHWEST_1"
                | "ME_SOUTH_1"
                | "ME_CENTRAL_1"
                | "AF_SOUTH_1"
                | "EU_SOUTH_1"
                | "EU_SOUTH_2"
                | "IL_CENTRAL_1"
                | "CA_WEST_1"
                | "AP_SOUTHEAST_5"
                | "AP_SOUTHEAST_7"
                | "MX_CENTRAL_1"
                | "GLOBAL";
            /**
             * @description Disk Input/Output Operations per Second (IOPS) setting for Amazon Web Services (AWS) storage that you configure only for abbr title="Amazon Web Services">AWS</abbr>. Specify whether Disk Input/Output Operations per Second (IOPS) must not exceed the default Input/Output Operations per Second (IOPS) rate for the selected volume size (`STANDARD`), or must fall within the allowable Input/Output Operations per Second (IOPS) range for the selected volume size (`PROVISIONED`). You must set this value to (`PROVISIONED`) for NVMe clusters.
             * @enum {string}
             */
            volumeType?: "STANDARD" | "PROVISIONED";
        } & {
            /**
             * @description discriminator enum property added by openapi-typescript
             * @enum {string}
             */
            providerName: "AWS";
        }  ;
        /**
         * AWS
         * @description Collection of settings that configures how a cluster might scale its cluster tier and whether the cluster can scale down. Cluster tier auto-scaling is unavailable for clusters using Low CPU or NVME storage classes.
         */
        AWSComputeAutoScaling: {
            /**
             * AWS Instance Sizes
             * @description Maximum instance size to which your cluster can automatically scale.
             * @enum {string}
             */
            maxInstanceSize?:
                | "M10"
                | "M20"
                | "M30"
                | "M40"
                | "M50"
                | "M60"
                | "M80"
                | "M100"
                | "M140"
                | "M200"
                | "M300"
                | "R40"
                | "R50"
                | "R60"
                | "R80"
                | "R200"
                | "R300"
                | "R400"
                | "R700"
                | "M40_NVME"
                | "M50_NVME"
                | "M60_NVME"
                | "M80_NVME"
                | "M200_NVME"
                | "M400_NVME";
            /**
             * AWS Instance Sizes
             * @description Minimum instance size to which your cluster can automatically scale.
             * @enum {string}
             */
            minInstanceSize?:
                | "M10"
                | "M20"
                | "M30"
                | "M40"
                | "M50"
                | "M60"
                | "M80"
                | "M100"
                | "M140"
                | "M200"
                | "M300"
                | "R40"
                | "R50"
                | "R60"
                | "R80"
                | "R200"
                | "R300"
                | "R400"
                | "R700"
                | "M40_NVME"
                | "M50_NVME"
                | "M60_NVME"
                | "M80_NVME"
                | "M200_NVME"
                | "M400_NVME";
        };
        AWSCreateDataProcessRegionView: Omit<components["schemas"]["CreateDataProcessRegionView"], "cloudProvider"> & {
            /**
             * @description Human-readable label that identifies the geographic location of the region where you wish to store your archived data.
             * @enum {string}
             */
            region?:
                | "US_EAST_1"
                | "US_WEST_2"
                | "SA_EAST_1"
                | "EU_WEST_1"
                | "EU_WEST_2"
                | "EU_CENTRAL_1"
                | "AP_SOUTH_1"
                | "AP_SOUTHEAST_1"
                | "AP_SOUTHEAST_2";
        } & {
            /**
             * @description discriminator enum property added by openapi-typescript
             * @enum {string}
             */
            cloudProvider: "AWS";
        };
        AWSDataProcessRegionView: Omit<components["schemas"]["DataProcessRegionView"], "cloudProvider"> & {
            /**
             * @description Human-readable label that identifies the geographic location of the region where you store your archived data.
             * @enum {string}
             */
            readonly region?:
                | "US_EAST_1"
                | "US_WEST_2"
                | "SA_EAST_1"
                | "EU_WEST_1"
                | "EU_WEST_2"
                | "EU_CENTRAL_1"
                | "AP_SOUTH_1"
                | "AP_SOUTHEAST_1"
                | "AP_SOUTHEAST_2";
        } & {
            /**
             * @description discriminator enum property added by openapi-typescript
             * @enum {string}
             */
            cloudProvider: "AWS";
        };
        /**
         * AWS Cluster Hardware Settings
         * @description Hardware specifications for nodes deployed in the region.
         */
        AWSHardwareSpec: {
            /**
             * Format: int32
             * @description Target IOPS (Input/Output Operations Per Second) desired for storage attached to this hardware.
             *
             *      Change this parameter if you:
             *
             *     - set `"replicationSpecs[n].regionConfigs[m].providerName" to "AWS"`.
             *     - set `"replicationSpecs[n].regionConfigs[m].electableSpecs.instanceSize" to "M30"` or greater (not including `Mxx_NVME` tiers).
             *
             *     - set `"replicationSpecs[n].regionConfigs[m].electableSpecs.ebsVolumeType" to "PROVISIONED"`.
             *
             *     The maximum input/output operations per second (IOPS) depend on the selected **.instanceSize** and **.diskSizeGB**.
             *     This parameter defaults to the cluster tier's standard IOPS value.
             *     Changing this value impacts cluster cost.
             *     MongoDB Cloud enforces minimum ratios of storage capacity to system memory for given cluster tiers. This keeps cluster performance consistent with large datasets.
             *
             *     - Instance sizes `M10` to `M40` have a ratio of disk capacity to system memory of 60:1.
             *     - Instance sizes greater than `M40` have a ratio of 120:1.
             */
            diskIOPS?: number;
            /**
             * @description Type of storage you want to attach to your AWS-provisioned cluster.
             *
             *     - `STANDARD` volume types can't exceed the default input/output operations per second (IOPS) rate for the selected volume size.
             *
             *     - `PROVISIONED` volume types must fall within the allowable IOPS range for the selected volume size. You must set this value to (`PROVISIONED`) for NVMe clusters.
             * @default STANDARD
             * @enum {string}
             */
            ebsVolumeType: "STANDARD" | "PROVISIONED";
            /**
             * AWS Instance Sizes
             * @description Hardware specification for the instance sizes in this region. Each instance size has a default storage and memory capacity. The instance size you select applies to all the data-bearing hosts of the node type.
             * @enum {string}
             */
            instanceSize?:
                | "M10"
                | "M20"
                | "M30"
                | "M40"
                | "M50"
                | "M60"
                | "M80"
                | "M100"
                | "M140"
                | "M200"
                | "M300"
                | "R40"
                | "R50"
                | "R60"
                | "R80"
                | "R200"
                | "R300"
                | "R400"
                | "R700"
                | "M40_NVME"
                | "M50_NVME"
                | "M60_NVME"
                | "M80_NVME"
                | "M200_NVME"
                | "M400_NVME";
            /**
             * Format: int32
             * @description Number of nodes of the given type for MongoDB Cloud to deploy to the region.
             */
            nodeCount?: number;
        };
        /**
         * AWS Cluster Hardware Settings
         * @description Hardware specifications for nodes deployed in the region.
         */
        AWSHardwareSpec20240805: {
            /**
             * Format: int32
             * @description Target IOPS (Input/Output Operations Per Second) desired for storage attached to this hardware.
             *
             *      You can set different IOPS values on different shards when provisioned IOPS are supported.
             *
             *      Change this parameter if you:
             *
             *     - set `"replicationSpecs[n].regionConfigs[m].providerName" to "AWS"`.
             *     - set `"replicationSpecs[n].regionConfigs[m].electableSpecs.instanceSize" to "M30"` or greater (not including `Mxx_NVME` tiers).
             *
             *     - set `"replicationSpecs[n].regionConfigs[m].electableSpecs.ebsVolumeType" to "PROVISIONED"`.
             *
             *     The maximum input/output operations per second (IOPS) depend on the selected **.instanceSize** and **.diskSizeGB**.
             *     This parameter defaults to the cluster tier's standard IOPS value.
             *     Changing this value impacts cluster cost.
             *     MongoDB Cloud enforces minimum ratios of storage capacity to system memory for given cluster tiers. This keeps cluster performance consistent with large datasets.
             *
             *     - Instance sizes `M10` to `M40` have a ratio of disk capacity to system memory of 60:1.
             *     - Instance sizes greater than `M40` have a ratio of 120:1.
             */
            diskIOPS?: number;
            /**
             * Format: double
             * @description Storage capacity of instance data volumes expressed in gigabytes. Increase this number to add capacity.
             *
             *      This value must be equal for all shards and node types.
             *
             *      This value is not configurable on M0/M2/M5 clusters.
             *
             *      MongoDB Cloud requires this parameter if you set **replicationSpecs**.
             *
             *      If you specify a disk size below the minimum (10 GB), this parameter defaults to the minimum disk size value.
             *
             *      Storage charge calculations depend on whether you choose the default value or a custom value.
             *
             *      The maximum value for disk storage cannot exceed 50 times the maximum RAM for the selected cluster. If you require more storage space, consider upgrading your cluster to a higher tier.
             */
            diskSizeGB?: number;
            /**
             * @description Type of storage you want to attach to your AWS-provisioned cluster.
             *
             *     - `STANDARD` volume types can't exceed the default input/output operations per second (IOPS) rate for the selected volume size.
             *
             *     - `PROVISIONED` volume types must fall within the allowable IOPS range for the selected volume size. You must set this value to (`PROVISIONED`) for NVMe clusters.
             * @default STANDARD
             * @enum {string}
             */
            ebsVolumeType: "STANDARD" | "PROVISIONED";
            /**
             * AWS Instance Sizes
             * @description Hardware specification for the instance sizes in this region in this shard. Each instance size has a default storage and memory capacity. Electable nodes and read-only nodes (known as "base nodes") within a single shard must use the same instance size. Analytics nodes can scale independently from base nodes within a shard. Both base nodes and analytics nodes can scale independently from their equivalents in other shards.
             * @enum {string}
             */
            instanceSize?:
                | "M10"
                | "M20"
                | "M30"
                | "M40"
                | "M50"
                | "M60"
                | "M80"
                | "M100"
                | "M140"
                | "M200"
                | "M300"
                | "R40"
                | "R50"
                | "R60"
                | "R80"
                | "R200"
                | "R300"
                | "R400"
                | "R700"
                | "M40_NVME"
                | "M50_NVME"
                | "M60_NVME"
                | "M80_NVME"
                | "M200_NVME"
                | "M400_NVME";
            /**
             * Format: int32
             * @description Number of nodes of the given type for MongoDB Cloud to deploy to the region.
             */
            nodeCount?: number;
        };
        /**
         * AWS Regional Replication Specifications
         * @description Details that explain how MongoDB Cloud replicates data in one region on the specified MongoDB database.
         */
        AWSRegionConfig: Omit<components["schemas"]["CloudRegionConfig"], "providerName"> & {
            analyticsAutoScaling?: components["schemas"]["AdvancedAutoScalingSettings"];
            analyticsSpecs?: components["schemas"]["DedicatedHardwareSpec"];
            autoScaling?: components["schemas"]["AdvancedAutoScalingSettings"];
            readOnlySpecs?: components["schemas"]["DedicatedHardwareSpec"];
        } & {
            /**
             * @description discriminator enum property added by openapi-typescript
             * @enum {string}
             */
            providerName: "AWS";
        }  ;
        /**
         * AWS Regional Replication Specifications
         * @description Details that explain how MongoDB Cloud replicates data in one region on the specified MongoDB database.
         */
        AWSRegionConfig20240805: Omit<components["schemas"]["CloudRegionConfig20240805"], "providerName"> & {
            analyticsAutoScaling?: components["schemas"]["AdvancedAutoScalingSettings"];
            analyticsSpecs?: components["schemas"]["DedicatedHardwareSpec20240805"];
            autoScaling?: components["schemas"]["AdvancedAutoScalingSettings"];
            readOnlySpecs?: components["schemas"]["DedicatedHardwareSpec20240805"];
        } & {
            /**
             * @description discriminator enum property added by openapi-typescript
             * @enum {string}
             */
            providerName: "AWS";
        }  ;
        /**
         * Automatic Scaling Settings
         * @description Options that determine how this cluster handles resource scaling.
         */
        AdvancedAutoScalingSettings: {
            compute?: components["schemas"]["AdvancedComputeAutoScaling"];
            diskGB?: components["schemas"]["DiskGBAutoScaling"];
        };
        /**
         * Automatic Compute Scaling Settings
         * @description Options that determine how this cluster handles CPU scaling.
         */
        AdvancedComputeAutoScaling: {
            /** @description Flag that indicates whether instance size reactive auto-scaling is enabled.
             *
             *     - Set to `true` to enable instance size reactive auto-scaling. If enabled, you must specify a value for **replicationSpecs[n].regionConfigs[m].autoScaling.compute.maxInstanceSize**.
             *     - Set to `false` to disable instance size reactive auto-scaling. */
            enabled?: boolean;
            maxInstanceSize?: components["schemas"]["BaseCloudProviderInstanceSize"];
            minInstanceSize?: components["schemas"]["BaseCloudProviderInstanceSize"];
            /** @description Flag that indicates whether predictive instance size auto-scaling is enabled.
             *
             *     - Set to `true` to enable predictive instance size auto-scaling. MongoDB Cloud requires **replicationSpecs[n].regionConfigs[m].autoScaling.compute.enabled** to be `true` in order to enable this feature.
             *     - Set to `false` to disable predictive instance size auto-scaling. */
            predictiveEnabled?: boolean;
            /** @description Flag that indicates whether the instance size may scale down via reactive auto-scaling. MongoDB Cloud requires this parameter if **replicationSpecs[n].regionConfigs[m].autoScaling.compute.enabled** is `true`. If you enable this option, specify a value for **replicationSpecs[n].regionConfigs[m].autoScaling.compute.minInstanceSize**. */
            scaleDownEnabled?: boolean;
        };
        /** @description Object that contains the identifying characteristics of the Amazon Web Services (AWS) Key Management Service (KMS). This field always returns a null value. */
        ApiAtlasCloudProviderAccessFeatureUsageFeatureIdView: Record<string, never> | null;
        /** @description Group of settings that configures a subset of the advanced configuration details. */
        ApiAtlasClusterAdvancedConfigurationView: {
            /** @description The custom OpenSSL cipher suite list for TLS 1.2. This field is only valid when `tlsCipherConfigMode` is set to `CUSTOM`. */
            customOpensslCipherConfigTls12?: (
                | "TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384"
                | "TLS_ECDHE_RSA_WITH_AES_128_GCM_SHA256"
            )[];
            /**
             * @description Minimum Transport Layer Security (TLS) version that the cluster accepts for incoming connections. Clusters using TLS 1.0 or 1.1 should consider setting TLS 1.2 as the minimum TLS protocol version.
             * @enum {string}
             */
            minimumEnabledTlsProtocol?: "TLS1_0" | "TLS1_1" | "TLS1_2";
            /**
             * @description The TLS cipher suite configuration mode. The default mode uses the default cipher suites. The custom mode allows you to specify custom cipher suites for both TLS 1.2 and TLS 1.3.
             * @enum {string}
             */
            tlsCipherConfigMode?: "CUSTOM" | "DEFAULT";
        };
        /**
         * analyzers
         * @description Settings that describe one Atlas Search custom analyzer.
         */
        ApiAtlasFTSAnalyzersViewManual: {
            /** @description Filters that examine text one character at a time and perform filtering operations. */
            charFilters?: (
                | components["schemas"]["charFilterhtmlStrip"]
                | components["schemas"]["charFiltericuNormalize"]
                | components["schemas"]["charFiltermapping"]
                | components["schemas"]["charFilterpersian"]
            )[];
            /** @description Human-readable name that identifies the custom analyzer. Names must be unique within an index, and must not start with any of the following strings:
             *     - `lucene.`
             *     - `builtin.`
             *     - `mongodb.` */
            name: string;
            /** @description Filter that performs operations such as:
             *
             *     - Stemming, which reduces related words, such as "talking", "talked", and "talks" to their root word "talk".
             *
             *     - Redaction, the removal of sensitive information from public documents. */
            tokenFilters?: (
                | components["schemas"]["tokenFilterasciiFolding"]
                | components["schemas"]["tokenFilterdaitchMokotoffSoundex"]
                | components["schemas"]["tokenFilteredgeGram"]
                | components["schemas"]["TokenFilterEnglishPossessive"]
                | components["schemas"]["TokenFilterFlattenGraph"]
                | components["schemas"]["tokenFiltericuFolding"]
                | components["schemas"]["tokenFiltericuNormalizer"]
                | components["schemas"]["TokenFilterkStemming"]
                | components["schemas"]["tokenFilterlength"]
                | components["schemas"]["tokenFilterlowercase"]
                | components["schemas"]["tokenFilternGram"]
                | components["schemas"]["TokenFilterPorterStemming"]
                | components["schemas"]["tokenFilterregex"]
                | components["schemas"]["tokenFilterreverse"]
                | components["schemas"]["tokenFiltershingle"]
                | components["schemas"]["tokenFiltersnowballStemming"]
                | components["schemas"]["TokenFilterSpanishPluralStemming"]
                | components["schemas"]["TokenFilterStempel"]
                | components["schemas"]["tokenFilterstopword"]
                | components["schemas"]["tokenFiltertrim"]
                | components["schemas"]["TokenFilterWordDelimiterGraph"]
            )[];
            /** @description Tokenizer that you want to use to create tokens. Tokens determine how Atlas Search splits up text into discrete chunks for indexing. */
            tokenizer:
                | components["schemas"]["tokenizeredgeGram"]
                | components["schemas"]["tokenizerkeyword"]
                | components["schemas"]["tokenizernGram"]
                | components["schemas"]["tokenizerregexCaptureGroup"]
                | components["schemas"]["tokenizerregexSplit"]
                | components["schemas"]["tokenizerstandard"]
                | components["schemas"]["tokenizeruaxUrlEmail"]
                | components["schemas"]["tokenizerwhitespace"];
        };
        /**
         * mappings
         * @description Index specifications for the collection's fields.
         */
        ApiAtlasFTSMappingsViewManual: {
            /**
             * @description Flag that indicates whether the index uses dynamic or static mappings. Required if **mappings.fields** is omitted.
             * @default false
             */
            dynamic: boolean;
            /** @description One or more field specifications for the Atlas Search index. Required if **mappings.dynamic** is omitted or set to **false**. */
            fields?: {
                [key: string]: Record<string, never>;
            };
        };
        ApiError: {
            badRequestDetail?: components["schemas"]["BadRequestDetail"];
            /** @description Describes the specific conditions or reasons that cause each type of error. */
            detail?: string;
            /**
             * Format: int32
             * @description HTTP status code returned with this error.
             */
            readonly error: number;
            /** @description Application error code returned with this error. */
            readonly errorCode: string;
            /** @description Parameters used to give more information about the error. */
            readonly parameters?: Record<string, never>[];
            /** @description Application error message returned with this error. */
            readonly reason?: string;
        };
        /** Atlas Search Analyzer */
        AtlasSearchAnalyzer: {
            /** @description Filters that examine text one character at a time and perform filtering operations. */
            charFilters?: components["schemas"]["BasicDBObject"][];
            /** @description Name that identifies the custom analyzer. Names must be unique within an index, and must not start with any of the following strings:
             *     - `lucene.`
             *     - `builtin.`
             *     - `mongodb.` */
            name: string;
            /** @description Filter that performs operations such as:
             *
             *     - Stemming, which reduces related words, such as "talking", "talked", and "talks" to their root word "talk".
             *
             *     - Redaction, which is the removal of sensitive information from public documents. */
            tokenFilters?: components["schemas"]["BasicDBObject"][];
            /** @description Tokenizer that you want to use to create tokens. Tokens determine how Atlas Search splits up text into discrete chunks for indexing. */
            tokenizer: {
                [key: string]: Record<string, never>;
            };
        };
        /**
         * AZURE
         * @description Collection of settings that configures the network container for a virtual private connection on Amazon Web Services.
         */
        AzureCloudProviderContainer: Omit<components["schemas"]["CloudProviderContainer"], "providerName"> & {
            /** @description IP addresses expressed in Classless Inter-Domain Routing (CIDR) notation that MongoDB Cloud uses for the network peering containers in your project. MongoDB Cloud assigns all of the project's clusters deployed to this cloud provider an IP address from this range. MongoDB Cloud locks this value if an M10 or greater cluster or a network peering connection exists in this project.
             *
             *     These CIDR blocks must fall within the ranges reserved per RFC 1918. AWS and Azure further limit the block to between the `/24` and  `/21` ranges.
             *
             *     To modify the CIDR block, the target project cannot have:
             *
             *     - Any M10 or greater clusters
             *     - Any other VPC peering connections
             *
             *      You can also create a new project and create a network peering connection to set the desired MongoDB Cloud network peering container CIDR block for that project. MongoDB Cloud limits the number of MongoDB nodes per network peering connection based on the CIDR block and the region selected for the project.
             *
             *      **Example:** A project in an Amazon Web Services (AWS) region supporting three availability zones and an MongoDB CIDR network peering container block of limit of `/24` equals 27 three-node replica sets. */
            atlasCidrBlock: string;
            /**
             * @description Unique string that identifies the Azure subscription in which the MongoDB Cloud VNet resides.
             * @example 32b6e34b3d91647abb20e7b8
             */
            readonly azureSubscriptionId?: string;
            /**
             * @description Azure region to which MongoDB Cloud deployed this network peering container.
             * @enum {string}
             */
            region:
                | "US_CENTRAL"
                | "US_EAST"
                | "US_EAST_2"
                | "US_EAST_2_EUAP"
                | "US_NORTH_CENTRAL"
                | "US_WEST"
                | "US_SOUTH_CENTRAL"
                | "EUROPE_NORTH"
                | "EUROPE_WEST"
                | "US_WEST_CENTRAL"
                | "US_WEST_2"
                | "US_WEST_3"
                | "CANADA_EAST"
                | "CANADA_CENTRAL"
                | "BRAZIL_SOUTH"
                | "BRAZIL_SOUTHEAST"
                | "AUSTRALIA_EAST"
                | "AUSTRALIA_SOUTH_EAST"
                | "AUSTRALIA_CENTRAL"
                | "AUSTRALIA_CENTRAL_2"
                | "UAE_NORTH"
                | "GERMANY_CENTRAL"
                | "GERMANY_NORTH_EAST"
                | "GERMANY_WEST_CENTRAL"
                | "GERMANY_NORTH"
                | "SWITZERLAND_NORTH"
                | "SWITZERLAND_WEST"
                | "SWEDEN_CENTRAL"
                | "SWEDEN_SOUTH"
                | "UK_SOUTH"
                | "UK_WEST"
                | "INDIA_CENTRAL"
                | "INDIA_WEST"
                | "INDIA_SOUTH"
                | "CHINA_EAST"
                | "CHINA_NORTH"
                | "ASIA_EAST"
                | "JAPAN_EAST"
                | "JAPAN_WEST"
                | "ASIA_SOUTH_EAST"
                | "KOREA_CENTRAL"
                | "KOREA_SOUTH"
                | "FRANCE_CENTRAL"
                | "FRANCE_SOUTH"
                | "SOUTH_AFRICA_NORTH"
                | "SOUTH_AFRICA_WEST"
                | "NORWAY_EAST"
                | "NORWAY_WEST"
                | "UAE_CENTRAL"
                | "QATAR_CENTRAL"
                | "POLAND_CENTRAL"
                | "ISRAEL_CENTRAL"
                | "ITALY_NORTH"
                | "SPAIN_CENTRAL"
                | "MEXICO_CENTRAL"
                | "NEW_ZEALAND_NORTH";
            /** @description Unique string that identifies the Azure VNet in which MongoDB Cloud clusters in this network peering container exist. The response returns **null** if no clusters exist in this network peering container. */
            readonly vnetName?: string;
        } & {
            /**
             * @description discriminator enum property added by openapi-typescript
             * @enum {string}
             */
            providerName: "AZURE";
        }  ;
        AzureCloudProviderSettings: Omit<components["schemas"]["ClusterProviderSettings"], "providerName"> & {
            autoScaling?: components["schemas"]["CloudProviderAzureAutoScaling"];
            /**
             * @description Disk type that corresponds to the host's root volume for Azure instances. If omitted, the default disk type for the selected **providerSettings.instanceSizeName** applies.
             * @enum {string}
             */
            diskTypeName?: "P2" | "P3" | "P4" | "P6" | "P10" | "P15" | "P20" | "P30" | "P40" | "P50";
            /**
             * Azure Instance Sizes
             * @description Cluster tier, with a default storage and memory capacity, that applies to all the data-bearing hosts in your cluster.
             * @enum {string}
             */
            instanceSizeName?:
                | "M10"
                | "M20"
                | "M30"
                | "M40"
                | "M50"
                | "M60"
                | "M80"
                | "M90"
                | "M200"
                | "R40"
                | "R50"
                | "R60"
                | "R80"
                | "R200"
                | "R300"
                | "R400"
                | "M60_NVME"
                | "M80_NVME"
                | "M200_NVME"
                | "M300_NVME"
                | "M400_NVME"
                | "M600_NVME";
            /**
             * Azure Regions
             * @description Microsoft Azure Regions.
             * @enum {string}
             */
            regionName?:
                | "US_CENTRAL"
                | "US_EAST"
                | "US_EAST_2"
                | "US_NORTH_CENTRAL"
                | "US_WEST"
                | "US_SOUTH_CENTRAL"
                | "EUROPE_NORTH"
                | "EUROPE_WEST"
                | "US_WEST_CENTRAL"
                | "US_WEST_2"
                | "US_WEST_3"
                | "CANADA_EAST"
                | "CANADA_CENTRAL"
                | "BRAZIL_SOUTH"
                | "BRAZIL_SOUTHEAST"
                | "AUSTRALIA_CENTRAL"
                | "AUSTRALIA_CENTRAL_2"
                | "AUSTRALIA_EAST"
                | "AUSTRALIA_SOUTH_EAST"
                | "GERMANY_CENTRAL"
                | "GERMANY_NORTH_EAST"
                | "GERMANY_WEST_CENTRAL"
                | "GERMANY_NORTH"
                | "SWEDEN_CENTRAL"
                | "SWEDEN_SOUTH"
                | "SWITZERLAND_NORTH"
                | "SWITZERLAND_WEST"
                | "UK_SOUTH"
                | "UK_WEST"
                | "NORWAY_EAST"
                | "NORWAY_WEST"
                | "INDIA_CENTRAL"
                | "INDIA_SOUTH"
                | "INDIA_WEST"
                | "CHINA_EAST"
                | "CHINA_NORTH"
                | "ASIA_EAST"
                | "JAPAN_EAST"
                | "JAPAN_WEST"
                | "ASIA_SOUTH_EAST"
                | "KOREA_CENTRAL"
                | "KOREA_SOUTH"
                | "FRANCE_CENTRAL"
                | "FRANCE_SOUTH"
                | "SOUTH_AFRICA_NORTH"
                | "SOUTH_AFRICA_WEST"
                | "UAE_CENTRAL"
                | "UAE_NORTH"
                | "QATAR_CENTRAL";
        } & {
            /**
             * @description discriminator enum property added by openapi-typescript
             * @enum {string}
             */
            providerName: "AZURE";
        }  ;
        /**
         * Azure
         * @description Collection of settings that configures how a cluster might scale its cluster tier and whether the cluster can scale down. Cluster tier auto-scaling is unavailable for clusters using Low CPU or NVME storage classes.
         */
        AzureComputeAutoScalingRules: {
            /**
             * Azure Instance Sizes
             * @description Maximum instance size to which your cluster can automatically scale.
             * @enum {string}
             */
            maxInstanceSize?:
                | "M10"
                | "M20"
                | "M30"
                | "M40"
                | "M50"
                | "M60"
                | "M80"
                | "M90"
                | "M200"
                | "R40"
                | "R50"
                | "R60"
                | "R80"
                | "R200"
                | "R300"
                | "R400"
                | "M60_NVME"
                | "M80_NVME"
                | "M200_NVME"
                | "M300_NVME"
                | "M400_NVME"
                | "M600_NVME";
            /**
             * Azure Instance Sizes
             * @description Minimum instance size to which your cluster can automatically scale.
             * @enum {string}
             */
            minInstanceSize?:
                | "M10"
                | "M20"
                | "M30"
                | "M40"
                | "M50"
                | "M60"
                | "M80"
                | "M90"
                | "M200"
                | "R40"
                | "R50"
                | "R60"
                | "R80"
                | "R200"
                | "R300"
                | "R400"
                | "M60_NVME"
                | "M80_NVME"
                | "M200_NVME"
                | "M300_NVME"
                | "M400_NVME"
                | "M600_NVME";
        };
        AzureCreateDataProcessRegionView: Omit<
            components["schemas"]["CreateDataProcessRegionView"],
            "cloudProvider"
        > & {
            /**
             * @description Human-readable label that identifies the geographic location of the region where you wish to store your archived data.
             * @enum {string}
             */
            region?: "US_EAST_2" | "EUROPE_WEST";
        } & {
            /**
             * @description discriminator enum property added by openapi-typescript
             * @enum {string}
             */
            cloudProvider: "AZURE";
        };
        AzureDataProcessRegionView: Omit<components["schemas"]["DataProcessRegionView"], "cloudProvider"> & {
            /**
             * @description Human-readable label that identifies the geographic location of the region where you store your archived data.
             * @enum {string}
             */
            readonly region?: "US_EAST_2" | "EUROPE_WEST";
        } & {
            /**
             * @description discriminator enum property added by openapi-typescript
             * @enum {string}
             */
            cloudProvider: "AZURE";
        };
        AzureHardwareSpec: {
            /**
             * Format: int32
             * @description Target throughput desired for storage attached to your Azure-provisioned cluster. Change this parameter if you:
             *
             *     - set `"replicationSpecs[n].regionConfigs[m].providerName" : "Azure"`.
             *     - set `"replicationSpecs[n].regionConfigs[m].electableSpecs.instanceSize" : "M40"` or greater not including `Mxx_NVME` tiers.
             *
             *     The maximum input/output operations per second (IOPS) depend on the selected **.instanceSize** and **.diskSizeGB**.
             *     This parameter defaults to the cluster tier's standard IOPS value.
             *     Changing this value impacts cluster cost.
             */
            diskIOPS?: number;
            /**
             * Azure Instance Sizes
             * @description Hardware specification for the instance sizes in this region. Each instance size has a default storage and memory capacity. The instance size you select applies to all the data-bearing hosts of the node type.
             * @enum {string}
             */
            instanceSize?:
                | "M10"
                | "M20"
                | "M30"
                | "M40"
                | "M50"
                | "M60"
                | "M80"
                | "M90"
                | "M200"
                | "R40"
                | "R50"
                | "R60"
                | "R80"
                | "R200"
                | "R300"
                | "R400"
                | "M60_NVME"
                | "M80_NVME"
                | "M200_NVME"
                | "M300_NVME"
                | "M400_NVME"
                | "M600_NVME";
            /**
             * Format: int32
             * @description Number of nodes of the given type for MongoDB Cloud to deploy to the region.
             */
            nodeCount?: number;
        };
        AzureHardwareSpec20240805: {
            /**
             * Format: int32
             * @description Target throughput desired for storage attached to your Azure-provisioned cluster. Change this parameter if you:
             *
             *     - set `"replicationSpecs[n].regionConfigs[m].providerName" : "Azure"`.
             *     - set `"replicationSpecs[n].regionConfigs[m].electableSpecs.instanceSize" : "M40"` or greater not including `Mxx_NVME` tiers.
             *
             *     The maximum input/output operations per second (IOPS) depend on the selected **.instanceSize** and **.diskSizeGB**.
             *     This parameter defaults to the cluster tier's standard IOPS value.
             *     Changing this value impacts cluster cost.
             */
            diskIOPS?: number;
            /**
             * Format: double
             * @description Storage capacity of instance data volumes expressed in gigabytes. Increase this number to add capacity.
             *
             *      This value must be equal for all shards and node types.
             *
             *      This value is not configurable on M0/M2/M5 clusters.
             *
             *      MongoDB Cloud requires this parameter if you set **replicationSpecs**.
             *
             *      If you specify a disk size below the minimum (10 GB), this parameter defaults to the minimum disk size value.
             *
             *      Storage charge calculations depend on whether you choose the default value or a custom value.
             *
             *      The maximum value for disk storage cannot exceed 50 times the maximum RAM for the selected cluster. If you require more storage space, consider upgrading your cluster to a higher tier.
             */
            diskSizeGB?: number;
            /**
             * Azure Instance Sizes
             * @description Hardware specification for the instance sizes in this region in this shard. Each instance size has a default storage and memory capacity. Electable nodes and read-only nodes (known as "base nodes") within a single shard must use the same instance size. Analytics nodes can scale independently from base nodes within a shard. Both base nodes and analytics nodes can scale independently from their equivalents in other shards.
             * @enum {string}
             */
            instanceSize?:
                | "M10"
                | "M20"
                | "M30"
                | "M40"
                | "M50"
                | "M60"
                | "M80"
                | "M90"
                | "M200"
                | "R40"
                | "R50"
                | "R60"
                | "R80"
                | "R200"
                | "R300"
                | "R400"
                | "M60_NVME"
                | "M80_NVME"
                | "M200_NVME"
                | "M300_NVME"
                | "M400_NVME"
                | "M600_NVME";
            /**
             * Format: int32
             * @description Number of nodes of the given type for MongoDB Cloud to deploy to the region.
             */
            nodeCount?: number;
        };
        /**
         * Azure Regional Replication Specifications
         * @description Details that explain how MongoDB Cloud replicates data in one region on the specified MongoDB database.
         */
        AzureRegionConfig: Omit<components["schemas"]["CloudRegionConfig"], "providerName"> & {
            analyticsAutoScaling?: components["schemas"]["AdvancedAutoScalingSettings"];
            analyticsSpecs?: components["schemas"]["DedicatedHardwareSpec"];
            autoScaling?: components["schemas"]["AdvancedAutoScalingSettings"];
            readOnlySpecs?: components["schemas"]["DedicatedHardwareSpec"];
        } & {
            /**
             * @description discriminator enum property added by openapi-typescript
             * @enum {string}
             */
            providerName: "AZURE";
        }  ;
        /**
         * Azure Regional Replication Specifications
         * @description Details that explain how MongoDB Cloud replicates data in one region on the specified MongoDB database.
         */
        AzureRegionConfig20240805: Omit<components["schemas"]["CloudRegionConfig20240805"], "providerName"> & {
            analyticsAutoScaling?: components["schemas"]["AdvancedAutoScalingSettings"];
            analyticsSpecs?: components["schemas"]["DedicatedHardwareSpec20240805"];
            autoScaling?: components["schemas"]["AdvancedAutoScalingSettings"];
            readOnlySpecs?: components["schemas"]["DedicatedHardwareSpec20240805"];
        } & {
            /**
             * @description discriminator enum property added by openapi-typescript
             * @enum {string}
             */
            providerName: "AZURE";
        }  ;
        /** @description Bad request detail. */
        BadRequestDetail: {
            /** @description Describes all violations in a client request. */
            fields?: components["schemas"]["FieldViolation"][];
        };
        /** @description Instance size boundary to which your cluster can automatically scale. */
        BaseCloudProviderInstanceSize:
            | (
                  | "M10"
                  | "M20"
                  | "M30"
                  | "M40"
                  | "M50"
                  | "M60"
                  | "M80"
                  | "M100"
                  | "M140"
                  | "M200"
                  | "M300"
                  | "R40"
                  | "R50"
                  | "R60"
                  | "R80"
                  | "R200"
                  | "R300"
                  | "R400"
                  | "R700"
                  | "M40_NVME"
                  | "M50_NVME"
                  | "M60_NVME"
                  | "M80_NVME"
                  | "M200_NVME"
                  | "M400_NVME"
              )
            | (
                   
                   
                   
                   
                   
                   
                   
                  | "M90"
                   
                   
                   
                   
                   
                   
                   
                   
                   
                   
                   
                  | "M300_NVME"
                   
                  | "M600_NVME"
              )
            | (
                   
                   
                   
                   
                   
                   
                   
                   
                   
                  | "M250"
                   
                  | "M400"
                   
                   
                   
                   
                   
                   
                   
                  | "R600"
              );
        BasicDBObject: {
            [key: string]: Record<string, never>;
        };
        /**
         * MongoDB Connector for Business Intelligence Settings
         * @description Settings needed to configure the MongoDB Connector for Business Intelligence for this cluster.
         */
        BiConnector: {
            /** @description Flag that indicates whether MongoDB Connector for Business Intelligence is enabled on the specified cluster. */
            enabled?: boolean;
            /**
             * @description Data source node designated for the MongoDB Connector for Business Intelligence on MongoDB Cloud. The MongoDB Connector for Business Intelligence on MongoDB Cloud reads data from the primary, secondary, or analytics node based on your read preferences. Defaults to `ANALYTICS` node, or `SECONDARY` if there are no `ANALYTICS` nodes.
             * @enum {string}
             */
            readPreference?: "PRIMARY" | "SECONDARY" | "ANALYTICS";
        };
        BillingInvoice: {
            /**
             * Format: int64
             * @description Sum of services that the specified organization consumed in the period covered in this invoice. This parameter expresses its value in cents (100ths of one US Dollar).
             */
            readonly amountBilledCents?: number;
            /**
             * Format: int64
             * @description Sum that the specified organization paid toward this invoice. This parameter expresses its value in cents (100ths of one US Dollar).
             */
            readonly amountPaidCents?: number;
            /**
             * Format: date-time
             * @description Date and time when MongoDB Cloud created this invoice. This parameter expresses its value in the ISO 8601 timestamp format in UTC.
             */
            readonly created?: string;
            /**
             * Format: int64
             * @description Sum that MongoDB credited the specified organization toward this invoice. This parameter expresses its value in cents (100ths of one US Dollar).
             */
            readonly creditsCents?: number;
            /**
             * Format: date-time
             * @description Date and time when MongoDB Cloud finished the billing period that this invoice covers. This parameter expresses its value in the ISO 8601 timestamp format in UTC.
             */
            readonly endDate?: string;
            /**
             * @description Unique 24-hexadecimal digit string that identifies the invoice submitted to the specified organization. Charges typically post the next day.
             * @example 32b6e34b3d91647abb20e7b8
             */
            readonly id?: string;
            /** @description List that contains individual services included in this invoice. */
            readonly lineItems?: components["schemas"]["InvoiceLineItem"][];
            /** @description List that contains the invoices for organizations linked to the paying organization. */
            readonly linkedInvoices?: components["schemas"]["BillingInvoice"][];
            /** @description List of one or more Uniform Resource Locators (URLs) that point to API sub-resources, related API resources, or both. RFC 5988 outlines these relationships. */
            readonly links?: components["schemas"]["Link"][];
            /**
             * @description Unique 24-hexadecimal digit string that identifies the organization charged for services consumed from MongoDB Cloud.
             * @example 32b6e34b3d91647abb20e7b8
             */
            readonly orgId?: string;
            /** @description List that contains funds transferred to MongoDB to cover the specified service noted in this invoice. */
            readonly payments?: components["schemas"]["BillingPayment"][];
            /** @description List that contains payments that MongoDB returned to the organization for this invoice. */
            readonly refunds?: components["schemas"]["BillingRefund"][];
            /**
             * Format: int64
             * @description Sum of sales tax applied to this invoice. This parameter expresses its value in cents (100ths of one US Dollar).
             */
            readonly salesTaxCents?: number;
            /**
             * Format: date-time
             * @description Date and time when MongoDB Cloud began the billing period that this invoice covers. This parameter expresses its value in the ISO 8601 timestamp format in UTC.
             */
            readonly startDate?: string;
            /**
             * Format: int64
             * @description Sum that the specified organization owed to MongoDB when MongoDB issued this invoice. This parameter expresses its value in US Dollars.
             */
            readonly startingBalanceCents?: number;
            /**
             * @description Phase of payment processing in which this invoice exists when you made this request. Accepted phases include:
             *
             *     - `CLOSED`: MongoDB finalized all charges in the billing cycle but has yet to charge the customer.
             *     - `FAILED`: MongoDB attempted to charge the provided credit card but charge for that amount failed.
             *     - `FORGIVEN`: Customer initiated payment which MongoDB later forgave.
             *     - `FREE`: All charges totalled zero so the customer won't be charged.
             *     - `INVOICED`: MongoDB handled these charges using elastic invoicing.
             *     - `PAID`: MongoDB succeeded in charging the provided credit card.
             *     - `PENDING`: Invoice includes charges for the current billing cycle.
             *     - `PREPAID`: Customer has a pre-paid plan so they won't be charged.
             * @enum {string}
             */
            statusName?: "PENDING" | "CLOSED" | "FORGIVEN" | "FAILED" | "PAID" | "FREE" | "PREPAID" | "INVOICED";
            /**
             * Format: int64
             * @description Sum of all positive invoice line items contained in this invoice. This parameter expresses its value in cents (100ths of one US Dollar).
             */
            readonly subtotalCents?: number;
            /**
             * Format: date-time
             * @description Date and time when MongoDB Cloud last updated the value of this payment. This parameter expresses its value in the ISO 8601 timestamp format in UTC.
             */
            readonly updated?: string;
        };
        BillingInvoiceMetadata: {
            /**
             * Format: int64
             * @description Sum of services that the specified organization consumed in the period covered in this invoice. This parameter expresses its value in cents (100ths of one US Dollar).
             */
            readonly amountBilledCents?: number;
            /**
             * Format: int64
             * @description Sum that the specified organization paid toward this invoice. This parameter expresses its value in cents (100ths of one US Dollar).
             */
            readonly amountPaidCents?: number;
            /**
             * Format: date-time
             * @description Date and time when MongoDB Cloud created this invoice. This parameter expresses its value in the ISO 8601 timestamp format in UTC.
             */
            readonly created?: string;
            /**
             * Format: int64
             * @description Sum that MongoDB credited the specified organization toward this invoice. This parameter expresses its value in cents (100ths of one US Dollar).
             */
            readonly creditsCents?: number;
            /**
             * Format: date-time
             * @description Date and time when MongoDB Cloud finished the billing period that this invoice covers. This parameter expresses its value in the ISO 8601 timestamp format in UTC.
             */
            readonly endDate?: string;
            /**
             * @description Unique 24-hexadecimal digit string that identifies the invoice submitted to the specified organization. Charges typically post the next day.
             * @example 32b6e34b3d91647abb20e7b8
             */
            readonly id?: string;
            /** @description List that contains the invoices for organizations linked to the paying organization. */
            readonly linkedInvoices?: components["schemas"]["BillingInvoiceMetadata"][];
            /** @description List of one or more Uniform Resource Locators (URLs) that point to API sub-resources, related API resources, or both. RFC 5988 outlines these relationships. */
            readonly links?: components["schemas"]["Link"][];
            /**
             * @description Unique 24-hexadecimal digit string that identifies the organization charged for services consumed from MongoDB Cloud.
             * @example 32b6e34b3d91647abb20e7b8
             */
            readonly orgId?: string;
            /**
             * Format: int64
             * @description Sum of sales tax applied to this invoice. This parameter expresses its value in cents (100ths of one US Dollar).
             */
            readonly salesTaxCents?: number;
            /**
             * Format: date-time
             * @description Date and time when MongoDB Cloud began the billing period that this invoice covers. This parameter expresses its value in the ISO 8601 timestamp format in UTC.
             */
            readonly startDate?: string;
            /**
             * Format: int64
             * @description Sum that the specified organization owed to MongoDB when MongoDB issued this invoice. This parameter expresses its value in US Dollars.
             */
            readonly startingBalanceCents?: number;
            /**
             * @description Phase of payment processing in which this invoice exists when you made this request. Accepted phases include:
             *
             *     - `CLOSED`: MongoDB finalized all charges in the billing cycle but has yet to charge the customer.
             *     - `FAILED`: MongoDB attempted to charge the provided credit card but charge for that amount failed.
             *     - `FORGIVEN`: Customer initiated payment which MongoDB later forgave.
             *     - `FREE`: All charges totalled zero so the customer won't be charged.
             *     - `INVOICED`: MongoDB handled these charges using elastic invoicing.
             *     - `PAID`: MongoDB succeeded in charging the provided credit card.
             *     - `PENDING`: Invoice includes charges for the current billing cycle.
             *     - `PREPAID`: Customer has a pre-paid plan so they won't be charged.
             * @enum {string}
             */
            statusName?: "PENDING" | "CLOSED" | "FORGIVEN" | "FAILED" | "PAID" | "FREE" | "PREPAID" | "INVOICED";
            /**
             * Format: int64
             * @description Sum of all positive invoice line items contained in this invoice. This parameter expresses its value in cents (100ths of one US Dollar).
             */
            readonly subtotalCents?: number;
            /**
             * Format: date-time
             * @description Date and time when MongoDB Cloud last updated the value of this payment. This parameter expresses its value in the ISO 8601 timestamp format in UTC.
             */
            readonly updated?: string;
        };
        /**
         * Payment
         * @description Funds transferred to MongoDB to cover the specified service in this invoice.
         */
        BillingPayment: {
            /**
             * Format: int64
             * @description Sum of services that the specified organization consumed in the period covered in this invoice. This parameter expresses its value in cents (100ths of one US Dollar).
             */
            readonly amountBilledCents?: number;
            /**
             * Format: int64
             * @description Sum that the specified organization paid toward the associated invoice. This parameter expresses its value in cents (100ths of one US Dollar).
             */
            readonly amountPaidCents?: number;
            /**
             * Format: date-time
             * @description Date and time when the customer made this payment attempt. This parameter expresses its value in the ISO 8601 timestamp format in UTC.
             */
            readonly created?: string;
            /** @description The currency in which payment was paid. This parameter expresses its value in 3-letter ISO 4217 currency code. */
            readonly currency?: string;
            /**
             * @description Unique 24-hexadecimal digit string that identifies this payment toward the associated invoice.
             * @example 32b6e34b3d91647abb20e7b8
             */
            readonly id?: string;
            /**
             * Format: int64
             * @description Sum of sales tax applied to this invoice. This parameter expresses its value in cents (100ths of one US Dollar).
             */
            readonly salesTaxCents?: number;
            /**
             * @description Phase of payment processing for the associated invoice when you made this request. These phases include:
             *
             *     - `CANCELLED`: Customer or MongoDB cancelled the payment.
             *     - `ERROR`: Issue arose when attempting to complete payment.
             *     - `FAILED`: MongoDB tried to charge the credit card without success.
             *     - `FAILED_AUTHENTICATION`: Strong Customer Authentication has failed. Confirm that your payment method is authenticated.
             *     - `FORGIVEN`: Customer initiated payment which MongoDB later forgave.
             *     - `INVOICED`: MongoDB issued an invoice that included this line item.
             *     - `NEW`: Customer provided a method of payment, but MongoDB hasn't tried to charge the credit card.
             *     - `PAID`: Customer submitted a successful payment.
             *     - `PARTIAL_PAID`: Customer paid for part of this line item.
             * @enum {string}
             */
            statusName?:
                | "NEW"
                | "FORGIVEN"
                | "FAILED"
                | "PAID"
                | "PARTIAL_PAID"
                | "CANCELLED"
                | "INVOICED"
                | "FAILED_AUTHENTICATION"
                | "PROCESSING"
                | "PENDING_REVERSAL"
                | "REFUNDED";
            /**
             * Format: int64
             * @description Sum of all positive invoice line items contained in this invoice. This parameter expresses its value in cents (100ths of one US Dollar).
             */
            readonly subtotalCents?: number;
            /** @description The unit price applied to amountBilledCents to compute total payment amount. This value is represented as a decimal string. */
            readonly unitPrice?: string;
            /**
             * Format: date-time
             * @description Date and time when the customer made an update to this payment attempt. This parameter expresses its value in the ISO 8601 timestamp format in UTC.
             */
            readonly updated?: string;
        };
        /**
         * Refund
         * @description One payment that MongoDB returned to the organization for this invoice.
         */
        BillingRefund: {
            /**
             * Format: int64
             * @description Sum of the funds returned to the specified organization expressed in cents (100th of US Dollar).
             */
            readonly amountCents?: number;
            /**
             * Format: date-time
             * @description Date and time when MongoDB Cloud created this refund. This parameter expresses its value in the ISO 8601 timestamp format in UTC.
             */
            readonly created?: string;
            /**
             * @description Unique 24-hexadecimal digit string that identifies the payment that the organization had made.
             * @example 32b6e34b3d91647abb20e7b8
             */
            readonly paymentId?: string;
            /** @description Justification that MongoDB accepted to return funds to the organization. */
            readonly reason?: string;
        };
        /** @description Settings that describe the clusters in each project that the API key is authorized to view. */
        CloudCluster: {
            /**
             * Format: int32
             * @description Whole number that indicates the quantity of alerts open on the cluster.
             */
            readonly alertCount?: number;
            /** @description Flag that indicates whether authentication is required to access the nodes in this cluster. */
            readonly authEnabled?: boolean;
            /**
             * @description Term that expresses how many nodes of the cluster can be accessed when MongoDB Cloud receives this request. This parameter returns `available` when all nodes are accessible, `warning` only when some nodes in the cluster can be accessed, `unavailable` when the cluster can't be accessed, or `dead` when the cluster has been deactivated.
             * @enum {string}
             */
            readonly availability?: "available" | "dead" | "unavailable" | "warning";
            /** @description Flag that indicates whether the cluster can perform backups. If set to `true`, the cluster can perform backups. You must set this value to `true` for NVMe clusters. Backup uses Cloud Backups for dedicated clusters and Shared Cluster Backups for tenant clusters. If set to `false`, the cluster doesn't use MongoDB Cloud backups. */
            readonly backupEnabled?: boolean;
            /** @description Unique 24-hexadecimal character string that identifies the cluster. Each ``clusterId`` is used only once across all MongoDB Cloud deployments. */
            readonly clusterId?: string;
            /**
             * Format: int64
             * @description Total size of the data stored on each node in the cluster. The resource expresses this value in bytes.
             */
            readonly dataSizeBytes?: number;
            /** @description Human-readable label that identifies the cluster. */
            readonly name?: string;
            /**
             * Format: int32
             * @description Whole number that indicates the quantity of nodes that comprise the cluster.
             */
            readonly nodeCount?: number;
            /** @description Flag that indicates whether TLS authentication is required to access the nodes in this cluster. */
            readonly sslEnabled?: boolean;
            /**
             * @description Human-readable label that indicates the cluster type.
             * @enum {string}
             */
            readonly type?: "REPLICA_SET" | "SHARDED_CLUSTER";
            /** @description List that contains the versions of MongoDB that each node in the cluster runs. */
            readonly versions?: string[];
        };
        CloudDatabaseUser: {
            /**
             * @description Human-readable label that indicates whether the new database user authenticates with the Amazon Web Services (AWS) Identity and Access Management (IAM) credentials associated with the user or the user's role.
             * @default NONE
             * @enum {string}
             */
            awsIAMType: "NONE" | "USER" | "ROLE";
            /**
             * @description The database against which the database user authenticates. Database users must provide both a username and authentication database to log into MongoDB. If the user authenticates with AWS IAM, x.509, LDAP, or OIDC Workload this value should be `$external`. If the user authenticates with SCRAM-SHA or OIDC Workforce, this value should be `admin`.
             * @default admin
             * @enum {string}
             */
            databaseName: "admin" | "$external";
            /**
             * Format: date-time
             * @description Date and time when MongoDB Cloud deletes the user. This parameter expresses its value in the ISO 8601 timestamp format in UTC and can include the time zone designation. You must specify a future date that falls within one week of making the Application Programming Interface (API) request.
             */
            deleteAfterDate?: string;
            /** @description Description of this database user. */
            description?: string;
            /** @description Unique 24-hexadecimal digit string that identifies the project. */
            groupId: string;
            /** @description List that contains the key-value pairs for tagging and categorizing the MongoDB database user. The labels that you define do not appear in the console. */
            labels?: components["schemas"]["ComponentLabel"][];
            /**
             * @description Part of the Lightweight Directory Access Protocol (LDAP) record that the database uses to authenticate this database user on the LDAP host.
             * @default NONE
             * @enum {string}
             */
            ldapAuthType: "NONE" | "GROUP" | "USER";
            /** @description List of one or more Uniform Resource Locators (URLs) that point to API sub-resources, related API resources, or both. RFC 5988 outlines these relationships. */
            readonly links?: components["schemas"]["Link"][];
            /**
             * @description Human-readable label that indicates whether the new database user or group authenticates with OIDC federated authentication. To create a federated authentication user, specify the value of USER in this field. To create a federated authentication group, specify the value of IDP_GROUP in this field.
             * @default NONE
             * @enum {string}
             */
            oidcAuthType: "NONE" | "IDP_GROUP" | "USER";
            /** @description Alphanumeric string that authenticates this database user against the database specified in `databaseName`. To authenticate with SCRAM-SHA, you must specify this parameter. This parameter doesn't appear in this response. */
            password?: string;
            /** @description List that provides the pairings of one role with one applicable database. */
            roles?: components["schemas"]["DatabaseUserRole"][];
            /** @description List that contains clusters, MongoDB Atlas Data Lakes, and MongoDB Atlas Streams Instances that this database user can access. If omitted, MongoDB Cloud grants the database user access to all the clusters, MongoDB Atlas Data Lakes, and MongoDB Atlas Streams Instances in the project. */
            scopes?: components["schemas"]["UserScope"][];
            /** @description Human-readable label that represents the user that authenticates to MongoDB. The format of this label depends on the method of authentication:
             *
             *     | Authentication Method | Parameter Needed | Parameter Value | username Format |
             *     |---|---|---|---|
             *     | AWS IAM | awsIAMType | ROLE | <abbr title="Amazon Resource Name">ARN</abbr> |
             *     | AWS IAM | awsIAMType | USER | <abbr title="Amazon Resource Name">ARN</abbr> |
             *     | x.509 | x509Type | CUSTOMER | [RFC 2253](https://tools.ietf.org/html/2253) Distinguished Name |
             *     | x.509 | x509Type | MANAGED | [RFC 2253](https://tools.ietf.org/html/2253) Distinguished Name |
             *     | LDAP | ldapAuthType | USER | [RFC 2253](https://tools.ietf.org/html/2253) Distinguished Name |
             *     | LDAP | ldapAuthType | GROUP | [RFC 2253](https://tools.ietf.org/html/2253) Distinguished Name |
             *     | OIDC Workforce | oidcAuthType | IDP_GROUP | Atlas OIDC IdP ID (found in federation settings), followed by a '/', followed by the IdP group name |
             *     | OIDC Workload | oidcAuthType | USER | Atlas OIDC IdP ID (found in federation settings), followed by a '/', followed by the IdP user name |
             *     | SCRAM-SHA | awsIAMType, x509Type, ldapAuthType, oidcAuthType | NONE | Alphanumeric string |
             *      */
            username: string;
            /**
             * @description X.509 method that MongoDB Cloud uses to authenticate the database user.
             *
             *     - For application-managed X.509, specify `MANAGED`.
             *     - For self-managed X.509, specify `CUSTOMER`.
             *
             *     Users created with the `CUSTOMER` method require a Common Name (CN) in the **username** parameter. You must create externally authenticated users on the `$external` database.
             * @default NONE
             * @enum {string}
             */
            x509Type: "NONE" | "CUSTOMER" | "MANAGED";
        };
        CloudGCPProviderSettings: Omit<components["schemas"]["ClusterProviderSettings"], "providerName"> & {
            autoScaling?: components["schemas"]["CloudProviderGCPAutoScaling"];
            /**
             * GCP Instance Sizes
             * @description Cluster tier, with a default storage and memory capacity, that applies to all the data-bearing hosts in your cluster.
             * @enum {string}
             */
            instanceSizeName?:
                | "M10"
                | "M20"
                | "M30"
                | "M40"
                | "M50"
                | "M60"
                | "M80"
                | "M140"
                | "M200"
                | "M250"
                | "M300"
                | "M400"
                | "R40"
                | "R50"
                | "R60"
                | "R80"
                | "R200"
                | "R300"
                | "R400"
                | "R600";
            /**
             * GCP Regions
             * @description Google Compute Regions.
             * @enum {string}
             */
            regionName?:
                | "EASTERN_US"
                | "EASTERN_US_AW"
                | "US_EAST_4"
                | "US_EAST_4_AW"
                | "US_EAST_5"
                | "US_EAST_5_AW"
                | "US_WEST_2"
                | "US_WEST_2_AW"
                | "US_WEST_3"
                | "US_WEST_3_AW"
                | "US_WEST_4"
                | "US_WEST_4_AW"
                | "US_SOUTH_1"
                | "US_SOUTH_1_AW"
                | "CENTRAL_US"
                | "CENTRAL_US_AW"
                | "WESTERN_US"
                | "WESTERN_US_AW"
                | "NORTH_AMERICA_NORTHEAST_1"
                | "NORTH_AMERICA_NORTHEAST_2"
                | "NORTH_AMERICA_SOUTH_1"
                | "SOUTH_AMERICA_EAST_1"
                | "SOUTH_AMERICA_WEST_1"
                | "WESTERN_EUROPE"
                | "EUROPE_NORTH_1"
                | "EUROPE_WEST_2"
                | "EUROPE_WEST_3"
                | "EUROPE_WEST_4"
                | "EUROPE_WEST_6"
                | "EUROPE_WEST_8"
                | "EUROPE_WEST_9"
                | "EUROPE_WEST_10"
                | "EUROPE_WEST_12"
                | "EUROPE_SOUTHWEST_1"
                | "EUROPE_CENTRAL_2"
                | "MIDDLE_EAST_CENTRAL_1"
                | "MIDDLE_EAST_CENTRAL_2"
                | "MIDDLE_EAST_WEST_1"
                | "AUSTRALIA_SOUTHEAST_1"
                | "AUSTRALIA_SOUTHEAST_2"
                | "AFRICA_SOUTH_1"
                | "EASTERN_ASIA_PACIFIC"
                | "NORTHEASTERN_ASIA_PACIFIC"
                | "SOUTHEASTERN_ASIA_PACIFIC"
                | "ASIA_EAST_2"
                | "ASIA_NORTHEAST_2"
                | "ASIA_NORTHEAST_3"
                | "ASIA_SOUTH_1"
                | "ASIA_SOUTH_2"
                | "ASIA_SOUTHEAST_2";
        } & {
            /**
             * @description discriminator enum property added by openapi-typescript
             * @enum {string}
             */
            providerName: "GCP";
        }  ;
        /** @description Range of instance sizes to which your cluster can scale. */
        CloudProviderAWSAutoScaling: {
            compute?: components["schemas"]["AWSComputeAutoScaling"];
        };
        /** @description Details that describe the features linked to the Amazon Web Services (AWS) Identity and Access Management (IAM) role. */
        CloudProviderAccessAWSIAMRole: Omit<
            WithRequired<components["schemas"]["CloudProviderAccessRole"], "providerName">,
            "providerName"
        > & {
            /**
             * @description Amazon Resource Name that identifies the Amazon Web Services (AWS) user account that MongoDB Cloud uses when it assumes the Identity and Access Management (IAM) role.
             * @example arn:aws:iam::772401394250:role/my-test-aws-role
             */
            readonly atlasAWSAccountArn?: string;
            /**
             * Format: uuid
             * @description Unique external ID that MongoDB Cloud uses when it assumes the IAM role in your Amazon Web Services (AWS) account.
             */
            readonly atlasAssumedRoleExternalId?: string;
            /**
             * Format: date-time
             * @description Date and time when someone authorized this role for the specified cloud service provider. This parameter expresses its value in the ISO 8601 timestamp format in UTC.
             */
            readonly authorizedDate?: string;
            /**
             * Format: date-time
             * @description Date and time when someone created this role for the specified cloud service provider. This parameter expresses its value in the ISO 8601 timestamp format in UTC.
             */
            readonly createdDate?: string;
            /** @description List that contains application features associated with this Amazon Web Services (AWS) Identity and Access Management (IAM) role. */
            readonly featureUsages?: components["schemas"]["CloudProviderAccessFeatureUsage"][];
            /**
             * @description Amazon Resource Name (ARN) that identifies the Amazon Web Services (AWS) Identity and Access Management (IAM) role that MongoDB Cloud assumes when it accesses resources in your AWS account.
             * @example arn:aws:iam::123456789012:root
             */
            iamAssumedRoleArn?: string;
            /**
             * @description Unique 24-hexadecimal digit string that identifies the role.
             * @example 32b6e34b3d91647abb20e7b8
             */
            readonly roleId?: string;
        } & {
            /**
             * @description discriminator enum property added by openapi-typescript
             * @enum {string}
             */
            providerName: "AWS";
        };
        /** @description Details that describe the features linked to the Amazon Web Services (AWS) Identity and Access Management (IAM) role. */
        CloudProviderAccessAWSIAMRoleRequestUpdate: Omit<
            WithRequired<components["schemas"]["CloudProviderAccessRoleRequestUpdate"], "providerName">,
            "providerName"
        > & {
            /**
             * @description Amazon Resource Name that identifies the Amazon Web Services (AWS) user account that MongoDB Cloud uses when it assumes the Identity and Access Management (IAM) role.
             * @example arn:aws:iam::772401394250:role/my-test-aws-role
             */
            readonly atlasAWSAccountArn?: string;
            /**
             * Format: uuid
             * @description Unique external ID that MongoDB Cloud uses when it assumes the IAM role in your Amazon Web Services (AWS) account.
             */
            readonly atlasAssumedRoleExternalId?: string;
            /**
             * Format: date-time
             * @description Date and time when someone authorized this role for the specified cloud service provider. This parameter expresses its value in the ISO 8601 timestamp format in UTC.
             */
            readonly authorizedDate?: string;
            /**
             * Format: date-time
             * @description Date and time when someone created this role for the specified cloud service provider. This parameter expresses its value in the ISO 8601 timestamp format in UTC.
             */
            readonly createdDate?: string;
            /** @description List that contains application features associated with this Amazon Web Services (AWS) Identity and Access Management (IAM) role. */
            readonly featureUsages?: components["schemas"]["CloudProviderAccessFeatureUsage"][];
            /**
             * @description Amazon Resource Name (ARN) that identifies the Amazon Web Services (AWS) Identity and Access Management (IAM) role that MongoDB Cloud assumes when it accesses resources in your AWS account.
             * @example arn:aws:iam::123456789012:root
             */
            iamAssumedRoleArn?: string;
            /**
             * @description Unique 24-hexadecimal digit string that identifies the role.
             * @example 32b6e34b3d91647abb20e7b8
             */
            readonly roleId?: string;
        } & {
            /**
             * @description discriminator enum property added by openapi-typescript
             * @enum {string}
             */
            providerName: "AWS";
        };
        /** @description Details that describe the features linked to the Azure Service Principal. */
        CloudProviderAccessAzureServicePrincipal: Omit<
            WithRequired<components["schemas"]["CloudProviderAccessRole"], "providerName">,
            "providerName"
        > & {
            /**
             * @description Unique 24-hexadecimal digit string that identifies the role.
             * @example 32b6e34b3d91647abb20e7b8
             */
            readonly _id?: string;
            /**
             * Format: uuid
             * @description Azure Active Directory Application ID of Atlas.
             */
            atlasAzureAppId?: string;
            /**
             * Format: date-time
             * @description Date and time when this Azure Service Principal was created. This parameter expresses its value in the ISO 8601 timestamp format in UTC.
             */
            readonly createdDate?: string;
            /** @description List that contains application features associated with this Azure Service Principal. */
            readonly featureUsages?: components["schemas"]["CloudProviderAccessFeatureUsage"][];
            /**
             * Format: date-time
             * @description Date and time when this Azure Service Principal was last updated. This parameter expresses its value in the ISO 8601 timestamp format in UTC.
             */
            readonly lastUpdatedDate?: string;
            /**
             * Format: uuid
             * @description UUID string that identifies the Azure Service Principal.
             */
            servicePrincipalId?: string;
            /**
             * Format: uuid
             * @description UUID String that identifies the Azure Active Directory Tenant ID.
             */
            tenantId?: string;
        } & {
            /**
             * @description discriminator enum property added by openapi-typescript
             * @enum {string}
             */
            providerName: "AZURE";
        };
        /** @description Details that describe the features linked to the Azure Service Principal. */
        CloudProviderAccessAzureServicePrincipalRequestUpdate: Omit<
            WithRequired<components["schemas"]["CloudProviderAccessRoleRequestUpdate"], "providerName">,
            "providerName"
        > & {
            /**
             * @description Unique 24-hexadecimal digit string that identifies the role.
             * @example 32b6e34b3d91647abb20e7b8
             */
            readonly _id?: string;
            /**
             * Format: uuid
             * @description Azure Active Directory Application ID of Atlas.
             */
            atlasAzureAppId?: string;
            /**
             * Format: date-time
             * @description Date and time when this Azure Service Principal was created. This parameter expresses its value in the ISO 8601 timestamp format in UTC.
             */
            readonly createdDate?: string;
            /** @description List that contains application features associated with this Azure Service Principal. */
            readonly featureUsages?: components["schemas"]["CloudProviderAccessFeatureUsage"][];
            /**
             * Format: date-time
             * @description Date and time when this Azure Service Principal was last updated. This parameter expresses its value in the ISO 8601 timestamp format in UTC.
             */
            readonly lastUpdatedDate?: string;
            /**
             * Format: uuid
             * @description UUID string that identifies the Azure Service Principal.
             */
            servicePrincipalId?: string;
            /**
             * Format: uuid
             * @description UUID String that identifies the Azure Active Directory Tenant ID.
             */
            tenantId?: string;
        } & {
            /**
             * @description discriminator enum property added by openapi-typescript
             * @enum {string}
             */
            providerName: "AZURE";
        };
        /** @description Details that describe the Atlas Data Lakes linked to this Amazon Web Services (AWS) Identity and Access Management (IAM) role. */
        CloudProviderAccessDataLakeFeatureUsage: Omit<
            components["schemas"]["CloudProviderAccessFeatureUsage"],
            "featureType"
        > & {
            featureId?: components["schemas"]["CloudProviderAccessFeatureUsageDataLakeFeatureId"];
        } & {
            /**
             * @description discriminator enum property added by openapi-typescript
             * @enum {string}
             */
            featureType: "ATLAS_DATA_LAKE";
        };
        /** @description Details that describe the Key Management Service (KMS) linked to this Amazon Web Services (AWS) Identity and Access Management (IAM) role. */
        CloudProviderAccessEncryptionAtRestFeatureUsage: Omit<
            components["schemas"]["CloudProviderAccessFeatureUsage"],
            "featureType"
        > & {
            featureId?: components["schemas"]["ApiAtlasCloudProviderAccessFeatureUsageFeatureIdView"];
        } & {
            /**
             * @description discriminator enum property added by openapi-typescript
             * @enum {string}
             */
            featureType: "ENCRYPTION_AT_REST";
        };
        /** @description Details that describe the Amazon Web Services (AWS) Simple Storage Service (S3) export buckets linked to this AWS Identity and Access Management (IAM) role. */
        CloudProviderAccessExportSnapshotFeatureUsage: Omit<
            components["schemas"]["CloudProviderAccessFeatureUsage"],
            "featureType"
        > & {
            featureId?: components["schemas"]["CloudProviderAccessFeatureUsageExportSnapshotFeatureId"];
        } & {
            /**
             * @description discriminator enum property added by openapi-typescript
             * @enum {string}
             */
            featureType: "EXPORT_SNAPSHOT";
        };
        /** @description MongoDB Cloud features associated with this Amazon Web Services (AWS) Identity and Access Management (IAM) role. */
        CloudProviderAccessFeatureUsage: {
            /**
             * @description Human-readable label that describes one MongoDB Cloud feature linked to this Amazon Web Services (AWS) Identity and Access Management (IAM) role.
             * @enum {string}
             */
            readonly featureType?:
                | "ATLAS_DATA_LAKE"
                | "ENCRYPTION_AT_REST"
                | "EXPORT_SNAPSHOT"
                | "PUSH_BASED_LOG_EXPORT";
        };
        /** @description Identifying characteristics about the data lake linked to this Amazon Web Services (AWS) Identity and Access Management (IAM) role. */
        CloudProviderAccessFeatureUsageDataLakeFeatureId: {
            /**
             * @description Unique 24-hexadecimal digit string that identifies your project.
             * @example 32b6e34b3d91647abb20e7b8
             */
            readonly groupId?: string;
            /** @description Human-readable label that identifies the data lake. */
            name?: string;
        };
        /** @description Identifying characteristics about the Amazon Web Services (AWS) Simple Storage Service (S3) export bucket linked to this AWS Identity and Access Management (IAM) role. */
        CloudProviderAccessFeatureUsageExportSnapshotFeatureId: {
            /**
             * @description Unique 24-hexadecimal digit string that identifies the AWS S3 bucket to which you export your snapshots.
             * @example 32b6e34b3d91647abb20e7b8
             */
            readonly exportBucketId?: string;
            /**
             * @description Unique 24-hexadecimal digit string that identifies your project.
             * @example 32b6e34b3d91647abb20e7b8
             */
            readonly groupId?: string;
        };
        /** @description Identifying characteristics about the Amazon Web Services (AWS) Simple Storage Service (S3) export bucket linked to this AWS Identity and Access Management (IAM) role. */
        CloudProviderAccessFeatureUsagePushBasedLogExportFeatureId: {
            /** @description Name of the AWS S3 bucket to which your logs will be exported to. */
            readonly bucketName?: string;
            /**
             * @description Unique 24-hexadecimal digit string that identifies your project.
             * @example 32b6e34b3d91647abb20e7b8
             */
            readonly groupId?: string;
        };
        /** @description Details that describe the features linked to the GCP Service Account. */
        CloudProviderAccessGCPServiceAccount: Omit<
            WithRequired<components["schemas"]["CloudProviderAccessRole"], "providerName">,
            "providerName"
        > & {
            /**
             * Format: date-time
             * @description Date and time when this Google Service Account was created. This parameter expresses its value in the ISO 8601 timestamp format in UTC.
             */
            readonly createdDate?: string;
            /** @description List that contains application features associated with this Google Service Account. */
            readonly featureUsages?: components["schemas"]["CloudProviderAccessFeatureUsage"][];
            /** @description Email address for the Google Service Account created by Atlas. */
            gcpServiceAccountForAtlas?: string;
            /**
             * @description Unique 24-hexadecimal digit string that identifies the role.
             * @example 32b6e34b3d91647abb20e7b8
             */
            readonly roleId?: string;
        } & {
            /**
             * @description discriminator enum property added by openapi-typescript
             * @enum {string}
             */
            providerName: "GCP";
        };
        /** @description Details that describe the features linked to the GCP Service Account. */
        CloudProviderAccessGCPServiceAccountRequestUpdate: Omit<
            WithRequired<components["schemas"]["CloudProviderAccessRoleRequestUpdate"], "providerName">,
            "providerName"
        > & {
            /**
             * @description discriminator enum property added by openapi-typescript
             * @enum {string}
             */
            providerName: "GCP";
        };
        /** @description Details that describe the Amazon Web Services (AWS) Simple Storage Service (S3) export buckets linked to this AWS Identity and Access Management (IAM) role. */
        CloudProviderAccessPushBasedLogExportFeatureUsage: Omit<
            components["schemas"]["CloudProviderAccessFeatureUsage"],
            "featureType"
        > & {
            featureId?: components["schemas"]["CloudProviderAccessFeatureUsagePushBasedLogExportFeatureId"];
        } & {
            /**
             * @description discriminator enum property added by openapi-typescript
             * @enum {string}
             */
            featureType: "PUSH_BASED_LOG_EXPORT";
        };
        /** @description Cloud provider access role. */
        CloudProviderAccessRole: {
            /**
             * @description Human-readable label that identifies the cloud provider of the role.
             * @enum {string}
             */
            providerName: "AWS" | "AZURE" | "GCP";
        };
        /** @description Cloud provider access role. */
        CloudProviderAccessRoleRequestUpdate: {
            /**
             * @description Human-readable label that identifies the cloud provider of the role.
             * @enum {string}
             */
            providerName: "AWS" | "AZURE" | "GCP";
        };
        /** @description Range of instance sizes to which your cluster can scale. */
        CloudProviderAzureAutoScaling: {
            compute?: components["schemas"]["AzureComputeAutoScalingRules"];
        };
        /** @description Collection of settings that configures the network container for a virtual private connection on Amazon Web Services. */
        CloudProviderContainer: {
            /**
             * @description Unique 24-hexadecimal digit string that identifies the network peering container.
             * @example 32b6e34b3d91647abb20e7b8
             */
            readonly id?: string;
            /**
             * @description Cloud service provider that serves the requested network peering containers.
             * @enum {string}
             */
            providerName?: "AWS" | "GCP" | "AZURE" | "TENANT" | "SERVERLESS";
            /** @description Flag that indicates whether MongoDB Cloud clusters exist in the specified network peering container. */
            readonly provisioned?: boolean;
        } & (
            | components["schemas"]["AzureCloudProviderContainer"]
            | components["schemas"]["GCPCloudProviderContainer"]
            | components["schemas"]["AWSCloudProviderContainer"]
        );
        /** @description Range of instance sizes to which your cluster can scale. */
        CloudProviderGCPAutoScaling: {
            compute?: components["schemas"]["GCPComputeAutoScaling"];
        };
        /**
         * Cloud Service Provider Settings for Multi-Cloud Clusters
         * @description Cloud service provider on which MongoDB Cloud provisions the hosts.
         */
        CloudRegionConfig: {
            electableSpecs?: components["schemas"]["HardwareSpec"];
            /**
             * Format: int32
             * @description Precedence is given to this region when a primary election occurs. If your **regionConfigs** has only **readOnlySpecs**, **analyticsSpecs**, or both, set this value to `0`. If you have multiple **regionConfigs** objects (your cluster is multi-region or multi-cloud), they must have priorities in descending order. The highest priority is `7`.
             *
             *     **Example:** If you have three regions, their priorities would be `7`, `6`, and `5` respectively. If you added two more regions for supporting electable nodes, the priorities of those regions would be `4` and `3` respectively.
             */
            priority?: number;
            /**
             * @description Cloud service provider on which MongoDB Cloud provisions the hosts. Set dedicated clusters to `AWS`, `GCP`, `AZURE` or `TENANT`.
             * @enum {string}
             */
            providerName?: "AWS" | "AZURE" | "GCP" | "TENANT";
            /** @description Physical location of your MongoDB cluster nodes. The region you choose can affect network latency for clients accessing your databases. The region name is only returned in the response for single-region clusters. When MongoDB Cloud deploys a dedicated cluster, it checks if a VPC or VPC connection exists for that provider and region. If not, MongoDB Cloud creates them as part of the deployment. It assigns the VPC a Classless Inter-Domain Routing (CIDR) block. To limit a new VPC peering connection to one Classless Inter-Domain Routing (CIDR) block and region, create the connection first. Deploy the cluster after the connection starts. GCP Clusters and Multi-region clusters require one VPC peering connection for each region. MongoDB nodes can use only the peering connection that resides in the same region as the nodes to communicate with the peered VPC. */
            regionName?:
                | (
                      | "US_GOV_WEST_1"
                      | "US_GOV_EAST_1"
                      | "US_EAST_1"
                      | "US_EAST_2"
                      | "US_WEST_1"
                      | "US_WEST_2"
                      | "CA_CENTRAL_1"
                      | "EU_NORTH_1"
                      | "EU_WEST_1"
                      | "EU_WEST_2"
                      | "EU_WEST_3"
                      | "EU_CENTRAL_1"
                      | "EU_CENTRAL_2"
                      | "AP_EAST_1"
                      | "AP_NORTHEAST_1"
                      | "AP_NORTHEAST_2"
                      | "AP_NORTHEAST_3"
                      | "AP_SOUTHEAST_1"
                      | "AP_SOUTHEAST_2"
                      | "AP_SOUTHEAST_3"
                      | "AP_SOUTHEAST_4"
                      | "AP_SOUTH_1"
                      | "AP_SOUTH_2"
                      | "SA_EAST_1"
                      | "CN_NORTH_1"
                      | "CN_NORTHWEST_1"
                      | "ME_SOUTH_1"
                      | "ME_CENTRAL_1"
                      | "AF_SOUTH_1"
                      | "EU_SOUTH_1"
                      | "EU_SOUTH_2"
                      | "IL_CENTRAL_1"
                      | "CA_WEST_1"
                      | "AP_SOUTHEAST_5"
                      | "AP_SOUTHEAST_7"
                      | "MX_CENTRAL_1"
                      | "GLOBAL"
                  )
                | (
                      | "US_CENTRAL"
                      | "US_EAST"
                       
                      | "US_NORTH_CENTRAL"
                      | "US_WEST"
                      | "US_SOUTH_CENTRAL"
                      | "EUROPE_NORTH"
                      | "EUROPE_WEST"
                      | "US_WEST_CENTRAL"
                       
                      | "US_WEST_3"
                      | "CANADA_EAST"
                      | "CANADA_CENTRAL"
                      | "BRAZIL_SOUTH"
                      | "BRAZIL_SOUTHEAST"
                      | "AUSTRALIA_CENTRAL"
                      | "AUSTRALIA_CENTRAL_2"
                      | "AUSTRALIA_EAST"
                      | "AUSTRALIA_SOUTH_EAST"
                      | "GERMANY_CENTRAL"
                      | "GERMANY_NORTH_EAST"
                      | "GERMANY_WEST_CENTRAL"
                      | "GERMANY_NORTH"
                      | "SWEDEN_CENTRAL"
                      | "SWEDEN_SOUTH"
                      | "SWITZERLAND_NORTH"
                      | "SWITZERLAND_WEST"
                      | "UK_SOUTH"
                      | "UK_WEST"
                      | "NORWAY_EAST"
                      | "NORWAY_WEST"
                      | "INDIA_CENTRAL"
                      | "INDIA_SOUTH"
                      | "INDIA_WEST"
                      | "CHINA_EAST"
                      | "CHINA_NORTH"
                      | "ASIA_EAST"
                      | "JAPAN_EAST"
                      | "JAPAN_WEST"
                      | "ASIA_SOUTH_EAST"
                      | "KOREA_CENTRAL"
                      | "KOREA_SOUTH"
                      | "FRANCE_CENTRAL"
                      | "FRANCE_SOUTH"
                      | "SOUTH_AFRICA_NORTH"
                      | "SOUTH_AFRICA_WEST"
                      | "UAE_CENTRAL"
                      | "UAE_NORTH"
                      | "QATAR_CENTRAL"
                  )
                | (
                      | "EASTERN_US"
                      | "EASTERN_US_AW"
                      | "US_EAST_4"
                      | "US_EAST_4_AW"
                      | "US_EAST_5"
                      | "US_EAST_5_AW"
                       
                      | "US_WEST_2_AW"
                       
                      | "US_WEST_3_AW"
                      | "US_WEST_4"
                      | "US_WEST_4_AW"
                      | "US_SOUTH_1"
                      | "US_SOUTH_1_AW"
                      | "CENTRAL_US"
                      | "CENTRAL_US_AW"
                      | "WESTERN_US"
                      | "WESTERN_US_AW"
                      | "NORTH_AMERICA_NORTHEAST_1"
                      | "NORTH_AMERICA_NORTHEAST_2"
                      | "NORTH_AMERICA_SOUTH_1"
                      | "SOUTH_AMERICA_EAST_1"
                      | "SOUTH_AMERICA_WEST_1"
                      | "WESTERN_EUROPE"
                      | "EUROPE_NORTH_1"
                      | "EUROPE_WEST_2"
                      | "EUROPE_WEST_3"
                      | "EUROPE_WEST_4"
                      | "EUROPE_WEST_6"
                      | "EUROPE_WEST_8"
                      | "EUROPE_WEST_9"
                      | "EUROPE_WEST_10"
                      | "EUROPE_WEST_12"
                      | "EUROPE_SOUTHWEST_1"
                      | "EUROPE_CENTRAL_2"
                      | "MIDDLE_EAST_CENTRAL_1"
                      | "MIDDLE_EAST_CENTRAL_2"
                      | "MIDDLE_EAST_WEST_1"
                      | "AUSTRALIA_SOUTHEAST_1"
                      | "AUSTRALIA_SOUTHEAST_2"
                      | "AFRICA_SOUTH_1"
                      | "EASTERN_ASIA_PACIFIC"
                      | "NORTHEASTERN_ASIA_PACIFIC"
                      | "SOUTHEASTERN_ASIA_PACIFIC"
                      | "ASIA_EAST_2"
                      | "ASIA_NORTHEAST_2"
                      | "ASIA_NORTHEAST_3"
                      | "ASIA_SOUTH_1"
                      | "ASIA_SOUTH_2"
                      | "ASIA_SOUTHEAST_2"
                  );
        } & (
            | components["schemas"]["AWSRegionConfig"]
            | components["schemas"]["AzureRegionConfig"]
            | components["schemas"]["GCPRegionConfig"]
            | components["schemas"]["TenantRegionConfig"]
        );
        /**
         * Cloud Service Provider Settings
         * @description Cloud service provider on which MongoDB Cloud provisions the hosts.
         */
        CloudRegionConfig20240805: {
            electableSpecs?: components["schemas"]["HardwareSpec20240805"];
            /**
             * Format: int32
             * @description Precedence is given to this region when a primary election occurs. If your **regionConfigs** has only **readOnlySpecs**, **analyticsSpecs**, or both, set this value to `0`. If you have multiple **regionConfigs** objects (your cluster is multi-region or multi-cloud), they must have priorities in descending order. The highest priority is `7`.
             *
             *     **Example:** If you have three regions, their priorities would be `7`, `6`, and `5` respectively. If you added two more regions for supporting electable nodes, the priorities of those regions would be `4` and `3` respectively.
             */
            priority?: number;
            /**
             * @description Cloud service provider on which MongoDB Cloud provisions the hosts. Set dedicated clusters to `AWS`, `GCP`, `AZURE` or `TENANT`.
             * @enum {string}
             */
            providerName?: "AWS" | "AZURE" | "GCP" | "TENANT";
            /** @description Physical location of your MongoDB cluster nodes. The region you choose can affect network latency for clients accessing your databases. The region name is only returned in the response for single-region clusters. When MongoDB Cloud deploys a dedicated cluster, it checks if a VPC or VPC connection exists for that provider and region. If not, MongoDB Cloud creates them as part of the deployment. It assigns the VPC a Classless Inter-Domain Routing (CIDR) block. To limit a new VPC peering connection to one Classless Inter-Domain Routing (CIDR) block and region, create the connection first. Deploy the cluster after the connection starts. GCP Clusters and Multi-region clusters require one VPC peering connection for each region. MongoDB nodes can use only the peering connection that resides in the same region as the nodes to communicate with the peered VPC. */
            regionName?:
                | (
                      | "US_GOV_WEST_1"
                      | "US_GOV_EAST_1"
                      | "US_EAST_1"
                      | "US_EAST_2"
                      | "US_WEST_1"
                      | "US_WEST_2"
                      | "CA_CENTRAL_1"
                      | "EU_NORTH_1"
                      | "EU_WEST_1"
                      | "EU_WEST_2"
                      | "EU_WEST_3"
                      | "EU_CENTRAL_1"
                      | "EU_CENTRAL_2"
                      | "AP_EAST_1"
                      | "AP_NORTHEAST_1"
                      | "AP_NORTHEAST_2"
                      | "AP_NORTHEAST_3"
                      | "AP_SOUTHEAST_1"
                      | "AP_SOUTHEAST_2"
                      | "AP_SOUTHEAST_3"
                      | "AP_SOUTHEAST_4"
                      | "AP_SOUTH_1"
                      | "AP_SOUTH_2"
                      | "SA_EAST_1"
                      | "CN_NORTH_1"
                      | "CN_NORTHWEST_1"
                      | "ME_SOUTH_1"
                      | "ME_CENTRAL_1"
                      | "AF_SOUTH_1"
                      | "EU_SOUTH_1"
                      | "EU_SOUTH_2"
                      | "IL_CENTRAL_1"
                      | "CA_WEST_1"
                      | "AP_SOUTHEAST_5"
                      | "AP_SOUTHEAST_7"
                      | "MX_CENTRAL_1"
                      | "GLOBAL"
                  )
                | (
                      | "US_CENTRAL"
                      | "US_EAST"
                       
                      | "US_NORTH_CENTRAL"
                      | "US_WEST"
                      | "US_SOUTH_CENTRAL"
                      | "EUROPE_NORTH"
                      | "EUROPE_WEST"
                      | "US_WEST_CENTRAL"
                       
                      | "US_WEST_3"
                      | "CANADA_EAST"
                      | "CANADA_CENTRAL"
                      | "BRAZIL_SOUTH"
                      | "BRAZIL_SOUTHEAST"
                      | "AUSTRALIA_CENTRAL"
                      | "AUSTRALIA_CENTRAL_2"
                      | "AUSTRALIA_EAST"
                      | "AUSTRALIA_SOUTH_EAST"
                      | "GERMANY_CENTRAL"
                      | "GERMANY_NORTH_EAST"
                      | "GERMANY_WEST_CENTRAL"
                      | "GERMANY_NORTH"
                      | "SWEDEN_CENTRAL"
                      | "SWEDEN_SOUTH"
                      | "SWITZERLAND_NORTH"
                      | "SWITZERLAND_WEST"
                      | "UK_SOUTH"
                      | "UK_WEST"
                      | "NORWAY_EAST"
                      | "NORWAY_WEST"
                      | "INDIA_CENTRAL"
                      | "INDIA_SOUTH"
                      | "INDIA_WEST"
                      | "CHINA_EAST"
                      | "CHINA_NORTH"
                      | "ASIA_EAST"
                      | "JAPAN_EAST"
                      | "JAPAN_WEST"
                      | "ASIA_SOUTH_EAST"
                      | "KOREA_CENTRAL"
                      | "KOREA_SOUTH"
                      | "FRANCE_CENTRAL"
                      | "FRANCE_SOUTH"
                      | "SOUTH_AFRICA_NORTH"
                      | "SOUTH_AFRICA_WEST"
                      | "UAE_CENTRAL"
                      | "UAE_NORTH"
                      | "QATAR_CENTRAL"
                  )
                | (
                      | "EASTERN_US"
                      | "EASTERN_US_AW"
                      | "US_EAST_4"
                      | "US_EAST_4_AW"
                      | "US_EAST_5"
                      | "US_EAST_5_AW"
                       
                      | "US_WEST_2_AW"
                       
                      | "US_WEST_3_AW"
                      | "US_WEST_4"
                      | "US_WEST_4_AW"
                      | "US_SOUTH_1"
                      | "US_SOUTH_1_AW"
                      | "CENTRAL_US"
                      | "CENTRAL_US_AW"
                      | "WESTERN_US"
                      | "WESTERN_US_AW"
                      | "NORTH_AMERICA_NORTHEAST_1"
                      | "NORTH_AMERICA_NORTHEAST_2"
                      | "NORTH_AMERICA_SOUTH_1"
                      | "SOUTH_AMERICA_EAST_1"
                      | "SOUTH_AMERICA_WEST_1"
                      | "WESTERN_EUROPE"
                      | "EUROPE_NORTH_1"
                      | "EUROPE_WEST_2"
                      | "EUROPE_WEST_3"
                      | "EUROPE_WEST_4"
                      | "EUROPE_WEST_6"
                      | "EUROPE_WEST_8"
                      | "EUROPE_WEST_9"
                      | "EUROPE_WEST_10"
                      | "EUROPE_WEST_12"
                      | "EUROPE_SOUTHWEST_1"
                      | "EUROPE_CENTRAL_2"
                      | "MIDDLE_EAST_CENTRAL_1"
                      | "MIDDLE_EAST_CENTRAL_2"
                      | "MIDDLE_EAST_WEST_1"
                      | "AUSTRALIA_SOUTHEAST_1"
                      | "AUSTRALIA_SOUTHEAST_2"
                      | "AFRICA_SOUTH_1"
                      | "EASTERN_ASIA_PACIFIC"
                      | "NORTHEASTERN_ASIA_PACIFIC"
                      | "SOUTHEASTERN_ASIA_PACIFIC"
                      | "ASIA_EAST_2"
                      | "ASIA_NORTHEAST_2"
                      | "ASIA_NORTHEAST_3"
                      | "ASIA_SOUTH_1"
                      | "ASIA_SOUTH_2"
                      | "ASIA_SOUTHEAST_2"
                  );
        } & (
            | components["schemas"]["AWSRegionConfig20240805"]
            | components["schemas"]["AzureRegionConfig20240805"]
            | components["schemas"]["GCPRegionConfig20240805"]
            | components["schemas"]["TenantRegionConfig20240805"]
        );
        /**
         * Cluster Connection Strings
         * @description Collection of Uniform Resource Locators that point to the MongoDB database.
         */
        ClusterConnectionStrings: {
            /** @description Private endpoint-aware connection strings that use AWS-hosted clusters with Amazon Web Services (AWS) PrivateLink. Each key identifies an Amazon Web Services (AWS) interface endpoint. Each value identifies the related `mongodb://` connection string that you use to connect to MongoDB Cloud through the interface endpoint that the key names. */
            readonly awsPrivateLink?: {
                [key: string]: string;
            };
            /** @description Private endpoint-aware connection strings that use AWS-hosted clusters with Amazon Web Services (AWS) PrivateLink. Each key identifies an Amazon Web Services (AWS) interface endpoint. Each value identifies the related `mongodb://` connection string that you use to connect to Atlas through the interface endpoint that the key names. If the cluster uses an optimized connection string, `awsPrivateLinkSrv` contains the optimized connection string. If the cluster has the non-optimized (legacy) connection string, `awsPrivateLinkSrv` contains the non-optimized connection string even if an optimized connection string is also present. */
            readonly awsPrivateLinkSrv?: {
                [key: string]: string;
            };
            /** @description Network peering connection strings for each interface Virtual Private Cloud (VPC) endpoint that you configured to connect to this cluster. This connection string uses the `mongodb+srv://` protocol. The resource returns this parameter once someone creates a network peering connection to this cluster. This protocol tells the application to look up the host seed list in the Domain Name System (DNS). This list synchronizes with the nodes in a cluster. If the connection string uses this Uniform Resource Identifier (URI) format, you don't need to append the seed list or change the URI if the nodes change. Use this URI format if your driver supports it. If it doesn't, use connectionStrings.private. For Amazon Web Services (AWS) clusters, this resource returns this parameter only if you enable custom DNS. */
            readonly private?: string;
            /** @description List of private endpoint-aware connection strings that you can use to connect to this cluster through a private endpoint. This parameter returns only if you deployed a private endpoint to all regions to which you deployed this clusters' nodes. */
            readonly privateEndpoint?: components["schemas"]["ClusterDescriptionConnectionStringsPrivateEndpoint"][];
            /** @description Network peering connection strings for each interface Virtual Private Cloud (VPC) endpoint that you configured to connect to this cluster. This connection string uses the `mongodb+srv://` protocol. The resource returns this parameter when someone creates a network peering connection to this cluster. This protocol tells the application to look up the host seed list in the Domain Name System (DNS). This list synchronizes with the nodes in a cluster. If the connection string uses this Uniform Resource Identifier (URI) format, you don't need to append the seed list or change the Uniform Resource Identifier (URI) if the nodes change. Use this Uniform Resource Identifier (URI) format if your driver supports it. If it doesn't, use `connectionStrings.private`. For Amazon Web Services (AWS) clusters, this parameter returns only if you [enable custom DNS](https://docs.atlas.mongodb.com/reference/api/aws-custom-dns-update/). */
            readonly privateSrv?: string;
            /** @description Public connection string that you can use to connect to this cluster. This connection string uses the `mongodb://` protocol. */
            readonly standard?: string;
            /** @description Public connection string that you can use to connect to this cluster. This connection string uses the `mongodb+srv://` protocol. */
            readonly standardSrv?: string;
        };
        ClusterDescription20240805: {
            /**
             * Format: date-time
             * @description If reconfiguration is necessary to regain a primary due to a regional outage, submit this field alongside your topology reconfiguration to request a new regional outage resistant topology. Forced reconfigurations during an outage of the majority of electable nodes carry a risk of data loss if replicated writes (even majority committed writes) have not been replicated to the new primary node. MongoDB Atlas docs contain more information. To proceed with an operation which carries that risk, set **acceptDataRisksAndForceReplicaSetReconfig** to the current date.
             */
            acceptDataRisksAndForceReplicaSetReconfig?: string;
            advancedConfiguration?: components["schemas"]["ApiAtlasClusterAdvancedConfigurationView"];
            /**
             * @description Flag that indicates whether the cluster can perform backups. If set to `true`, the cluster can perform backups. You must set this value to `true` for NVMe clusters. Backup uses Cloud Backups for dedicated clusters and [Shared Cluster Backups](https://docs.atlas.mongodb.com/backup/shared-tier/overview/) for tenant clusters. If set to `false`, the cluster doesn't use backups.
             * @default false
             */
            backupEnabled: boolean;
            biConnector?: components["schemas"]["BiConnector"];
            /**
             * @description Configuration of nodes that comprise the cluster.
             * @enum {string}
             */
            clusterType?: "REPLICASET" | "SHARDED" | "GEOSHARDED";
            /**
             * @description Config Server Management Mode for creating or updating a sharded cluster.
             *
             *     When configured as ATLAS_MANAGED, atlas may automatically switch the cluster's config server type for optimal performance and savings.
             *
             *     When configured as FIXED_TO_DEDICATED, the cluster will always use a dedicated config server.
             * @default ATLAS_MANAGED
             * @enum {string}
             */
            configServerManagementMode: "ATLAS_MANAGED" | "FIXED_TO_DEDICATED";
            /**
             * @description Describes a sharded cluster's config server type.
             * @enum {string}
             */
            readonly configServerType?: "DEDICATED" | "EMBEDDED";
            connectionStrings?: components["schemas"]["ClusterConnectionStrings"];
            /**
             * Format: date-time
             * @description Date and time when MongoDB Cloud created this cluster. This parameter expresses its value in ISO 8601 format in UTC.
             */
            readonly createDate?: string;
            /**
             * @description Disk warming mode selection.
             * @default FULLY_WARMED
             * @enum {string}
             */
            diskWarmingMode: "FULLY_WARMED" | "VISIBLE_EARLIER";
            /**
             * @description Cloud service provider that manages your customer keys to provide an additional layer of encryption at rest for the cluster. To enable customer key management for encryption at rest, the cluster **replicationSpecs[n].regionConfigs[m].{type}Specs.instanceSize** setting must be `M10` or higher and `"backupEnabled" : false` or omitted entirely.
             * @enum {string}
             */
            encryptionAtRestProvider?: "NONE" | "AWS" | "AZURE" | "GCP";
            /** @description Feature compatibility version of the cluster. This will always appear regardless of whether FCV is pinned. */
            readonly featureCompatibilityVersion?: string;
            /**
             * Format: date-time
             * @description Feature compatibility version expiration date. Will only appear if FCV is pinned.
             */
            readonly featureCompatibilityVersionExpirationDate?: string;
            /** @description Set this field to configure the Sharding Management Mode when creating a new Global Cluster.
             *
             *     When set to false, the management mode is set to Atlas-Managed Sharding. This mode fully manages the sharding of your Global Cluster and is built to provide a seamless deployment experience.
             *
             *     When set to true, the management mode is set to Self-Managed Sharding. This mode leaves the management of shards in your hands and is built to provide an advanced and flexible deployment experience.
             *
             *     This setting cannot be changed once the cluster is deployed. */
            globalClusterSelfManagedSharding?: boolean;
            /**
             * @description Unique 24-hexadecimal character string that identifies the project.
             * @example 32b6e34b3d91647abb20e7b8
             */
            readonly groupId?: string;
            /**
             * @description Unique 24-hexadecimal digit string that identifies the cluster.
             * @example 32b6e34b3d91647abb20e7b8
             */
            readonly id?: string;
            /**
             * @deprecated
             * @description Collection of key-value pairs between 1 to 255 characters in length that tag and categorize the cluster. The MongoDB Cloud console doesn't display your labels.
             *
             *     Cluster labels are deprecated and will be removed in a future release. We strongly recommend that you use Resource Tags instead.
             */
            labels?: components["schemas"]["ComponentLabel"][];
            /** @description List of one or more Uniform Resource Locators (URLs) that point to API sub-resources, related API resources, or both. RFC 5988 outlines these relationships. */
            readonly links?: components["schemas"]["Link"][];
            mongoDBEmployeeAccessGrant?: components["schemas"]["EmployeeAccessGrantView"];
            /** @description MongoDB major version of the cluster. Set to the binary major version.
             *
             *     On creation: Choose from the available versions of MongoDB, or leave unspecified for the current recommended default in the MongoDB Cloud platform. The recommended version is a recent Long Term Support version. The default is not guaranteed to be the most recently released version throughout the entire release cycle. For versions available in a specific project, see the linked documentation or use the API endpoint for [project LTS versions endpoint](#tag/Projects/operation/getProjectLtsVersions).
             *
             *      On update: Increase version only by 1 major version at a time. If the cluster is pinned to a MongoDB feature compatibility version exactly one major version below the current MongoDB version, the MongoDB version can be downgraded to the previous major version. */
            mongoDBMajorVersion?: string;
            /** @description Version of MongoDB that the cluster runs. */
            readonly mongoDBVersion?: string;
            /** @description Human-readable label that identifies the cluster. */
            name?: string;
            /** @description Flag that indicates whether the cluster is paused. */
            paused?: boolean;
            /** @description Flag that indicates whether the cluster uses continuous cloud backups. */
            pitEnabled?: boolean;
            /** @description Enable or disable log redaction.
             *
             *     This setting configures the ``mongod`` or ``mongos`` to redact any document field contents from a message accompanying a given log event before logging. This prevents the program from writing potentially sensitive data stored on the database to the diagnostic log. Metadata such as error or operation codes, line numbers, and source file names are still visible in the logs.
             *
             *     Use ``redactClientLogData`` in conjunction with Encryption at Rest and TLS/SSL (Transport Encryption) to assist compliance with regulatory requirements.
             *
             *     *Note*: changing this setting on a cluster will trigger a rolling restart as soon as the cluster is updated. */
            redactClientLogData?: boolean;
            /**
             * @description Set this field to configure the replica set scaling mode for your cluster.
             *
             *     By default, Atlas scales under WORKLOAD_TYPE. This mode allows Atlas to scale your analytics nodes in parallel to your operational nodes.
             *
             *     When configured as SEQUENTIAL, Atlas scales all nodes sequentially. This mode is intended for steady-state workloads and applications performing latency-sensitive secondary reads.
             *
             *     When configured as NODE_TYPE, Atlas scales your electable nodes in parallel with your read-only and analytics nodes. This mode is intended for large, dynamic workloads requiring frequent and timely cluster tier scaling. This is the fastest scaling strategy, but it might impact latency of workloads when performing extensive secondary reads.
             * @default WORKLOAD_TYPE
             * @enum {string}
             */
            replicaSetScalingStrategy: "SEQUENTIAL" | "WORKLOAD_TYPE" | "NODE_TYPE";
            /** @description List of settings that configure your cluster regions. This array has one object per shard representing node configurations in each shard. For replica sets there is only one object representing node configurations. */
            replicationSpecs?: components["schemas"]["ReplicationSpec20240805"][];
            /**
             * @description Root Certificate Authority that MongoDB Cloud cluster uses. MongoDB Cloud supports Internet Security Research Group.
             * @default ISRGROOTX1
             * @enum {string}
             */
            rootCertType: "ISRGROOTX1";
            /**
             * @description Human-readable label that indicates the current operating condition of this cluster.
             * @enum {string}
             */
            readonly stateName?: "IDLE" | "CREATING" | "UPDATING" | "DELETING" | "REPAIRING";
            /** @description List that contains key-value pairs between 1 to 255 characters in length for tagging and categorizing the cluster. */
            tags?: components["schemas"]["ResourceTag"][];
            /**
             * @description Flag that indicates whether termination protection is enabled on the cluster. If set to `true`, MongoDB Cloud won't delete the cluster. If set to `false`, MongoDB Cloud will delete the cluster.
             * @default false
             */
            terminationProtectionEnabled: boolean;
            /**
             * @description Method by which the cluster maintains the MongoDB versions. If value is `CONTINUOUS`, you must not specify **mongoDBMajorVersion**.
             * @default LTS
             * @enum {string}
             */
            versionReleaseSystem: "LTS" | "CONTINUOUS";
        };
        /**
         * Cluster Private Endpoint Connection String
         * @description Private endpoint-aware connection string that you can use to connect to this cluster through a private endpoint.
         */
        ClusterDescriptionConnectionStringsPrivateEndpoint: {
            /** @description Private endpoint-aware connection string that uses the `mongodb://` protocol to connect to MongoDB Cloud through a private endpoint. */
            readonly connectionString?: string;
            /** @description List that contains the private endpoints through which you connect to MongoDB Cloud when you use **connectionStrings.privateEndpoint[n].connectionString** or **connectionStrings.privateEndpoint[n].srvConnectionString**. */
            readonly endpoints?: components["schemas"]["ClusterDescriptionConnectionStringsPrivateEndpointEndpoint"][];
            /** @description Private endpoint-aware connection string that uses the `mongodb+srv://` protocol to connect to MongoDB Cloud through a private endpoint. The `mongodb+srv` protocol tells the driver to look up the seed list of hosts in the Domain Name System (DNS). This list synchronizes with the nodes in a cluster. If the connection string uses this Uniform Resource Identifier (URI) format, you don't need to append the seed list or change the Uniform Resource Identifier (URI) if the nodes change. Use this Uniform Resource Identifier (URI) format if your application supports it. If it doesn't, use connectionStrings.privateEndpoint[n].connectionString. */
            readonly srvConnectionString?: string;
            /** @description Private endpoint-aware connection string optimized for sharded clusters that uses the `mongodb+srv://` protocol to connect to MongoDB Cloud through a private endpoint. If the connection string uses this Uniform Resource Identifier (URI) format, you don't need to change the Uniform Resource Identifier (URI) if the nodes change. Use this Uniform Resource Identifier (URI) format if your application and Atlas cluster supports it. If it doesn't, use and consult the documentation for connectionStrings.privateEndpoint[n].srvConnectionString. */
            readonly srvShardOptimizedConnectionString?: string;
            /**
             * @description MongoDB process type to which your application connects. Use `MONGOD` for replica sets and `MONGOS` for sharded clusters.
             * @enum {string}
             */
            readonly type?: "MONGOD" | "MONGOS";
        };
        /**
         * Cluster Private Endpoint Connection Strings Endpoint
         * @description Details of a private endpoint deployed for this cluster.
         */
        ClusterDescriptionConnectionStringsPrivateEndpointEndpoint: {
            /** @description Unique string that the cloud provider uses to identify the private endpoint. */
            readonly endpointId?: string;
            /**
             * @description Cloud provider in which MongoDB Cloud deploys the private endpoint.
             * @enum {string}
             */
            readonly providerName?: "AWS" | "AZURE" | "GCP";
            /** @description Region where the private endpoint is deployed. */
            readonly region?: string;
        };
        ClusterFlexProviderSettings: Omit<components["schemas"]["ClusterProviderSettings"], "providerName"> & {
            /**
             * @description Cloud service provider on which MongoDB Cloud provisioned the multi-tenant host. The resource returns this parameter when **providerSettings.providerName** is `FLEX` and **providerSetting.instanceSizeName** is `FLEX`.
             * @enum {string}
             */
            backingProviderName?: "AWS" | "GCP" | "AZURE";
            /**
             * Flex Instance Sizes
             * @description Cluster tier, with a default storage and memory capacity, that applies to all the data-bearing hosts in your cluster. You must set **providerSettings.providerName** to `FLEX` and specify the cloud service provider in **providerSettings.backingProviderName**.
             * @enum {string}
             */
            instanceSizeName?: "FLEX";
            /** @description Human-readable label that identifies the geographic location of your MongoDB cluster. The region you choose can affect network latency for clients accessing your databases. For a complete list of region names, see [AWS](https://docs.atlas.mongodb.com/reference/amazon-aws/#std-label-amazon-aws), [GCP](https://docs.atlas.mongodb.com/reference/google-gcp/), and [Azure](https://docs.atlas.mongodb.com/reference/microsoft-azure/). */
            regionName?: string;
        } & {
            /**
             * @description discriminator enum property added by openapi-typescript
             * @enum {string}
             */
            providerName: "FLEX";
        }  ;
        /** @description Range of instance sizes to which your cluster can scale. */
        ClusterFreeAutoScaling: {
            compute?: components["schemas"]["FreeComputeAutoScalingRules"];
        };
        ClusterFreeProviderSettings: Omit<components["schemas"]["ClusterProviderSettings"], "providerName"> & {
            autoScaling?: components["schemas"]["ClusterFreeAutoScaling"];
            /**
             * @description Cloud service provider on which MongoDB Cloud provisioned the multi-tenant host. The resource returns this parameter when **providerSettings.providerName** is `TENANT` and **providerSetting.instanceSizeName** is `M0`, `M2` or `M5`.
             *
             *     Please note that using an instanceSize of M2 or M5 will create a Flex cluster instead. Support for the instanceSize of M2 or M5 will be discontinued in January 2026. We recommend using the createFlexCluster API for such configurations moving forward.
             * @enum {string}
             */
            backingProviderName?: "AWS" | "GCP" | "AZURE";
            /**
             * @description The true tenant instance size. This is present to support backwards compatibility for deprecated provider types and/or instance sizes.
             * @enum {string}
             */
            readonly effectiveInstanceSizeName?: "FLEX" | "M2" | "M5" | "M0";
            /**
             * Tenant Instance Sizes
             * @description Cluster tier, with a default storage and memory capacity, that applies to all the data-bearing hosts in your cluster. You must set **providerSettings.providerName** to `TENANT` and specify the cloud service provider in **providerSettings.backingProviderName**.
             * @enum {string}
             */
            instanceSizeName?: "M0" | "M2" | "M5";
            /** @description Human-readable label that identifies the geographic location of your MongoDB cluster. The region you choose can affect network latency for clients accessing your databases. For a complete list of region names, see [AWS](https://docs.atlas.mongodb.com/reference/amazon-aws/#std-label-amazon-aws), [GCP](https://docs.atlas.mongodb.com/reference/google-gcp/), and [Azure](https://docs.atlas.mongodb.com/reference/microsoft-azure/). For multi-region clusters, see **replicationSpec.{region}**. */
            regionName?: string;
        } & {
            /**
             * @description discriminator enum property added by openapi-typescript
             * @enum {string}
             */
            providerName: "TENANT";
        }  ;
        /**
         * Cloud Service Provider Settings for a Cluster
         * @description Group of cloud provider settings that configure the provisioned MongoDB hosts.
         */
        ClusterProviderSettings: {
            providerName: string;
        } & (
            | components["schemas"]["AWSCloudProviderSettings"]
            | components["schemas"]["AzureCloudProviderSettings"]
            | components["schemas"]["CloudGCPProviderSettings"]
            | components["schemas"]["ClusterFreeProviderSettings"]
            | components["schemas"]["ClusterFlexProviderSettings"]
        );
        ClusterSearchIndex: {
            /** @description Human-readable label that identifies the collection that contains one or more Atlas Search indexes. */
            collectionName: string;
            /** @description Human-readable label that identifies the database that contains the collection with one or more Atlas Search indexes. */
            database: string;
            /**
             * @description Unique 24-hexadecimal digit string that identifies this Atlas Search index.
             * @example 32b6e34b3d91647abb20e7b8
             */
            readonly indexID?: string;
            /** @description Human-readable label that identifies this index. Within each namespace, names of all indexes in the namespace must be unique. */
            name: string;
            /**
             * Format: int32
             * @description Number of index partitions. Allowed values are [1, 2, 4].
             * @default 1
             */
            numPartitions: number;
            /**
             * @description Condition of the search index when you made this request.
             *
             *     - `IN_PROGRESS`: Atlas is building or re-building the index after an edit.
             *     - `STEADY`: You can use this search index.
             *     - `FAILED`: Atlas could not build the index.
             *     - `MIGRATING`: Atlas is upgrading the underlying cluster tier and migrating indexes.
             *     - `PAUSED`: The cluster is paused.
             * @enum {string}
             */
            readonly status?: "IN_PROGRESS" | "STEADY" | "FAILED" | "MIGRATING" | "STALE" | "PAUSED";
            /**
             * @description Type of the index. Default type is search.
             * @enum {string}
             */
            type?: "search" | "vectorSearch";
        };
        /**
         * Component Label
         * @description Human-readable labels applied to this MongoDB Cloud component.
         */
        ComponentLabel: {
            /** @description Key applied to tag and categorize this component. */
            key?: string;
            /** @description Value set to the Key applied to tag and categorize this component. */
            value?: string;
        };
        /**
         * AWS
         * @description Group of Private Endpoint settings.
         */
        CreateAWSEndpointRequest: components["schemas"]["CreateEndpointRequest"] & {
            /**
             * @description Unique string that identifies the private endpoint's network interface that someone added to this private endpoint service.
             * @example vpce-3bf78b0ddee411ba1
             */
            id: string;
        };
        /**
         * AZURE
         * @description Group of Private Endpoint settings.
         */
        CreateAzureEndpointRequest: components["schemas"]["CreateEndpointRequest"] & {
            /**
             * @description Unique string that identifies the private endpoint's network interface that someone added to this private endpoint service.
             * @example /subscriptions/cba6d9c6-1d3f-3c11-03cb-c705d895e636/resourcegroups/qrRTqi4TSN)7yB5YLRjVDveH3.yLzpNR7Br0D3-SGrU3j0.0/providers/Microsoft.Network/privateEndpoints/pVP(vb(XeckpxtXzP0NaOsDjeWDbOK)DX8A2j2E_vBYL2.GEYIdln
             */
            id: string;
            /** @description IPv4 address of the private endpoint in your Azure VNet that someone added to this private endpoint service. */
            privateEndpointIPAddress: string;
        };
        /** @description Settings to configure the region where you wish to store your archived data. */
        CreateDataProcessRegionView: {
            /**
             * @description Human-readable label that identifies the Cloud service provider where you wish to store your archived data. **AZURE** or **GCP** may be selected only if it is the Cloud service provider for the cluster and no archives for any other cloud provider have been created for the cluster.
             * @enum {string}
             */
            cloudProvider?: "AWS" | "AZURE" | "GCP";
        };
        CreateEndpointRequest:
            | components["schemas"]["CreateAWSEndpointRequest"]
            | components["schemas"]["CreateAzureEndpointRequest"]
            | components["schemas"]["CreateGCPEndpointGroupRequest"];
        /**
         * GCP
         * @description Group of Private Endpoint settings.
         */
        CreateGCPEndpointGroupRequest: components["schemas"]["CreateEndpointRequest"] & {
            /** @description Human-readable label that identifies a set of endpoints. */
            endpointGroupName: string;
            /** @description List of individual private endpoints that comprise this endpoint group. */
            endpoints?: components["schemas"]["CreateGCPForwardingRuleRequest"][];
            /**
             * @description Unique string that identifies the Google Cloud project in which you created the endpoints.
             * @example p-fdeeb3e43b8e733e5ab627b1
             */
            gcpProjectId: string;
        };
        /** GCP Forwarding Rules */
        CreateGCPForwardingRuleRequest: {
            /** @description Human-readable label that identifies the Google Cloud consumer forwarding rule that you created. */
            endpointName?: string;
            /** @description One Private Internet Protocol version 4 (IPv4) address to which this Google Cloud consumer forwarding rule resolves. */
            ipAddress?: string;
        };
        /** @description Rules by which MongoDB Cloud archives data.
         *
         *     Use the **criteria.type** field to choose how MongoDB Cloud selects data to archive. Choose data using the age of the data or a MongoDB query.
         *     **"criteria.type": "DATE"** selects documents to archive based on a date.
         *     **"criteria.type": "CUSTOM"** selects documents to archive based on a custom JSON query. MongoDB Cloud doesn't support **"criteria.type": "CUSTOM"** when **"collectionType": "TIMESERIES"**. */
        CriteriaView: {
            /**
             * @description Means by which MongoDB Cloud selects data to archive. Data can be chosen using the age of the data or a MongoDB query.
             *     **DATE** selects documents to archive based on a date.
             *     **CUSTOM** selects documents to archive based on a custom JSON query. MongoDB Cloud doesn't support **CUSTOM** when `"collectionType": "TIMESERIES"`.
             * @enum {string}
             */
            type?: "DATE" | "CUSTOM";
        };
        /**
         * Archival Criteria
         * @description **CUSTOM criteria.type**.
         */
        CustomCriteriaView: Omit<components["schemas"]["CriteriaView"], "type"> & {
            /** @description MongoDB find query that selects documents to archive. The specified query follows the syntax of the `db.collection.find(query)` command. This query can't use the empty document (`{}`) to return all documents. Set this parameter when **"criteria.type" : "CUSTOM"**. */
            query: string;
        } & {
            /**
             * @description discriminator enum property added by openapi-typescript
             * @enum {string}
             */
            type: "CUSTOM";
        };
        /** @description The name of a Built in or Custom DB Role to connect to an Atlas Cluster. */
        DBRoleToExecute: {
            /** @description List of one or more Uniform Resource Locators (URLs) that point to API sub-resources, related API resources, or both. RFC 5988 outlines these relationships. */
            readonly links?: components["schemas"]["Link"][];
            /** @description The name of the role to use. Can be a built in role or a custom role. */
            role?: string;
            /**
             * DB Role Type
             * @description Type of the DB role. Can be either BuiltIn or Custom.
             * @enum {string}
             */
            type?: "BUILT_IN" | "CUSTOM";
        };
        /**
         * DLS Ingestion Destination
         * @description Atlas Data Lake Storage as the destination for a Data Lake Pipeline.
         */
        DLSIngestionSink: Omit<components["schemas"]["IngestionSink"], "type"> & {
            /**
             * @description Target cloud provider for this Data Lake Pipeline.
             * @enum {string}
             */
            metadataProvider?: "AWS";
            /** @description Target cloud provider region for this Data Lake Pipeline. */
            metadataRegion?: string;
            /** @description Ordered fields used to physically organize data in the destination. */
            partitionFields?: components["schemas"]["DataLakePipelinesPartitionField"][];
        } & {
            /**
             * @description discriminator enum property added by openapi-typescript
             * @enum {string}
             */
            type: "DLS";
        };
        DailyScheduleView: Omit<WithRequired<components["schemas"]["OnlineArchiveSchedule"], "type">, "type"> & {
            /**
             * Format: int32
             * @description Hour of the day when the scheduled window to run one online archive ends.
             */
            endHour?: number;
            /**
             * Format: int32
             * @description Minute of the hour when the scheduled window to run one online archive ends.
             */
            endMinute?: number;
            /**
             * Format: int32
             * @description Hour of the day when the when the scheduled window to run one online archive starts.
             */
            startHour?: number;
            /**
             * Format: int32
             * @description Minute of the hour when the scheduled window to run one online archive starts.
             */
            startMinute?: number;
        } & {
            /**
             * @description discriminator enum property added by openapi-typescript
             * @enum {string}
             */
            type: "DAILY";
        }  ;
        DataLakeAtlasStoreInstance: Omit<components["schemas"]["DataLakeStoreSettings"], "provider"> & {
            /** @description Human-readable label of the MongoDB Cloud cluster on which the store is based. */
            clusterName?: string;
            /** @description Unique 24-hexadecimal digit string that identifies the project. */
            readonly projectId?: string;
            readConcern?: components["schemas"]["DataLakeAtlasStoreReadConcern"];
            readPreference?: components["schemas"]["DataLakeAtlasStoreReadPreference"];
        } & {
            /**
             * @description discriminator enum property added by openapi-typescript
             * @enum {string}
             */
            provider: "atlas";
        }  ;
        /** @description MongoDB Cloud cluster read concern, which determines the consistency and isolation properties of the data read from an Atlas cluster. */
        DataLakeAtlasStoreReadConcern: {
            /**
             * @description Read Concern level that specifies the consistency and availability of the data read.
             * @enum {string}
             */
            level?: "LOCAL" | "MAJORITY" | "LINEARIZABLE" | "SNAPSHOT" | "AVAILABLE";
        };
        /** @description MongoDB Cloud cluster read preference, which describes how to route read requests to the cluster. */
        DataLakeAtlasStoreReadPreference: {
            /**
             * Format: int32
             * @description Maximum replication lag, or **staleness**, for reads from secondaries.
             */
            maxStalenessSeconds?: number;
            /**
             * @description Read preference mode that specifies to which replica set member to route the read requests.
             * @enum {string}
             */
            mode?: "primary" | "primaryPreferred" | "secondary" | "secondaryPreferred" | "nearest";
            /** @description List that contains tag sets or tag specification documents. If specified, Atlas Data Lake routes read requests to replica set member or members that are associated with the specified tags. */
            tagSets?: components["schemas"]["DataLakeAtlasStoreReadPreferenceTag"][][];
        };
        DataLakeAtlasStoreReadPreferenceTag: {
            /** @description Human-readable label of the tag. */
            name?: string;
            /** @description Value of the tag. */
            value?: string;
        };
        DataLakeAzureBlobStore: Omit<components["schemas"]["DataLakeStoreSettings"], "provider"> & {
            /** @description Human-readable label that identifies the name of the container. */
            containerName?: string;
            /** @description Delimiter. */
            delimiter?: string;
            /** @description Prefix. */
            prefix?: string;
            /**
             * @description Flag that indicates whether the blob store is public. If set to `true`, MongoDB Cloud doesn't use the configured Azure service principal to access the blob store. If set to `false`, the configured Azure service principal must include permissions to access the blob store.
             * @default false
             */
            public: boolean;
            /**
             * Azure Regions
             * @description Microsoft Azure Regions.
             * @enum {string}
             */
            region?:
                | "US_CENTRAL"
                | "US_EAST"
                | "US_EAST_2"
                | "US_NORTH_CENTRAL"
                | "US_WEST"
                | "US_SOUTH_CENTRAL"
                | "EUROPE_NORTH"
                | "EUROPE_WEST"
                | "US_WEST_CENTRAL"
                | "US_WEST_2"
                | "US_WEST_3"
                | "CANADA_EAST"
                | "CANADA_CENTRAL"
                | "BRAZIL_SOUTH"
                | "BRAZIL_SOUTHEAST"
                | "AUSTRALIA_CENTRAL"
                | "AUSTRALIA_CENTRAL_2"
                | "AUSTRALIA_EAST"
                | "AUSTRALIA_SOUTH_EAST"
                | "GERMANY_CENTRAL"
                | "GERMANY_NORTH_EAST"
                | "GERMANY_WEST_CENTRAL"
                | "GERMANY_NORTH"
                | "SWEDEN_CENTRAL"
                | "SWEDEN_SOUTH"
                | "SWITZERLAND_NORTH"
                | "SWITZERLAND_WEST"
                | "UK_SOUTH"
                | "UK_WEST"
                | "NORWAY_EAST"
                | "NORWAY_WEST"
                | "INDIA_CENTRAL"
                | "INDIA_SOUTH"
                | "INDIA_WEST"
                | "CHINA_EAST"
                | "CHINA_NORTH"
                | "ASIA_EAST"
                | "JAPAN_EAST"
                | "JAPAN_WEST"
                | "ASIA_SOUTH_EAST"
                | "KOREA_CENTRAL"
                | "KOREA_SOUTH"
                | "FRANCE_CENTRAL"
                | "FRANCE_SOUTH"
                | "SOUTH_AFRICA_NORTH"
                | "SOUTH_AFRICA_WEST"
                | "UAE_CENTRAL"
                | "UAE_NORTH"
                | "QATAR_CENTRAL";
            /** @description Replacement Delimiter. */
            replacementDelimiter?: string;
            /** @description Service URL. */
            serviceURL?: string;
        } & {
            /**
             * @description discriminator enum property added by openapi-typescript
             * @enum {string}
             */
            provider: "azure";
        }  ;
        DataLakeDLSAWSStore: Omit<components["schemas"]["DataLakeStoreSettings"], "provider"> & {
            /**
             * AWS Regions
             * @description Physical location where MongoDB Cloud deploys your AWS-hosted MongoDB cluster nodes. The region you choose can affect network latency for clients accessing your databases. When MongoDB Cloud deploys a dedicated cluster, it checks if a VPC or VPC connection exists for that provider and region. If not, MongoDB Cloud creates them as part of the deployment. MongoDB Cloud assigns the VPC a CIDR block. To limit a new VPC peering connection to one CIDR block and region, create the connection first. Deploy the cluster after the connection starts.
             * @enum {string}
             */
            region?:
                | "US_GOV_WEST_1"
                | "US_GOV_EAST_1"
                | "US_EAST_1"
                | "US_EAST_2"
                | "US_WEST_1"
                | "US_WEST_2"
                | "CA_CENTRAL_1"
                | "EU_NORTH_1"
                | "EU_WEST_1"
                | "EU_WEST_2"
                | "EU_WEST_3"
                | "EU_CENTRAL_1"
                | "EU_CENTRAL_2"
                | "AP_EAST_1"
                | "AP_NORTHEAST_1"
                | "AP_NORTHEAST_2"
                | "AP_NORTHEAST_3"
                | "AP_SOUTHEAST_1"
                | "AP_SOUTHEAST_2"
                | "AP_SOUTHEAST_3"
                | "AP_SOUTHEAST_4"
                | "AP_SOUTH_1"
                | "AP_SOUTH_2"
                | "SA_EAST_1"
                | "CN_NORTH_1"
                | "CN_NORTHWEST_1"
                | "ME_SOUTH_1"
                | "ME_CENTRAL_1"
                | "AF_SOUTH_1"
                | "EU_SOUTH_1"
                | "EU_SOUTH_2"
                | "IL_CENTRAL_1"
                | "CA_WEST_1"
                | "GLOBAL";
        } & {
            /**
             * @description discriminator enum property added by openapi-typescript
             * @enum {string}
             */
            provider: "dls:aws";
        }  ;
        DataLakeDLSAzureStore: Omit<components["schemas"]["DataLakeStoreSettings"], "provider"> & {
            /**
             * Azure Regions
             * @description Microsoft Azure Regions.
             * @enum {string}
             */
            region?:
                | "US_CENTRAL"
                | "US_EAST"
                | "US_EAST_2"
                | "US_NORTH_CENTRAL"
                | "US_WEST"
                | "US_SOUTH_CENTRAL"
                | "EUROPE_NORTH"
                | "EUROPE_WEST"
                | "US_WEST_CENTRAL"
                | "US_WEST_2"
                | "US_WEST_3"
                | "CANADA_EAST"
                | "CANADA_CENTRAL"
                | "BRAZIL_SOUTH"
                | "BRAZIL_SOUTHEAST"
                | "AUSTRALIA_CENTRAL"
                | "AUSTRALIA_CENTRAL_2"
                | "AUSTRALIA_EAST"
                | "AUSTRALIA_SOUTH_EAST"
                | "GERMANY_CENTRAL"
                | "GERMANY_NORTH_EAST"
                | "GERMANY_WEST_CENTRAL"
                | "GERMANY_NORTH"
                | "SWEDEN_CENTRAL"
                | "SWEDEN_SOUTH"
                | "SWITZERLAND_NORTH"
                | "SWITZERLAND_WEST"
                | "UK_SOUTH"
                | "UK_WEST"
                | "NORWAY_EAST"
                | "NORWAY_WEST"
                | "INDIA_CENTRAL"
                | "INDIA_SOUTH"
                | "INDIA_WEST"
                | "CHINA_EAST"
                | "CHINA_NORTH"
                | "ASIA_EAST"
                | "JAPAN_EAST"
                | "JAPAN_WEST"
                | "ASIA_SOUTH_EAST"
                | "KOREA_CENTRAL"
                | "KOREA_SOUTH"
                | "FRANCE_CENTRAL"
                | "FRANCE_SOUTH"
                | "SOUTH_AFRICA_NORTH"
                | "SOUTH_AFRICA_WEST"
                | "UAE_CENTRAL"
                | "UAE_NORTH"
                | "QATAR_CENTRAL";
        } & {
            /**
             * @description discriminator enum property added by openapi-typescript
             * @enum {string}
             */
            provider: "dls:azure";
        }  ;
        DataLakeDLSGCPStore: Omit<components["schemas"]["DataLakeStoreSettings"], "provider"> & {
            /**
             * GCP Regions
             * @description Google Cloud Platform Regions.
             * @enum {string}
             */
            region?:
                | "ASIA_EAST_2"
                | "ASIA_NORTHEAST_2"
                | "ASIA_NORTHEAST_3"
                | "ASIA_SOUTH_1"
                | "ASIA_SOUTH_2"
                | "ASIA_SOUTHEAST_2"
                | "AUSTRALIA_SOUTHEAST_1"
                | "AUSTRALIA_SOUTHEAST_2"
                | "CENTRAL_US"
                | "EASTERN_ASIA_PACIFIC"
                | "EASTERN_US"
                | "EUROPE_CENTRAL_2"
                | "EUROPE_NORTH_1"
                | "EUROPE_WEST_2"
                | "EUROPE_WEST_3"
                | "EUROPE_WEST_4"
                | "EUROPE_WEST_6"
                | "EUROPE_WEST_10"
                | "EUROPE_WEST_12"
                | "MIDDLE_EAST_CENTRAL_1"
                | "MIDDLE_EAST_CENTRAL_2"
                | "MIDDLE_EAST_WEST_1"
                | "NORTH_AMERICA_NORTHEAST_1"
                | "NORTH_AMERICA_NORTHEAST_2"
                | "NORTHEASTERN_ASIA_PACIFIC"
                | "SOUTH_AMERICA_EAST_1"
                | "SOUTH_AMERICA_WEST_1"
                | "SOUTHEASTERN_ASIA_PACIFIC"
                | "US_EAST_4"
                | "US_EAST_5"
                | "US_WEST_2"
                | "US_WEST_3"
                | "US_WEST_4"
                | "US_SOUTH_1"
                | "WESTERN_EUROPE"
                | "WESTERN_US";
        } & {
            /**
             * @description discriminator enum property added by openapi-typescript
             * @enum {string}
             */
            provider: "dls:gcp";
        }  ;
        DataLakeGoogleCloudStorageStore: Omit<components["schemas"]["DataLakeStoreSettings"], "provider"> & {
            /** @description Human-readable label that identifies the Google Cloud Storage bucket. */
            bucket?: string;
            /** @description Delimiter. */
            delimiter?: string;
            /** @description Prefix. */
            prefix?: string;
            /**
             * @description Flag that indicates whether the bucket is public. If set to `true`, MongoDB Cloud doesn't use the configured GCP service account to access the bucket. If set to `false`, the configured GCP service acccount must include permissions to access the bucket.
             * @default false
             */
            public: boolean;
            /**
             * GCP Regions
             * @description Google Cloud Platform Regions.
             * @enum {string}
             */
            region?:
                | "ASIA_EAST_2"
                | "ASIA_NORTHEAST_2"
                | "ASIA_NORTHEAST_3"
                | "ASIA_SOUTH_1"
                | "ASIA_SOUTH_2"
                | "ASIA_SOUTHEAST_2"
                | "AUSTRALIA_SOUTHEAST_1"
                | "AUSTRALIA_SOUTHEAST_2"
                | "CENTRAL_US"
                | "EASTERN_ASIA_PACIFIC"
                | "EASTERN_US"
                | "EUROPE_CENTRAL_2"
                | "EUROPE_NORTH_1"
                | "EUROPE_WEST_2"
                | "EUROPE_WEST_3"
                | "EUROPE_WEST_4"
                | "EUROPE_WEST_6"
                | "EUROPE_WEST_10"
                | "EUROPE_WEST_12"
                | "MIDDLE_EAST_CENTRAL_1"
                | "MIDDLE_EAST_CENTRAL_2"
                | "MIDDLE_EAST_WEST_1"
                | "NORTH_AMERICA_NORTHEAST_1"
                | "NORTH_AMERICA_NORTHEAST_2"
                | "NORTHEASTERN_ASIA_PACIFIC"
                | "SOUTH_AMERICA_EAST_1"
                | "SOUTH_AMERICA_WEST_1"
                | "SOUTHEASTERN_ASIA_PACIFIC"
                | "US_EAST_4"
                | "US_EAST_5"
                | "US_WEST_2"
                | "US_WEST_3"
                | "US_WEST_4"
                | "US_SOUTH_1"
                | "WESTERN_EUROPE"
                | "WESTERN_US";
            /** @description Replacement Delimiter. */
            replacementDelimiter?: string;
        } & {
            /**
             * @description discriminator enum property added by openapi-typescript
             * @enum {string}
             */
            provider: "gcs";
        }  ;
        DataLakeHTTPStore: Omit<components["schemas"]["DataLakeStoreSettings"], "provider"> & {
            /**
             * @description Flag that validates the scheme in the specified URLs. If `true`, allows insecure `HTTP` scheme, doesn't verify the server's certificate chain and hostname, and accepts any certificate with any hostname presented by the server. If `false`, allows secure `HTTPS` scheme only.
             * @default false
             */
            allowInsecure: boolean;
            /** @description Default format that Data Lake assumes if it encounters a file without an extension while searching the `storeName`. If omitted, Data Lake attempts to detect the file type by processing a few bytes of the file. The specified format only applies to the URLs specified in the **databases.[n].collections.[n].dataSources** object. */
            defaultFormat?: string;
            /** @description Comma-separated list of publicly accessible HTTP URLs where data is stored. You can't specify URLs that require authentication. */
            urls?: string[];
        } & {
            /**
             * @description discriminator enum property added by openapi-typescript
             * @enum {string}
             */
            provider: "http";
        }  ;
        /**
         * Partition Field
         * @description Partition Field in the Data Lake Storage provider for a Data Lake Pipeline.
         */
        DataLakePipelinesPartitionField: {
            /** @description Human-readable label that identifies the field name used to partition data. */
            fieldName: string;
            /**
             * Format: int32
             * @description Sequence in which MongoDB Cloud slices the collection data to create partitions. The resource expresses this sequence starting with zero.
             * @default 0
             */
            order: number;
        };
        DataLakeS3StoreSettings: Omit<components["schemas"]["DataLakeStoreSettings"], "provider"> & {
            /** @description Collection of AWS S3 [storage classes](https://aws.amazon.com/s3/storage-classes/). Atlas Data Lake includes the files in these storage classes in the query results. */
            additionalStorageClasses?: ("STANDARD" | "INTELLIGENT_TIERING" | "STANDARD_IA")[];
            /** @description Human-readable label that identifies the AWS S3 bucket. This label must exactly match the name of an S3 bucket that the data lake can access with the configured AWS Identity and Access Management (IAM) credentials. */
            bucket?: string;
            /** @description The delimiter that separates **databases.[n].collections.[n].dataSources.[n].path** segments in the data store. MongoDB Cloud uses the delimiter to efficiently traverse S3 buckets with a hierarchical directory structure. You can specify any character supported by the S3 object keys as the delimiter. For example, you can specify an underscore (_) or a plus sign (+) or multiple characters, such as double underscores (__) as the delimiter. If omitted, defaults to `/`. */
            delimiter?: string;
            /**
             * @description Flag that indicates whether to use S3 tags on the files in the given path as additional partition attributes. If set to `true`, data lake adds the S3 tags as additional partition attributes and adds new top-level BSON elements associating each tag to each document.
             * @default false
             */
            includeTags: boolean;
            /** @description Prefix that MongoDB Cloud applies when searching for files in the S3 bucket. The data store prepends the value of prefix to the **databases.[n].collections.[n].dataSources.[n].path** to create the full path for files to ingest. If omitted, MongoDB Cloud searches all files from the root of the S3 bucket. */
            prefix?: string;
            /**
             * @description Flag that indicates whether the bucket is public. If set to `true`, MongoDB Cloud doesn't use the configured AWS Identity and Access Management (IAM) role to access the S3 bucket. If set to `false`, the configured AWS IAM role must include permissions to access the S3 bucket.
             * @default false
             */
            public: boolean;
            /**
             * AWS Regions
             * @description Physical location where MongoDB Cloud deploys your AWS-hosted MongoDB cluster nodes. The region you choose can affect network latency for clients accessing your databases. When MongoDB Cloud deploys a dedicated cluster, it checks if a VPC or VPC connection exists for that provider and region. If not, MongoDB Cloud creates them as part of the deployment. MongoDB Cloud assigns the VPC a CIDR block. To limit a new VPC peering connection to one CIDR block and region, create the connection first. Deploy the cluster after the connection starts.
             * @enum {string}
             */
            region?:
                | "US_GOV_WEST_1"
                | "US_GOV_EAST_1"
                | "US_EAST_1"
                | "US_EAST_2"
                | "US_WEST_1"
                | "US_WEST_2"
                | "CA_CENTRAL_1"
                | "EU_NORTH_1"
                | "EU_WEST_1"
                | "EU_WEST_2"
                | "EU_WEST_3"
                | "EU_CENTRAL_1"
                | "EU_CENTRAL_2"
                | "AP_EAST_1"
                | "AP_NORTHEAST_1"
                | "AP_NORTHEAST_2"
                | "AP_NORTHEAST_3"
                | "AP_SOUTHEAST_1"
                | "AP_SOUTHEAST_2"
                | "AP_SOUTHEAST_3"
                | "AP_SOUTHEAST_4"
                | "AP_SOUTH_1"
                | "AP_SOUTH_2"
                | "SA_EAST_1"
                | "CN_NORTH_1"
                | "CN_NORTHWEST_1"
                | "ME_SOUTH_1"
                | "ME_CENTRAL_1"
                | "AF_SOUTH_1"
                | "EU_SOUTH_1"
                | "EU_SOUTH_2"
                | "IL_CENTRAL_1"
                | "CA_WEST_1"
                | "GLOBAL";
        } & {
            /**
             * @description discriminator enum property added by openapi-typescript
             * @enum {string}
             */
            provider: "s3";
        }  ;
        /** @description Group of settings that define where the data is stored. */
        DataLakeStoreSettings: {
            /** @description Human-readable label that identifies the data store. The **databases.[n].collections.[n].dataSources.[n].storeName** field references this values as part of the mapping configuration. To use MongoDB Cloud as a data store, the data lake requires a serverless instance or an `M10` or higher cluster. */
            name?: string;
            provider: string;
        } & (
            | components["schemas"]["DataLakeS3StoreSettings"]
            | components["schemas"]["DataLakeDLSAWSStore"]
            | components["schemas"]["DataLakeDLSAzureStore"]
            | components["schemas"]["DataLakeDLSGCPStore"]
            | components["schemas"]["DataLakeAtlasStoreInstance"]
            | components["schemas"]["DataLakeHTTPStore"]
            | components["schemas"]["DataLakeAzureBlobStore"]
            | components["schemas"]["DataLakeGoogleCloudStorageStore"]
        );
        /** @description Settings to configure the region where you wish to store your archived data. */
        DataProcessRegionView: {
            /**
             * @description Human-readable label that identifies the Cloud service provider where you store your archived data.
             * @enum {string}
             */
            readonly cloudProvider?: "AWS" | "AZURE" | "GCP";
        };
        /**
         * Database User Role
         * @description Range of resources available to this database user.
         */
        DatabaseUserRole: {
            /** @description Collection on which this role applies. */
            collectionName?: string;
            /** @description Database to which the user is granted access privileges. */
            databaseName: string;
            /**
             * @description Human-readable label that identifies a group of privileges assigned to a database user. This value can either be a built-in role or a custom role.
             * @enum {string}
             */
            roleName:
                | "atlasAdmin"
                | "backup"
                | "clusterMonitor"
                | "dbAdmin"
                | "dbAdminAnyDatabase"
                | "enableSharding"
                | "read"
                | "readAnyDatabase"
                | "readWrite"
                | "readWriteAnyDatabase"
                | "<a custom role name>";
        };
        /**
         * Archival Criteria
         * @description **DATE criteria.type**.
         */
        DateCriteriaView: Omit<components["schemas"]["CriteriaView"], "type"> & {
            /** @description Indexed database parameter that stores the date that determines when data moves to the online archive. MongoDB Cloud archives the data when the current date exceeds the date in this database parameter plus the number of days specified through the **expireAfterDays** parameter. Set this parameter when you set `"criteria.type" : "DATE"`. */
            dateField?: string;
            /**
             * @description Syntax used to write the date after which data moves to the online archive. Date can be expressed as ISO 8601, Epoch timestamps, or ObjectId. The Epoch timestamp can be expressed as nanoseconds, milliseconds, or seconds. Set this parameter when **"criteria.type" : "DATE"**.
             *     You must set **"criteria.type" : "DATE"** if **"collectionType": "TIMESERIES"**.
             * @default ISODATE
             * @enum {string}
             */
            dateFormat: "ISODATE" | "EPOCH_SECONDS" | "EPOCH_MILLIS" | "EPOCH_NANOSECONDS" | "OBJECT_ID";
            /**
             * Format: int32
             * @description Number of days after the value in the **criteria.dateField** when MongoDB Cloud archives data in the specified cluster. Set this parameter when you set **"criteria.type" : "DATE"**.
             */
            expireAfterDays?: number;
        } & {
            /**
             * @description discriminator enum property added by openapi-typescript
             * @enum {string}
             */
            type: "DATE";
        };
        /** @description Hardware specifications for read-only nodes in the region. Read-only nodes can never become the primary member, but can enable local reads.If you don't specify this parameter, no read-only nodes are deployed to the region. */
        DedicatedHardwareSpec: {
            /**
             * Format: int32
             * @description Number of nodes of the given type for MongoDB Cloud to deploy to the region.
             */
            nodeCount?: number;
        } & (
            | components["schemas"]["AWSHardwareSpec"]
            | components["schemas"]["AzureHardwareSpec"]
            | components["schemas"]["GCPHardwareSpec"]
        );
        /** @description Hardware specifications for read-only nodes in the region. Read-only nodes can never become the primary member, but can enable local reads. If you don't specify this parameter, no read-only nodes are deployed to the region. */
        DedicatedHardwareSpec20240805: {
            /**
             * Format: double
             * @description Storage capacity of instance data volumes expressed in gigabytes. Increase this number to add capacity.
             *
             *      This value must be equal for all shards and node types.
             *
             *      This value is not configurable on M0/M2/M5 clusters.
             *
             *      MongoDB Cloud requires this parameter if you set **replicationSpecs**.
             *
             *      If you specify a disk size below the minimum (10 GB), this parameter defaults to the minimum disk size value.
             *
             *      Storage charge calculations depend on whether you choose the default value or a custom value.
             *
             *      The maximum value for disk storage cannot exceed 50 times the maximum RAM for the selected cluster. If you require more storage space, consider upgrading your cluster to a higher tier.
             */
            diskSizeGB?: number;
            /**
             * Format: int32
             * @description Number of nodes of the given type for MongoDB Cloud to deploy to the region.
             */
            nodeCount?: number;
        } & (
            | components["schemas"]["AWSHardwareSpec20240805"]
            | components["schemas"]["AzureHardwareSpec20240805"]
            | components["schemas"]["GCPHardwareSpec20240805"]
        );
        DefaultScheduleView: Omit<WithRequired<components["schemas"]["OnlineArchiveSchedule"], "type">, "type"> & {
            /**
             * @description discriminator enum property added by openapi-typescript
             * @enum {string}
             */
            type: "DEFAULT";
        }  ;
        DiskBackupSnapshotAWSExportBucketRequest: Omit<
            WithRequired<components["schemas"]["DiskBackupSnapshotExportBucketRequest"], "cloudProvider">,
            "cloudProvider"
        > & {
            /**
             * @description Human-readable label that identifies the AWS S3 Bucket that the role is authorized to export to.
             * @example export-bucket
             */
            bucketName: string;
            /**
             * @description Unique 24-hexadecimal character string that identifies the Unified AWS Access role ID that MongoDB Cloud uses to access the AWS S3 bucket.
             * @example 32b6e34b3d91647abb20e7b8
             */
            iamRoleId: string;
        } & {
            /**
             * @description discriminator enum property added by openapi-typescript
             * @enum {string}
             */
            cloudProvider: "AWS";
        };
        DiskBackupSnapshotAWSExportBucketResponse: {
            /**
             * @description Unique 24-hexadecimal character string that identifies the Export Bucket.
             * @example 32b6e34b3d91647abb20e7b8
             */
            _id: string;
            /**
             * @description The name of the AWS S3 Bucket or Azure Storage Container that Snapshots are exported to.
             * @example export-bucket
             */
            bucketName: string;
            /**
             * @description Human-readable label that identifies the cloud provider that Snapshots will be exported to.
             * @enum {string}
             */
            cloudProvider: "AWS" | "AZURE";
            /**
             * @description Unique 24-hexadecimal character string that identifies the Unified AWS Access role ID that MongoDB Cloud uses to access the AWS S3 bucket.
             * @example 32b6e34b3d91647abb20e7b8
             */
            iamRoleId: string;
            /** @description List of one or more Uniform Resource Locators (URLs) that point to API sub-resources, related API resources, or both. RFC 5988 outlines these relationships. */
            readonly links?: components["schemas"]["Link"][];
        };
        DiskBackupSnapshotAzureExportBucketRequest: Omit<
            WithRequired<components["schemas"]["DiskBackupSnapshotExportBucketRequest"], "cloudProvider">,
            "cloudProvider"
        > & {
            /**
             * @description The name of the Azure Storage Container to export to. This can be omitted and computed from the serviceUrl if the serviceUrl includes a Azure Storage Container name. For example a serviceUrl of "https://examplestorageaccount.blob.core.windows.net/exportcontainer" will yield a computed bucketName of "exportcontainer". If the serviceUrl does not include a Container name, this field is required.
             * @example exportcontainer
             */
            bucketName?: string;
            /**
             * @description Unique 24-hexadecimal digit string that identifies the Azure Cloud Provider Access Role that MongoDB Cloud uses to access the Azure Blob Storage Container.
             * @example 32b6e34b3d91647abb20e7b8
             */
            roleId: string;
            /**
             * @description URL of the Azure Storage Account to export to. For example: "https://examplestorageaccount.blob.core.windows.net/exportcontainer". Only standard endpoints (with "blob.core.windows.net") are supported.
             * @example https://examplestorageaccount.blob.core.windows.net/exportcontainer
             */
            serviceUrl: string;
            /**
             * Format: uuid
             * @deprecated
             * @description UUID that identifies the Azure Active Directory Tenant ID. Deprecated: this field is ignored; the tenantId of the Cloud Provider Access role (from roleId) is used.
             */
            tenantId?: string;
        } & {
            /**
             * @description discriminator enum property added by openapi-typescript
             * @enum {string}
             */
            cloudProvider: "AZURE";
        };
        DiskBackupSnapshotAzureExportBucketResponse: Omit<
            WithRequired<
                components["schemas"]["DiskBackupSnapshotExportBucketResponse"],
                "_id" | "bucketName" | "cloudProvider"
            >,
            "cloudProvider"
        > & {
            /**
             * @description Unique 24-hexadecimal digit string that identifies the Azure Cloud Provider Access Role that MongoDB Cloud uses to access the Azure Blob Storage Container.
             * @example 32b6e34b3d91647abb20e7b8
             */
            roleId: string;
            /**
             * @description URL of the Azure Storage Account to export to. Only standard endpoints (with "blob.core.windows.net") are supported.
             * @example https://examplestorageaccount.blob.core.windows.net/exportcontainer
             */
            serviceUrl: string;
            /**
             * Format: uuid
             * @description UUID that identifies the Azure Active Directory Tenant ID used during exports.
             */
            tenantId: string;
        } & {
            /**
             * @description discriminator enum property added by openapi-typescript
             * @enum {string}
             */
            cloudProvider: "AZURE";
        };
        /** @description Disk backup snapshot Export Bucket Request. */
        DiskBackupSnapshotExportBucketRequest: {
            /**
             * @description Human-readable label that identifies the cloud provider that Snapshots are exported to.
             * @enum {string}
             */
            cloudProvider: "AWS" | "AZURE";
            /** @description List of one or more Uniform Resource Locators (URLs) that point to API sub-resources, related API resources, or both. RFC 5988 outlines these relationships. */
            readonly links?: components["schemas"]["Link"][];
        };
        /** @description Disk backup snapshot Export Bucket. */
        DiskBackupSnapshotExportBucketResponse: {
            /**
             * @description Unique 24-hexadecimal character string that identifies the Export Bucket.
             * @example 32b6e34b3d91647abb20e7b8
             */
            _id: string;
            /**
             * @description The name of the AWS S3 Bucket or Azure Storage Container that Snapshots are exported to.
             * @example export-bucket
             */
            bucketName: string;
            /**
             * @description Human-readable label that identifies the cloud provider that Snapshots will be exported to.
             * @enum {string}
             */
            cloudProvider: "AWS" | "AZURE";
            /** @description List of one or more Uniform Resource Locators (URLs) that point to API sub-resources, related API resources, or both. RFC 5988 outlines these relationships. */
            readonly links?: components["schemas"]["Link"][];
        };
        /** @description Setting that enables disk auto-scaling. */
        DiskGBAutoScaling: {
            /** @description Flag that indicates whether this cluster enables disk auto-scaling. The maximum memory allowed for the selected cluster tier and the oplog size can limit storage auto-scaling. */
            enabled?: boolean;
        };
        /** @description MongoDB employee granted access level and expiration for a cluster. */
        EmployeeAccessGrantView: {
            /**
             * Format: date-time
             * @description Expiration date for the employee access grant.
             */
            expirationTime: string;
            /**
             * @description Level of access to grant to MongoDB Employees.
             * @enum {string}
             */
            grantType:
                | "CLUSTER_DATABASE_LOGS"
                | "CLUSTER_INFRASTRUCTURE"
                | "CLUSTER_INFRASTRUCTURE_AND_APP_SERVICES_SYNC_DATA";
            /** @description List of one or more Uniform Resource Locators (URLs) that point to API sub-resources, related API resources, or both. RFC 5988 outlines these relationships. */
            readonly links?: components["schemas"]["Link"][];
        };
        FieldViolation: {
            /** @description A description of why the request element is bad. */
            description: string;
            /** @description A path that leads to a field in the request body. */
            field: string;
        };
        Fields: Record<string, never>;
        /**
         * Tenant
         * @description Collection of settings that configures how a cluster might scale its cluster tier and whether the cluster can scale down.
         */
        FreeComputeAutoScalingRules: {
            /**
             * Tenant Instance Sizes
             * @description Maximum instance size to which your cluster can automatically scale.
             * @enum {string}
             */
            maxInstanceSize?: "M0" | "M2" | "M5";
            /**
             * Tenant Instance Sizes
             * @description Minimum instance size to which your cluster can automatically scale.
             * @enum {string}
             */
            minInstanceSize?: "M0" | "M2" | "M5";
        };
        /**
         * GCP
         * @description Collection of settings that configures the network container for a virtual private connection on Amazon Web Services.
         */
        GCPCloudProviderContainer: Omit<components["schemas"]["CloudProviderContainer"], "providerName"> & {
            /** @description IP addresses expressed in Classless Inter-Domain Routing (CIDR) notation that MongoDB Cloud uses for the network peering containers in your project. MongoDB Cloud assigns all of the project's clusters deployed to this cloud provider an IP address from this range. MongoDB Cloud locks this value if an M10 or greater cluster or a network peering connection exists in this project.
             *
             *     These CIDR blocks must fall within the ranges reserved per RFC 1918. GCP further limits the block to a lower bound of the `/18` range.
             *
             *     To modify the CIDR block, the target project cannot have:
             *
             *     - Any M10 or greater clusters
             *     - Any other VPC peering connections
             *
             *      You can also create a new project and create a network peering connection to set the desired MongoDB Cloud network peering container CIDR block for that project. MongoDB Cloud limits the number of MongoDB nodes per network peering connection based on the CIDR block and the region selected for the project.
             *
             *      **Example:** A project in an Google Cloud (GCP) region supporting three availability zones and an MongoDB CIDR network peering container block of limit of `/24` equals 27 three-node replica sets. */
            atlasCidrBlock: string;
            /** @description Unique string that identifies the GCP project in which MongoDB Cloud clusters in this network peering container exist. The response returns **null** if no clusters exist in this network peering container. */
            readonly gcpProjectId?: string;
            /** @description Human-readable label that identifies the network in which MongoDB Cloud clusters in this network peering container exist. MongoDB Cloud returns **null** if no clusters exist in this network peering container. */
            readonly networkName?: string;
            /** @description List of GCP regions to which you want to deploy this MongoDB Cloud network peering container.  In this MongoDB Cloud project, you can deploy clusters only to the GCP regions in this list. To deploy MongoDB Cloud clusters to other GCP regions, create additional projects. */
            regions?: (
                | "AFRICA_SOUTH_1"
                | "ASIA_EAST_2"
                | "ASIA_NORTHEAST_2"
                | "ASIA_NORTHEAST_3"
                | "ASIA_SOUTH_1"
                | "ASIA_SOUTH_2"
                | "ASIA_SOUTHEAST_2"
                | "AUSTRALIA_SOUTHEAST_1"
                | "AUSTRALIA_SOUTHEAST_2"
                | "CENTRAL_US"
                | "EASTERN_ASIA_PACIFIC"
                | "EASTERN_US"
                | "EUROPE_CENTRAL_2"
                | "EUROPE_NORTH_1"
                | "EUROPE_WEST_2"
                | "EUROPE_WEST_3"
                | "EUROPE_WEST_4"
                | "EUROPE_WEST_6"
                | "EUROPE_WEST_10"
                | "EUROPE_WEST_12"
                | "MIDDLE_EAST_CENTRAL_1"
                | "MIDDLE_EAST_CENTRAL_2"
                | "MIDDLE_EAST_WEST_1"
                | "NORTH_AMERICA_NORTHEAST_1"
                | "NORTH_AMERICA_NORTHEAST_2"
                | "NORTH_AMERICA_SOUTH_1"
                | "NORTHEASTERN_ASIA_PACIFIC"
                | "SOUTH_AMERICA_EAST_1"
                | "SOUTH_AMERICA_WEST_1"
                | "SOUTHEASTERN_ASIA_PACIFIC"
                | "US_EAST_4"
                | "US_EAST_5"
                | "US_WEST_2"
                | "US_WEST_3"
                | "US_WEST_4"
                | "US_SOUTH_1"
                | "WESTERN_EUROPE"
                | "WESTERN_US"
            )[];
        } & {
            /**
             * @description discriminator enum property added by openapi-typescript
             * @enum {string}
             */
            providerName: "GCP";
        }  ;
        /**
         * GCP
         * @description Collection of settings that configures how a cluster might scale its cluster tier and whether the cluster can scale down. Cluster tier auto-scaling is unavailable for clusters using Low CPU or NVME storage classes.
         */
        GCPComputeAutoScaling: {
            /**
             * GCP Instance Sizes
             * @description Maximum instance size to which your cluster can automatically scale.
             * @enum {string}
             */
            maxInstanceSize?:
                | "M10"
                | "M20"
                | "M30"
                | "M40"
                | "M50"
                | "M60"
                | "M80"
                | "M140"
                | "M200"
                | "M250"
                | "M300"
                | "M400"
                | "R40"
                | "R50"
                | "R60"
                | "R80"
                | "R200"
                | "R300"
                | "R400"
                | "R600";
            /**
             * GCP Instance Sizes
             * @description Minimum instance size to which your cluster can automatically scale.
             * @enum {string}
             */
            minInstanceSize?:
                | "M10"
                | "M20"
                | "M30"
                | "M40"
                | "M50"
                | "M60"
                | "M80"
                | "M140"
                | "M200"
                | "M250"
                | "M300"
                | "M400"
                | "R40"
                | "R50"
                | "R60"
                | "R80"
                | "R200"
                | "R300"
                | "R400"
                | "R600";
        };
        GCPCreateDataProcessRegionView: Omit<components["schemas"]["CreateDataProcessRegionView"], "cloudProvider"> & {
            /**
             * @description Human-readable label that identifies the geographic location of the region where you wish to store your archived data.
             * @enum {string}
             */
            region?: "CENTRAL_US" | "WESTERN_EUROPE";
        } & {
            /**
             * @description discriminator enum property added by openapi-typescript
             * @enum {string}
             */
            cloudProvider: "GCP";
        };
        GCPDataProcessRegionView: Omit<components["schemas"]["DataProcessRegionView"], "cloudProvider"> & {
            /**
             * @description Human-readable label that identifies the geographic location of the region where you store your archived data.
             * @enum {string}
             */
            readonly region?: "CENTRAL_US" | "WESTERN_EUROPE";
        } & {
            /**
             * @description discriminator enum property added by openapi-typescript
             * @enum {string}
             */
            cloudProvider: "GCP";
        };
        GCPHardwareSpec: {
            /**
             * GCP Instance Sizes
             * @description Hardware specification for the instance sizes in this region. Each instance size has a default storage and memory capacity. The instance size you select applies to all the data-bearing hosts of the node type.
             * @enum {string}
             */
            instanceSize?:
                | "M10"
                | "M20"
                | "M30"
                | "M40"
                | "M50"
                | "M60"
                | "M80"
                | "M140"
                | "M200"
                | "M250"
                | "M300"
                | "M400"
                | "R40"
                | "R50"
                | "R60"
                | "R80"
                | "R200"
                | "R300"
                | "R400"
                | "R600";
            /**
             * Format: int32
             * @description Number of nodes of the given type for MongoDB Cloud to deploy to the region.
             */
            nodeCount?: number;
        };
        GCPHardwareSpec20240805: {
            /**
             * Format: double
             * @description Storage capacity of instance data volumes expressed in gigabytes. Increase this number to add capacity.
             *
             *      This value must be equal for all shards and node types.
             *
             *      This value is not configurable on M0/M2/M5 clusters.
             *
             *      MongoDB Cloud requires this parameter if you set **replicationSpecs**.
             *
             *      If you specify a disk size below the minimum (10 GB), this parameter defaults to the minimum disk size value.
             *
             *      Storage charge calculations depend on whether you choose the default value or a custom value.
             *
             *      The maximum value for disk storage cannot exceed 50 times the maximum RAM for the selected cluster. If you require more storage space, consider upgrading your cluster to a higher tier.
             */
            diskSizeGB?: number;
            /**
             * GCP Instance Sizes
             * @description Hardware specification for the instance sizes in this region in this shard. Each instance size has a default storage and memory capacity. Electable nodes and read-only nodes (known as "base nodes") within a single shard must use the same instance size. Analytics nodes can scale independently from base nodes within a shard. Both base nodes and analytics nodes can scale independently from their equivalents in other shards.
             * @enum {string}
             */
            instanceSize?:
                | "M10"
                | "M20"
                | "M30"
                | "M40"
                | "M50"
                | "M60"
                | "M80"
                | "M140"
                | "M200"
                | "M250"
                | "M300"
                | "M400"
                | "R40"
                | "R50"
                | "R60"
                | "R80"
                | "R200"
                | "R300"
                | "R400"
                | "R600";
            /**
             * Format: int32
             * @description Number of nodes of the given type for MongoDB Cloud to deploy to the region.
             */
            nodeCount?: number;
        };
        /**
         * GCP Regional Replication Specifications
         * @description Details that explain how MongoDB Cloud replicates data in one region on the specified MongoDB database.
         */
        GCPRegionConfig: Omit<components["schemas"]["CloudRegionConfig"], "providerName"> & {
            analyticsAutoScaling?: components["schemas"]["AdvancedAutoScalingSettings"];
            analyticsSpecs?: components["schemas"]["DedicatedHardwareSpec"];
            autoScaling?: components["schemas"]["AdvancedAutoScalingSettings"];
            readOnlySpecs?: components["schemas"]["DedicatedHardwareSpec"];
        } & {
            /**
             * @description discriminator enum property added by openapi-typescript
             * @enum {string}
             */
            providerName: "GCP";
        }  ;
        /**
         * GCP Regional Replication Specifications
         * @description Details that explain how MongoDB Cloud replicates data in one region on the specified MongoDB database.
         */
        GCPRegionConfig20240805: Omit<components["schemas"]["CloudRegionConfig20240805"], "providerName"> & {
            analyticsAutoScaling?: components["schemas"]["AdvancedAutoScalingSettings"];
            analyticsSpecs?: components["schemas"]["DedicatedHardwareSpec20240805"];
            autoScaling?: components["schemas"]["AdvancedAutoScalingSettings"];
            readOnlySpecs?: components["schemas"]["DedicatedHardwareSpec20240805"];
        } & {
            /**
             * @description discriminator enum property added by openapi-typescript
             * @enum {string}
             */
            providerName: "GCP";
        }  ;
        Group: {
            /**
             * Format: int64
             * @description Quantity of MongoDB Cloud clusters deployed in this project.
             */
            readonly clusterCount: number;
            /**
             * Format: date-time
             * @description Date and time when MongoDB Cloud created this project. This parameter expresses its value in the ISO 8601 timestamp format in UTC.
             */
            readonly created: string;
            /**
             * @description Unique 24-hexadecimal digit string that identifies the MongoDB Cloud project.
             * @example 32b6e34b3d91647abb20e7b8
             */
            readonly id?: string;
            /** @description List of one or more Uniform Resource Locators (URLs) that point to API sub-resources, related API resources, or both. RFC 5988 outlines these relationships. */
            readonly links?: components["schemas"]["Link"][];
            /** @description Human-readable label that identifies the project included in the MongoDB Cloud organization. */
            name: string;
            /**
             * @description Unique 24-hexadecimal digit string that identifies the MongoDB Cloud organization to which the project belongs.
             * @example 32b6e34b3d91647abb20e7b8
             */
            orgId: string;
            /**
             * @description Applies to Atlas for Government only.
             *
             *     In Commercial Atlas, this field will be rejected in requests and missing in responses.
             *
             *     This field sets restrictions on available regions in the project.
             *
             *     `COMMERCIAL_FEDRAMP_REGIONS_ONLY`: Only allows deployments in FedRAMP Moderate regions.
             *
             *     `GOV_REGIONS_ONLY`: Only allows deployments in GovCloud regions.
             * @default COMMERCIAL_FEDRAMP_REGIONS_ONLY
             * @enum {string}
             */
            regionUsageRestrictions: "COMMERCIAL_FEDRAMP_REGIONS_ONLY" | "GOV_REGIONS_ONLY";
            /** @description List that contains key-value pairs between 1 to 255 characters in length for tagging and categorizing the project. */
            tags?: components["schemas"]["ResourceTag"][];
            /**
             * @description Flag that indicates whether to create the project with default alert settings.
             * @default true
             */
            withDefaultAlertsSettings: boolean;
        };
        GroupActiveUserResponse: Omit<
            WithRequired<
                components["schemas"]["GroupUserResponse"],
                "id" | "orgMembershipStatus" | "roles" | "username"
            >,
            "orgMembershipStatus"
        > & {
            /**
             * @description Two-character alphabetical string that identifies the MongoDB Cloud user's geographic location. This parameter uses the ISO 3166-1a2 code format.
             * @example US
             */
            readonly country?: string;
            /**
             * Format: date-time
             * @description Date and time when MongoDB Cloud created the current account. This value is in the ISO 8601 timestamp format in UTC.
             */
            readonly createdAt: string;
            /**
             * @description First or given name that belongs to the MongoDB Cloud user.
             * @example John
             */
            readonly firstName: string;
            /**
             * Format: date-time
             * @description Date and time when the current account last authenticated. This value is in the ISO 8601 timestamp format in UTC.
             */
            readonly lastAuth?: string;
            /**
             * @description Last name, family name, or surname that belongs to the MongoDB Cloud user.
             * @example Doe
             */
            readonly lastName: string;
            /** @description Mobile phone number that belongs to the MongoDB Cloud user. */
            readonly mobileNumber?: string;
        } & {
            /**
             * @description discriminator enum property added by openapi-typescript
             * @enum {string}
             */
            orgMembershipStatus: "ACTIVE";
        }  ;
        GroupPendingUserResponse: Omit<
            WithRequired<
                components["schemas"]["GroupUserResponse"],
                "id" | "orgMembershipStatus" | "roles" | "username"
            >,
            "orgMembershipStatus"
        > & {
            /**
             * Format: date-time
             * @description Date and time when MongoDB Cloud sent the invitation. MongoDB Cloud represents this timestamp in ISO 8601 format in UTC.
             */
            readonly invitationCreatedAt: string;
            /**
             * Format: date-time
             * @description Date and time when the invitation from MongoDB Cloud expires. MongoDB Cloud represents this timestamp in ISO 8601 format in UTC.
             */
            readonly invitationExpiresAt: string;
            /**
             * Format: email
             * @description Username of the MongoDB Cloud user who sent the invitation to join the organization.
             */
            readonly inviterUsername: string;
        } & {
            /**
             * @description discriminator enum property added by openapi-typescript
             * @enum {string}
             */
            orgMembershipStatus: "PENDING";
        }  ;
        GroupRoleAssignment: {
            /**
             * @description Unique 24-hexadecimal digit string that identifies the project to which these roles belong.
             * @example 32b6e34b3d91647abb20e7b8
             */
            groupId?: string;
            /** @description One or more project-level roles assigned to the MongoDB Cloud user. */
            groupRoles?: (
                | "GROUP_OWNER"
                | "GROUP_CLUSTER_MANAGER"
                | "GROUP_STREAM_PROCESSING_OWNER"
                | "GROUP_DATA_ACCESS_ADMIN"
                | "GROUP_DATA_ACCESS_READ_WRITE"
                | "GROUP_DATA_ACCESS_READ_ONLY"
                | "GROUP_READ_ONLY"
                | "GROUP_SEARCH_INDEX_EDITOR"
                | "GROUP_BACKUP_MANAGER"
                | "GROUP_OBSERVABILITY_VIEWER"
                | "GROUP_DATABASE_ACCESS_ADMIN"
            )[];
        };
        GroupUserResponse: {
            /**
             * @description Unique 24-hexadecimal digit string that identifies the MongoDB Cloud user.
             * @example 32b6e34b3d91647abb20e7b8
             */
            readonly id: string;
            /**
             * @description String enum that indicates whether the MongoDB Cloud user has a pending invitation to join the organization or they are already active in the organization.
             * @enum {string}
             */
            readonly orgMembershipStatus: "PENDING" | "ACTIVE";
            /** @description One or more project-level roles assigned to the MongoDB Cloud user. */
            readonly roles: (
                | "GROUP_OWNER"
                | "GROUP_CLUSTER_MANAGER"
                | "GROUP_STREAM_PROCESSING_OWNER"
                | "GROUP_DATA_ACCESS_ADMIN"
                | "GROUP_DATA_ACCESS_READ_WRITE"
                | "GROUP_DATA_ACCESS_READ_ONLY"
                | "GROUP_READ_ONLY"
                | "GROUP_SEARCH_INDEX_EDITOR"
                | "GROUP_BACKUP_MANAGER"
                | "GROUP_OBSERVABILITY_VIEWER"
                | "GROUP_DATABASE_ACCESS_ADMIN"
            )[];
            /**
             * Format: email
             * @description Email address that represents the username of the MongoDB Cloud user.
             */
            readonly username: string;
        } & (components["schemas"]["GroupPendingUserResponse"] | components["schemas"]["GroupActiveUserResponse"]);
        /** @description Hardware specifications for all electable nodes deployed in the region. Electable nodes can become the primary and can enable local reads. If you don't specify this option, MongoDB Cloud deploys no electable nodes to the region. */
        HardwareSpec:
            | components["schemas"]["AWSHardwareSpec"]
            | components["schemas"]["AzureHardwareSpec"]
            | components["schemas"]["GCPHardwareSpec"]
            | components["schemas"]["TenantHardwareSpec"];
        /** @description Hardware specifications for all electable nodes deployed in the region. Electable nodes can become the primary and can enable local reads. If you don't specify this option, MongoDB Cloud deploys no electable nodes to the region. */
        HardwareSpec20240805: {
            /**
             * Format: double
             * @description Storage capacity of instance data volumes expressed in gigabytes. Increase this number to add capacity.
             *
             *      This value must be equal for all shards and node types.
             *
             *      This value is not configurable on M0/M2/M5 clusters.
             *
             *      MongoDB Cloud requires this parameter if you set **replicationSpecs**.
             *
             *      If you specify a disk size below the minimum (10 GB), this parameter defaults to the minimum disk size value.
             *
             *      Storage charge calculations depend on whether you choose the default value or a custom value.
             *
             *      The maximum value for disk storage cannot exceed 50 times the maximum RAM for the selected cluster. If you require more storage space, consider upgrading your cluster to a higher tier.
             */
            diskSizeGB?: number;
        } & (
            | components["schemas"]["AWSHardwareSpec20240805"]
            | components["schemas"]["AzureHardwareSpec20240805"]
            | components["schemas"]["GCPHardwareSpec20240805"]
            | components["schemas"]["TenantHardwareSpec20240805"]
        );
        /**
         * Ingestion Destination
         * @description Ingestion destination of a Data Lake Pipeline.
         */
        IngestionSink: {
            /**
             * @description Type of ingestion destination of this Data Lake Pipeline.
             * @enum {string}
             */
            readonly type?: "DLS";
        };
        /**
         * Ingestion Source
         * @description Ingestion Source of a Data Lake Pipeline.
         */
        IngestionSource: {
            /**
             * @description Type of ingestion source of this Data Lake Pipeline.
             * @enum {string}
             */
            type?: "PERIODIC_CPS" | "ON_DEMAND_CPS";
        };
        /**
         * Line Item
         * @description One service included in this invoice.
         */
        InvoiceLineItem: {
            /** @description Human-readable label that identifies the cluster that incurred the charge. */
            readonly clusterName?: string;
            /**
             * Format: date-time
             * @description Date and time when MongoDB Cloud created this line item. This parameter expresses its value in the ISO 8601 timestamp format in UTC.
             */
            readonly created?: string;
            /**
             * Format: int64
             * @description Sum by which MongoDB discounted this line item. MongoDB Cloud expresses this value in cents (100ths of one US Dollar). The resource returns this parameter when a discount applies.
             */
            readonly discountCents?: number;
            /**
             * Format: date-time
             * @description Date and time when when MongoDB Cloud finished charging for this line item. This parameter expresses its value in the ISO 8601 timestamp format in UTC.
             */
            readonly endDate?: string;
            /**
             * @description Unique 24-hexadecimal digit string that identifies the project associated to this line item.
             * @example 32b6e34b3d91647abb20e7b8
             */
            readonly groupId?: string;
            /** @description Human-readable label that identifies the project. */
            groupName?: string;
            /** @description Comment that applies to this line item. */
            readonly note?: string;
            /**
             * Format: float
             * @description Percentage by which MongoDB discounted this line item. The resource returns this parameter when a discount applies.
             */
            readonly percentDiscount?: number;
            /**
             * Format: double
             * @description Number of units included for the line item. These can be expressions of storage (GB), time (hours), or other units.
             */
            readonly quantity?: number;
            /**
             * @description Human-readable description of the service that this line item provided. This Stock Keeping Unit (SKU) could be the instance type, a support charge, advanced security, or another service.
             * @enum {string}
             */
            readonly sku?:
                | "CLASSIC_BACKUP_OPLOG"
                | "CLASSIC_BACKUP_STORAGE"
                | "CLASSIC_BACKUP_SNAPSHOT_CREATE"
                | "CLASSIC_BACKUP_DAILY_MINIMUM"
                | "CLASSIC_BACKUP_FREE_TIER"
                | "CLASSIC_COUPON"
                | "BACKUP_STORAGE_FREE_TIER"
                | "BACKUP_STORAGE"
                | "FLEX_CONSULTING"
                | "CLOUD_MANAGER_CLASSIC"
                | "CLOUD_MANAGER_BASIC_FREE_TIER"
                | "CLOUD_MANAGER_BASIC"
                | "CLOUD_MANAGER_PREMIUM"
                | "CLOUD_MANAGER_FREE_TIER"
                | "CLOUD_MANAGER_STANDARD_FREE_TIER"
                | "CLOUD_MANAGER_STANDARD_ANNUAL"
                | "CLOUD_MANAGER_STANDARD"
                | "CLOUD_MANAGER_FREE_TRIAL"
                | "ATLAS_INSTANCE_M0"
                | "ATLAS_INSTANCE_M2"
                | "ATLAS_INSTANCE_M5"
                | "ATLAS_AWS_INSTANCE_M10"
                | "ATLAS_AWS_INSTANCE_M20"
                | "ATLAS_AWS_INSTANCE_M30"
                | "ATLAS_AWS_INSTANCE_M40"
                | "ATLAS_AWS_INSTANCE_M50"
                | "ATLAS_AWS_INSTANCE_M60"
                | "ATLAS_AWS_INSTANCE_M80"
                | "ATLAS_AWS_INSTANCE_M100"
                | "ATLAS_AWS_INSTANCE_M140"
                | "ATLAS_AWS_INSTANCE_M200"
                | "ATLAS_AWS_INSTANCE_M300"
                | "ATLAS_AWS_INSTANCE_M40_LOW_CPU"
                | "ATLAS_AWS_INSTANCE_M50_LOW_CPU"
                | "ATLAS_AWS_INSTANCE_M60_LOW_CPU"
                | "ATLAS_AWS_INSTANCE_M80_LOW_CPU"
                | "ATLAS_AWS_INSTANCE_M200_LOW_CPU"
                | "ATLAS_AWS_INSTANCE_M300_LOW_CPU"
                | "ATLAS_AWS_INSTANCE_M400_LOW_CPU"
                | "ATLAS_AWS_INSTANCE_M700_LOW_CPU"
                | "ATLAS_AWS_INSTANCE_M40_NVME"
                | "ATLAS_AWS_INSTANCE_M50_NVME"
                | "ATLAS_AWS_INSTANCE_M60_NVME"
                | "ATLAS_AWS_INSTANCE_M80_NVME"
                | "ATLAS_AWS_INSTANCE_M200_NVME"
                | "ATLAS_AWS_INSTANCE_M400_NVME"
                | "ATLAS_AWS_INSTANCE_M10_PAUSED"
                | "ATLAS_AWS_INSTANCE_M20_PAUSED"
                | "ATLAS_AWS_INSTANCE_M30_PAUSED"
                | "ATLAS_AWS_INSTANCE_M40_PAUSED"
                | "ATLAS_AWS_INSTANCE_M50_PAUSED"
                | "ATLAS_AWS_INSTANCE_M60_PAUSED"
                | "ATLAS_AWS_INSTANCE_M80_PAUSED"
                | "ATLAS_AWS_INSTANCE_M100_PAUSED"
                | "ATLAS_AWS_INSTANCE_M140_PAUSED"
                | "ATLAS_AWS_INSTANCE_M200_PAUSED"
                | "ATLAS_AWS_INSTANCE_M300_PAUSED"
                | "ATLAS_AWS_INSTANCE_M40_LOW_CPU_PAUSED"
                | "ATLAS_AWS_INSTANCE_M50_LOW_CPU_PAUSED"
                | "ATLAS_AWS_INSTANCE_M60_LOW_CPU_PAUSED"
                | "ATLAS_AWS_INSTANCE_M80_LOW_CPU_PAUSED"
                | "ATLAS_AWS_INSTANCE_M200_LOW_CPU_PAUSED"
                | "ATLAS_AWS_INSTANCE_M300_LOW_CPU_PAUSED"
                | "ATLAS_AWS_INSTANCE_M400_LOW_CPU_PAUSED"
                | "ATLAS_AWS_INSTANCE_M700_LOW_CPU_PAUSED"
                | "ATLAS_AWS_SEARCH_INSTANCE_S20_COMPUTE_NVME"
                | "ATLAS_AWS_SEARCH_INSTANCE_S30_COMPUTE_NVME"
                | "ATLAS_AWS_SEARCH_INSTANCE_S40_COMPUTE_NVME"
                | "ATLAS_AWS_SEARCH_INSTANCE_S50_COMPUTE_NVME"
                | "ATLAS_AWS_SEARCH_INSTANCE_S60_COMPUTE_NVME"
                | "ATLAS_AWS_SEARCH_INSTANCE_S70_COMPUTE_NVME"
                | "ATLAS_AWS_SEARCH_INSTANCE_S80_COMPUTE_NVME"
                | "ATLAS_AWS_SEARCH_INSTANCE_S30_MEMORY_NVME"
                | "ATLAS_AWS_SEARCH_INSTANCE_S40_MEMORY_NVME"
                | "ATLAS_AWS_SEARCH_INSTANCE_S50_MEMORY_NVME"
                | "ATLAS_AWS_SEARCH_INSTANCE_S60_MEMORY_NVME"
                | "ATLAS_AWS_SEARCH_INSTANCE_S80_MEMORY_NVME"
                | "ATLAS_AWS_SEARCH_INSTANCE_S90_MEMORY_NVME"
                | "ATLAS_AWS_SEARCH_INSTANCE_S100_MEMORY_NVME"
                | "ATLAS_AWS_SEARCH_INSTANCE_S110_MEMORY_NVME"
                | "ATLAS_AWS_SEARCH_INSTANCE_S40_STORAGE_NVME"
                | "ATLAS_AWS_SEARCH_INSTANCE_S50_STORAGE_NVME"
                | "ATLAS_AWS_SEARCH_INSTANCE_S60_STORAGE_NVME"
                | "ATLAS_AWS_SEARCH_INSTANCE_S80_STORAGE_NVME"
                | "ATLAS_AWS_SEARCH_INSTANCE_S90_STORAGE_NVME"
                | "ATLAS_AWS_STORAGE_PROVISIONED"
                | "ATLAS_AWS_STORAGE_STANDARD"
                | "ATLAS_AWS_STORAGE_STANDARD_GP3"
                | "ATLAS_AWS_STORAGE_IOPS"
                | "ATLAS_AWS_DATA_TRANSFER_SAME_REGION"
                | "ATLAS_AWS_DATA_TRANSFER_DIFFERENT_REGION"
                | "ATLAS_AWS_DATA_TRANSFER_INTERNET"
                | "ATLAS_AWS_BACKUP_SNAPSHOT_STORAGE"
                | "ATLAS_AWS_BACKUP_DOWNLOAD_VM"
                | "ATLAS_AWS_BACKUP_DOWNLOAD_VM_STORAGE"
                | "ATLAS_AWS_BACKUP_DOWNLOAD_VM_STORAGE_IOPS"
                | "ATLAS_AWS_PRIVATE_ENDPOINT"
                | "ATLAS_AWS_PRIVATE_ENDPOINT_CAPACITY_UNITS"
                | "ATLAS_GCP_SEARCH_INSTANCE_S20_COMPUTE_LOCALSSD"
                | "ATLAS_GCP_SEARCH_INSTANCE_S30_COMPUTE_LOCALSSD"
                | "ATLAS_GCP_SEARCH_INSTANCE_S40_COMPUTE_LOCALSSD"
                | "ATLAS_GCP_SEARCH_INSTANCE_S50_COMPUTE_LOCALSSD"
                | "ATLAS_GCP_SEARCH_INSTANCE_S60_COMPUTE_LOCALSSD"
                | "ATLAS_GCP_SEARCH_INSTANCE_S70_COMPUTE_LOCALSSD"
                | "ATLAS_GCP_SEARCH_INSTANCE_S80_COMPUTE_LOCALSSD"
                | "ATLAS_GCP_SEARCH_INSTANCE_S30_MEMORY_LOCALSSD"
                | "ATLAS_GCP_SEARCH_INSTANCE_S40_MEMORY_LOCALSSD"
                | "ATLAS_GCP_SEARCH_INSTANCE_S50_MEMORY_LOCALSSD"
                | "ATLAS_GCP_SEARCH_INSTANCE_S60_MEMORY_LOCALSSD"
                | "ATLAS_GCP_SEARCH_INSTANCE_S70_MEMORY_LOCALSSD"
                | "ATLAS_GCP_SEARCH_INSTANCE_S80_MEMORY_LOCALSSD"
                | "ATLAS_GCP_SEARCH_INSTANCE_S90_MEMORY_LOCALSSD"
                | "ATLAS_GCP_SEARCH_INSTANCE_S100_MEMORY_LOCALSSD"
                | "ATLAS_GCP_SEARCH_INSTANCE_S110_MEMORY_LOCALSSD"
                | "ATLAS_GCP_SEARCH_INSTANCE_S120_MEMORY_LOCALSSD"
                | "ATLAS_GCP_SEARCH_INSTANCE_S130_MEMORY_LOCALSSD"
                | "ATLAS_GCP_SEARCH_INSTANCE_S140_MEMORY_LOCALSSD"
                | "ATLAS_GCP_INSTANCE_M10"
                | "ATLAS_GCP_INSTANCE_M20"
                | "ATLAS_GCP_INSTANCE_M30"
                | "ATLAS_GCP_INSTANCE_M40"
                | "ATLAS_GCP_INSTANCE_M50"
                | "ATLAS_GCP_INSTANCE_M60"
                | "ATLAS_GCP_INSTANCE_M80"
                | "ATLAS_GCP_INSTANCE_M140"
                | "ATLAS_GCP_INSTANCE_M200"
                | "ATLAS_GCP_INSTANCE_M250"
                | "ATLAS_GCP_INSTANCE_M300"
                | "ATLAS_GCP_INSTANCE_M400"
                | "ATLAS_GCP_INSTANCE_M40_LOW_CPU"
                | "ATLAS_GCP_INSTANCE_M50_LOW_CPU"
                | "ATLAS_GCP_INSTANCE_M60_LOW_CPU"
                | "ATLAS_GCP_INSTANCE_M80_LOW_CPU"
                | "ATLAS_GCP_INSTANCE_M200_LOW_CPU"
                | "ATLAS_GCP_INSTANCE_M300_LOW_CPU"
                | "ATLAS_GCP_INSTANCE_M400_LOW_CPU"
                | "ATLAS_GCP_INSTANCE_M600_LOW_CPU"
                | "ATLAS_GCP_INSTANCE_M10_PAUSED"
                | "ATLAS_GCP_INSTANCE_M20_PAUSED"
                | "ATLAS_GCP_INSTANCE_M30_PAUSED"
                | "ATLAS_GCP_INSTANCE_M40_PAUSED"
                | "ATLAS_GCP_INSTANCE_M50_PAUSED"
                | "ATLAS_GCP_INSTANCE_M60_PAUSED"
                | "ATLAS_GCP_INSTANCE_M80_PAUSED"
                | "ATLAS_GCP_INSTANCE_M140_PAUSED"
                | "ATLAS_GCP_INSTANCE_M200_PAUSED"
                | "ATLAS_GCP_INSTANCE_M250_PAUSED"
                | "ATLAS_GCP_INSTANCE_M300_PAUSED"
                | "ATLAS_GCP_INSTANCE_M400_PAUSED"
                | "ATLAS_GCP_INSTANCE_M40_LOW_CPU_PAUSED"
                | "ATLAS_GCP_INSTANCE_M50_LOW_CPU_PAUSED"
                | "ATLAS_GCP_INSTANCE_M60_LOW_CPU_PAUSED"
                | "ATLAS_GCP_INSTANCE_M80_LOW_CPU_PAUSED"
                | "ATLAS_GCP_INSTANCE_M200_LOW_CPU_PAUSED"
                | "ATLAS_GCP_INSTANCE_M300_LOW_CPU_PAUSED"
                | "ATLAS_GCP_INSTANCE_M400_LOW_CPU_PAUSED"
                | "ATLAS_GCP_INSTANCE_M600_LOW_CPU_PAUSED"
                | "ATLAS_GCP_DATA_TRANSFER_INTERNET"
                | "ATLAS_GCP_STORAGE_SSD"
                | "ATLAS_GCP_DATA_TRANSFER_INTER_CONNECT"
                | "ATLAS_GCP_DATA_TRANSFER_INTER_ZONE"
                | "ATLAS_GCP_DATA_TRANSFER_INTER_REGION"
                | "ATLAS_GCP_DATA_TRANSFER_GOOGLE"
                | "ATLAS_GCP_BACKUP_SNAPSHOT_STORAGE"
                | "ATLAS_GCP_BACKUP_DOWNLOAD_VM"
                | "ATLAS_GCP_BACKUP_DOWNLOAD_VM_STORAGE"
                | "ATLAS_GCP_PRIVATE_ENDPOINT"
                | "ATLAS_GCP_PRIVATE_ENDPOINT_CAPACITY_UNITS"
                | "ATLAS_GCP_SNAPSHOT_COPY_DATA_TRANSFER"
                | "ATLAS_AZURE_INSTANCE_M10"
                | "ATLAS_AZURE_INSTANCE_M20"
                | "ATLAS_AZURE_INSTANCE_M30"
                | "ATLAS_AZURE_INSTANCE_M40"
                | "ATLAS_AZURE_INSTANCE_M50"
                | "ATLAS_AZURE_INSTANCE_M60"
                | "ATLAS_AZURE_INSTANCE_M80"
                | "ATLAS_AZURE_INSTANCE_M90"
                | "ATLAS_AZURE_INSTANCE_M200"
                | "ATLAS_AZURE_INSTANCE_R40"
                | "ATLAS_AZURE_INSTANCE_R50"
                | "ATLAS_AZURE_INSTANCE_R60"
                | "ATLAS_AZURE_INSTANCE_R80"
                | "ATLAS_AZURE_INSTANCE_R200"
                | "ATLAS_AZURE_INSTANCE_R300"
                | "ATLAS_AZURE_INSTANCE_R400"
                | "ATLAS_AZURE_INSTANCE_M60_NVME"
                | "ATLAS_AZURE_INSTANCE_M80_NVME"
                | "ATLAS_AZURE_INSTANCE_M200_NVME"
                | "ATLAS_AZURE_INSTANCE_M300_NVME"
                | "ATLAS_AZURE_INSTANCE_M400_NVME"
                | "ATLAS_AZURE_INSTANCE_M600_NVME"
                | "ATLAS_AZURE_INSTANCE_M10_PAUSED"
                | "ATLAS_AZURE_INSTANCE_M20_PAUSED"
                | "ATLAS_AZURE_INSTANCE_M30_PAUSED"
                | "ATLAS_AZURE_INSTANCE_M40_PAUSED"
                | "ATLAS_AZURE_INSTANCE_M50_PAUSED"
                | "ATLAS_AZURE_INSTANCE_M60_PAUSED"
                | "ATLAS_AZURE_INSTANCE_M80_PAUSED"
                | "ATLAS_AZURE_INSTANCE_M90_PAUSED"
                | "ATLAS_AZURE_INSTANCE_M200_PAUSED"
                | "ATLAS_AZURE_INSTANCE_R40_PAUSED"
                | "ATLAS_AZURE_INSTANCE_R50_PAUSED"
                | "ATLAS_AZURE_INSTANCE_R60_PAUSED"
                | "ATLAS_AZURE_INSTANCE_R80_PAUSED"
                | "ATLAS_AZURE_INSTANCE_R200_PAUSED"
                | "ATLAS_AZURE_INSTANCE_R300_PAUSED"
                | "ATLAS_AZURE_INSTANCE_R400_PAUSED"
                | "ATLAS_AZURE_SEARCH_INSTANCE_S20_COMPUTE_LOCALSSD"
                | "ATLAS_AZURE_SEARCH_INSTANCE_S30_COMPUTE_LOCALSSD"
                | "ATLAS_AZURE_SEARCH_INSTANCE_S40_COMPUTE_LOCALSSD"
                | "ATLAS_AZURE_SEARCH_INSTANCE_S50_COMPUTE_LOCALSSD"
                | "ATLAS_AZURE_SEARCH_INSTANCE_S60_COMPUTE_LOCALSSD"
                | "ATLAS_AZURE_SEARCH_INSTANCE_S70_COMPUTE_LOCALSSD"
                | "ATLAS_AZURE_SEARCH_INSTANCE_S80_COMPUTE_LOCALSSD"
                | "ATLAS_AZURE_SEARCH_INSTANCE_S40_MEMORY_LOCALSSD"
                | "ATLAS_AZURE_SEARCH_INSTANCE_S50_MEMORY_LOCALSSD"
                | "ATLAS_AZURE_SEARCH_INSTANCE_S60_MEMORY_LOCALSSD"
                | "ATLAS_AZURE_SEARCH_INSTANCE_S80_MEMORY_LOCALSSD"
                | "ATLAS_AZURE_SEARCH_INSTANCE_S90_MEMORY_LOCALSSD"
                | "ATLAS_AZURE_SEARCH_INSTANCE_S100_MEMORY_LOCALSSD"
                | "ATLAS_AZURE_SEARCH_INSTANCE_S110_MEMORY_LOCALSSD"
                | "ATLAS_AZURE_SEARCH_INSTANCE_S130_MEMORY_LOCALSSD"
                | "ATLAS_AZURE_SEARCH_INSTANCE_S135_MEMORY_LOCALSSD"
                | "ATLAS_AZURE_STORAGE_P2"
                | "ATLAS_AZURE_STORAGE_P3"
                | "ATLAS_AZURE_STORAGE_P4"
                | "ATLAS_AZURE_STORAGE_P6"
                | "ATLAS_AZURE_STORAGE_P10"
                | "ATLAS_AZURE_STORAGE_P15"
                | "ATLAS_AZURE_STORAGE_P20"
                | "ATLAS_AZURE_STORAGE_P30"
                | "ATLAS_AZURE_STORAGE_P40"
                | "ATLAS_AZURE_STORAGE_P50"
                | "ATLAS_AZURE_DATA_TRANSFER"
                | "ATLAS_AZURE_DATA_TRANSFER_REGIONAL_VNET_IN"
                | "ATLAS_AZURE_DATA_TRANSFER_REGIONAL_VNET_OUT"
                | "ATLAS_AZURE_DATA_TRANSFER_GLOBAL_VNET_IN"
                | "ATLAS_AZURE_DATA_TRANSFER_GLOBAL_VNET_OUT"
                | "ATLAS_AZURE_DATA_TRANSFER_AVAILABILITY_ZONE_IN"
                | "ATLAS_AZURE_DATA_TRANSFER_AVAILABILITY_ZONE_OUT"
                | "ATLAS_AZURE_DATA_TRANSFER_INTER_REGION_INTRA_CONTINENT"
                | "ATLAS_AZURE_DATA_TRANSFER_INTER_REGION_INTER_CONTINENT"
                | "ATLAS_AZURE_BACKUP_SNAPSHOT_STORAGE"
                | "ATLAS_AZURE_BACKUP_DOWNLOAD_VM"
                | "ATLAS_AZURE_BACKUP_DOWNLOAD_VM_STORAGE_P2"
                | "ATLAS_AZURE_BACKUP_DOWNLOAD_VM_STORAGE_P3"
                | "ATLAS_AZURE_BACKUP_DOWNLOAD_VM_STORAGE_P4"
                | "ATLAS_AZURE_BACKUP_DOWNLOAD_VM_STORAGE_P6"
                | "ATLAS_AZURE_BACKUP_DOWNLOAD_VM_STORAGE_P10"
                | "ATLAS_AZURE_BACKUP_DOWNLOAD_VM_STORAGE_P15"
                | "ATLAS_AZURE_BACKUP_DOWNLOAD_VM_STORAGE_P20"
                | "ATLAS_AZURE_BACKUP_DOWNLOAD_VM_STORAGE_P30"
                | "ATLAS_AZURE_BACKUP_DOWNLOAD_VM_STORAGE_P40"
                | "ATLAS_AZURE_BACKUP_DOWNLOAD_VM_STORAGE_P50"
                | "ATLAS_AZURE_STANDARD_STORAGE"
                | "ATLAS_AZURE_EXTENDED_STANDARD_IOPS"
                | "ATLAS_AZURE_BACKUP_DOWNLOAD_VM_STORAGE"
                | "ATLAS_AZURE_BACKUP_DOWNLOAD_VM_STORAGE_EXTENDED_IOPS"
                | "ATLAS_AZURE_SNAPSHOT_EXPORT_VM_STORAGE"
                | "ATLAS_AZURE_SNAPSHOT_EXPORT_VM_STORAGE_EXTENDED_IOPS"
                | "ATLAS_BI_CONNECTOR"
                | "ATLAS_ADVANCED_SECURITY"
                | "ATLAS_ENTERPRISE_AUDITING"
                | "ATLAS_FREE_SUPPORT"
                | "ATLAS_SUPPORT"
                | "ATLAS_NDS_BACKFILL_SUPPORT"
                | "STITCH_DATA_DOWNLOADED_FREE_TIER"
                | "STITCH_DATA_DOWNLOADED"
                | "STITCH_COMPUTE_FREE_TIER"
                | "STITCH_COMPUTE"
                | "CREDIT"
                | "MINIMUM_CHARGE"
                | "CHARTS_DATA_DOWNLOADED_FREE_TIER"
                | "CHARTS_DATA_DOWNLOADED"
                | "ATLAS_DATA_LAKE_AWS_DATA_RETURNED_SAME_REGION"
                | "ATLAS_DATA_LAKE_AWS_DATA_RETURNED_DIFFERENT_REGION"
                | "ATLAS_DATA_LAKE_AWS_DATA_RETURNED_INTERNET"
                | "ATLAS_DATA_LAKE_AWS_DATA_SCANNED"
                | "ATLAS_DATA_LAKE_AWS_DATA_TRANSFERRED_FROM_DIFFERENT_REGION"
                | "ATLAS_NDS_AWS_DATA_LAKE_STORAGE_ACCESS"
                | "ATLAS_NDS_AWS_DATA_LAKE_STORAGE"
                | "ATLAS_DATA_FEDERATION_AZURE_DATA_RETURNED_SAME_REGION"
                | "ATLAS_DATA_FEDERATION_AZURE_DATA_RETURNED_SAME_CONTINENT"
                | "ATLAS_DATA_FEDERATION_AZURE_DATA_RETURNED_DIFFERENT_CONTINENT"
                | "ATLAS_DATA_FEDERATION_AZURE_DATA_RETURNED_INTERNET"
                | "ATLAS_DATA_FEDERATION_GCP_DATA_RETURNED_SAME_REGION"
                | "ATLAS_DATA_FEDERATION_GCP_DATA_RETURNED_DIFFERENT_REGION"
                | "ATLAS_DATA_FEDERATION_GCP_DATA_RETURNED_INTERNET"
                | "ATLAS_DATA_FEDERATION_AZURE_DATA_SCANNED"
                | "ATLAS_NDS_AZURE_DATA_LAKE_STORAGE_ACCESS"
                | "ATLAS_NDS_AZURE_DATA_LAKE_STORAGE"
                | "ATLAS_DATA_FEDERATION_GCP_DATA_SCANNED"
                | "ATLAS_NDS_GCP_DATA_LAKE_STORAGE_ACCESS"
                | "ATLAS_NDS_GCP_DATA_LAKE_STORAGE"
                | "ATLAS_NDS_AWS_OBJECT_STORAGE_ACCESS"
                | "ATLAS_NDS_AWS_COMPRESSED_OBJECT_STORAGE"
                | "ATLAS_NDS_AZURE_OBJECT_STORAGE_ACCESS"
                | "ATLAS_NDS_AZURE_OBJECT_STORAGE"
                | "ATLAS_NDS_AZURE_COMPRESSED_OBJECT_STORAGE"
                | "ATLAS_NDS_GCP_OBJECT_STORAGE_ACCESS"
                | "ATLAS_NDS_GCP_OBJECT_STORAGE"
                | "ATLAS_NDS_GCP_COMPRESSED_OBJECT_STORAGE"
                | "ATLAS_ARCHIVE_ACCESS_PARTITION_LOCATE"
                | "ATLAS_NDS_AWS_PIT_RESTORE_STORAGE_FREE_TIER"
                | "ATLAS_NDS_AWS_PIT_RESTORE_STORAGE"
                | "ATLAS_NDS_GCP_PIT_RESTORE_STORAGE_FREE_TIER"
                | "ATLAS_NDS_GCP_PIT_RESTORE_STORAGE"
                | "ATLAS_NDS_AZURE_PIT_RESTORE_STORAGE_FREE_TIER"
                | "ATLAS_NDS_AZURE_PIT_RESTORE_STORAGE"
                | "ATLAS_NDS_AZURE_PRIVATE_ENDPOINT_CAPACITY_UNITS"
                | "ATLAS_NDS_AZURE_CMK_PRIVATE_NETWORKING"
                | "ATLAS_NDS_AWS_CMK_PRIVATE_NETWORKING"
                | "ATLAS_NDS_AWS_OBJECT_STORAGE"
                | "ATLAS_NDS_AWS_SNAPSHOT_EXPORT_UPLOAD"
                | "ATLAS_NDS_AZURE_SNAPSHOT_EXPORT_UPLOAD"
                | "ATLAS_NDS_AZURE_SNAPSHOT_EXPORT_VM"
                | "ATLAS_NDS_AZURE_SNAPSHOT_EXPORT_VM_M40"
                | "ATLAS_NDS_AZURE_SNAPSHOT_EXPORT_VM_M50"
                | "ATLAS_NDS_AZURE_SNAPSHOT_EXPORT_VM_M60"
                | "ATLAS_NDS_AZURE_SNAPSHOT_EXPORT_VM_STORAGE_P2"
                | "ATLAS_NDS_AZURE_SNAPSHOT_EXPORT_VM_STORAGE_P3"
                | "ATLAS_NDS_AZURE_SNAPSHOT_EXPORT_VM_STORAGE_P4"
                | "ATLAS_NDS_AZURE_SNAPSHOT_EXPORT_VM_STORAGE_P6"
                | "ATLAS_NDS_AZURE_SNAPSHOT_EXPORT_VM_STORAGE_P10"
                | "ATLAS_NDS_AZURE_SNAPSHOT_EXPORT_VM_STORAGE_P15"
                | "ATLAS_NDS_AZURE_SNAPSHOT_EXPORT_VM_STORAGE_P20"
                | "ATLAS_NDS_AZURE_SNAPSHOT_EXPORT_VM_STORAGE_P30"
                | "ATLAS_NDS_AZURE_SNAPSHOT_EXPORT_VM_STORAGE_P40"
                | "ATLAS_NDS_AZURE_SNAPSHOT_EXPORT_VM_STORAGE_P50"
                | "ATLAS_NDS_AWS_SNAPSHOT_EXPORT_VM"
                | "ATLAS_NDS_AWS_SNAPSHOT_EXPORT_VM_M40"
                | "ATLAS_NDS_AWS_SNAPSHOT_EXPORT_VM_M50"
                | "ATLAS_NDS_AWS_SNAPSHOT_EXPORT_VM_M60"
                | "ATLAS_NDS_AWS_SNAPSHOT_EXPORT_VM_STORAGE"
                | "ATLAS_NDS_AWS_SNAPSHOT_EXPORT_VM_STORAGE_IOPS"
                | "ATLAS_NDS_GCP_SNAPSHOT_EXPORT_VM"
                | "ATLAS_NDS_GCP_SNAPSHOT_EXPORT_VM_M40"
                | "ATLAS_NDS_GCP_SNAPSHOT_EXPORT_VM_M50"
                | "ATLAS_NDS_GCP_SNAPSHOT_EXPORT_VM_M60"
                | "ATLAS_NDS_GCP_SNAPSHOT_EXPORT_VM_STORAGE"
                | "ATLAS_NDS_AWS_SERVERLESS_RPU"
                | "ATLAS_NDS_AWS_SERVERLESS_WPU"
                | "ATLAS_NDS_AWS_SERVERLESS_STORAGE"
                | "ATLAS_NDS_AWS_SERVERLESS_CONTINUOUS_BACKUP"
                | "ATLAS_NDS_AWS_SERVERLESS_BACKUP_RESTORE_VM"
                | "ATLAS_NDS_AWS_SERVERLESS_DATA_TRANSFER_PREVIEW"
                | "ATLAS_NDS_AWS_SERVERLESS_DATA_TRANSFER"
                | "ATLAS_NDS_AWS_SERVERLESS_DATA_TRANSFER_REGIONAL"
                | "ATLAS_NDS_AWS_SERVERLESS_DATA_TRANSFER_CROSS_REGION"
                | "ATLAS_NDS_AWS_SERVERLESS_DATA_TRANSFER_INTERNET"
                | "ATLAS_NDS_GCP_SERVERLESS_RPU"
                | "ATLAS_NDS_GCP_SERVERLESS_WPU"
                | "ATLAS_NDS_GCP_SERVERLESS_STORAGE"
                | "ATLAS_NDS_GCP_SERVERLESS_CONTINUOUS_BACKUP"
                | "ATLAS_NDS_GCP_SERVERLESS_BACKUP_RESTORE_VM"
                | "ATLAS_NDS_GCP_SERVERLESS_DATA_TRANSFER_PREVIEW"
                | "ATLAS_NDS_GCP_SERVERLESS_DATA_TRANSFER"
                | "ATLAS_NDS_GCP_SERVERLESS_DATA_TRANSFER_REGIONAL"
                | "ATLAS_NDS_GCP_SERVERLESS_DATA_TRANSFER_CROSS_REGION"
                | "ATLAS_NDS_GCP_SERVERLESS_DATA_TRANSFER_INTERNET"
                | "ATLAS_NDS_AZURE_SERVERLESS_RPU"
                | "ATLAS_NDS_AZURE_SERVERLESS_WPU"
                | "ATLAS_NDS_AZURE_SERVERLESS_STORAGE"
                | "ATLAS_NDS_AZURE_SERVERLESS_CONTINUOUS_BACKUP"
                | "ATLAS_NDS_AZURE_SERVERLESS_BACKUP_RESTORE_VM"
                | "ATLAS_NDS_AZURE_SERVERLESS_DATA_TRANSFER_PREVIEW"
                | "ATLAS_NDS_AZURE_SERVERLESS_DATA_TRANSFER"
                | "ATLAS_NDS_AZURE_SERVERLESS_DATA_TRANSFER_REGIONAL"
                | "ATLAS_NDS_AZURE_SERVERLESS_DATA_TRANSFER_CROSS_REGION"
                | "ATLAS_NDS_AZURE_SERVERLESS_DATA_TRANSFER_INTERNET"
                | "REALM_APP_REQUESTS_FREE_TIER"
                | "REALM_APP_REQUESTS"
                | "REALM_APP_COMPUTE_FREE_TIER"
                | "REALM_APP_COMPUTE"
                | "REALM_APP_SYNC_FREE_TIER"
                | "REALM_APP_SYNC"
                | "REALM_APP_DATA_TRANSFER_FREE_TIER"
                | "REALM_APP_DATA_TRANSFER"
                | "GCP_SNAPSHOT_COPY_DISK"
                | "ATLAS_AWS_STREAM_PROCESSING_INSTANCE_SP10"
                | "ATLAS_AWS_STREAM_PROCESSING_INSTANCE_SP30"
                | "ATLAS_AWS_STREAM_PROCESSING_INSTANCE_SP50"
                | "ATLAS_AZURE_STREAM_PROCESSING_INSTANCE_SP10"
                | "ATLAS_AZURE_STREAM_PROCESSING_INSTANCE_SP30"
                | "ATLAS_AZURE_STREAM_PROCESSING_INSTANCE_SP50"
                | "ATLAS_AWS_STREAM_PROCESSING_DATA_TRANSFER"
                | "ATLAS_AZURE_STREAM_PROCESSING_DATA_TRANSFER"
                | "ATLAS_AWS_STREAM_PROCESSING_VPC_PEERING"
                | "ATLAS_AZURE_STREAM_PROCESSING_PRIVATELINK"
                | "ATLAS_AWS_STREAM_PROCESSING_PRIVATELINK"
                | "ATLAS_FLEX_AWS_100_USAGE_HOURS"
                | "ATLAS_FLEX_AWS_200_USAGE_HOURS"
                | "ATLAS_FLEX_AWS_300_USAGE_HOURS"
                | "ATLAS_FLEX_AWS_400_USAGE_HOURS"
                | "ATLAS_FLEX_AWS_500_USAGE_HOURS"
                | "ATLAS_FLEX_AZURE_100_USAGE_HOURS"
                | "ATLAS_FLEX_AZURE_200_USAGE_HOURS"
                | "ATLAS_FLEX_AZURE_300_USAGE_HOURS"
                | "ATLAS_FLEX_AZURE_400_USAGE_HOURS"
                | "ATLAS_FLEX_AZURE_500_USAGE_HOURS"
                | "ATLAS_FLEX_GCP_100_USAGE_HOURS"
                | "ATLAS_FLEX_GCP_200_USAGE_HOURS"
                | "ATLAS_FLEX_GCP_300_USAGE_HOURS"
                | "ATLAS_FLEX_GCP_400_USAGE_HOURS"
                | "ATLAS_FLEX_GCP_500_USAGE_HOURS";
            /**
             * Format: date-time
             * @description Date and time when MongoDB Cloud began charging for this line item. This parameter expresses its value in the ISO 8601 timestamp format in UTC.
             */
            readonly startDate?: string;
            /** @description Human-readable label that identifies the Atlas App Services application associated with this line item. */
            readonly stitchAppName?: string;
            /** @description A map of key-value pairs corresponding to the tags associated with the line item resource. */
            readonly tags?: {
                [key: string]: string[];
            };
            /**
             * Format: double
             * @description Lower bound for usage amount range in current SKU tier.
             *
             *     **NOTE**: **lineItems[n].tierLowerBound** appears only if your **lineItems[n].sku** is tiered.
             */
            readonly tierLowerBound?: number;
            /**
             * Format: double
             * @description Upper bound for usage amount range in current SKU tier.
             *
             *     **NOTE**: **lineItems[n].tierUpperBound** appears only if your **lineItems[n].sku** is tiered.
             */
            readonly tierUpperBound?: number;
            /**
             * Format: int64
             * @description Sum of the cost set for this line item. MongoDB Cloud expresses this value in cents (100ths of one US Dollar) and calculates this value as **unitPriceDollars** × **quantity** × 100.
             */
            readonly totalPriceCents?: number;
            /** @description Element used to express what **quantity** this line item measures. This value can be elements of time, storage capacity, and the like. */
            readonly unit?: string;
            /**
             * Format: double
             * @description Value per **unit** for this line item expressed in US Dollars.
             */
            readonly unitPriceDollars?: number;
        };
        Link: {
            /**
             * @description Uniform Resource Locator (URL) that points another API resource to which this response has some relationship. This URL often begins with `https://cloud.mongodb.com/api/atlas`.
             * @example https://cloud.mongodb.com/api/atlas
             */
            href?: string;
            /**
             * @description Uniform Resource Locator (URL) that defines the semantic relationship between this resource and another API resource. This URL often begins with `https://cloud.mongodb.com/api/atlas`.
             * @example self
             */
            rel?: string;
        };
        MonthlyScheduleView: Omit<WithRequired<components["schemas"]["OnlineArchiveSchedule"], "type">, "type"> & {
            /**
             * Format: int32
             * @description Day of the month when the scheduled archive starts.
             */
            dayOfMonth?: number;
            /**
             * Format: int32
             * @description Hour of the day when the scheduled window to run one online archive ends.
             */
            endHour?: number;
            /**
             * Format: int32
             * @description Minute of the hour when the scheduled window to run one online archive ends.
             */
            endMinute?: number;
            /**
             * Format: int32
             * @description Hour of the day when the when the scheduled window to run one online archive starts.
             */
            startHour?: number;
            /**
             * Format: int32
             * @description Minute of the hour when the scheduled window to run one online archive starts.
             */
            startMinute?: number;
        } & {
            /**
             * @description discriminator enum property added by openapi-typescript
             * @enum {string}
             */
            type: "MONTHLY";
        }  ;
        NetworkPermissionEntry: {
            /** @description Unique string of the Amazon Web Services (AWS) security group that you want to add to the project's IP access list. Your IP access list entry can be one **awsSecurityGroup**, one **cidrBlock**, or one **ipAddress**. You must configure Virtual Private Connection (VPC) peering for your project before you can add an AWS security group to an IP access list. You cannot set AWS security groups as temporary access list entries. Don't set this parameter if you set **cidrBlock** or **ipAddress**. */
            awsSecurityGroup?: string;
            /** @description Range of IP addresses in Classless Inter-Domain Routing (CIDR) notation that you want to add to the project's IP access list. Your IP access list entry can be one **awsSecurityGroup**, one **cidrBlock**, or one **ipAddress**. Don't set this parameter if you set **awsSecurityGroup** or **ipAddress**. */
            cidrBlock?: string;
            /** @description Remark that explains the purpose or scope of this IP access list entry. */
            comment?: string;
            /**
             * Format: date-time
             * @description Date and time after which MongoDB Cloud deletes the temporary access list entry. This parameter expresses its value in the ISO 8601 timestamp format in UTC and can include the time zone designation. The date must be later than the current date but no later than one week after you submit this request. The resource returns this parameter if you specified an expiration date when creating this IP access list entry.
             */
            deleteAfterDate?: string;
            /**
             * @description Unique 24-hexadecimal digit string that identifies the project that contains the IP access list to which you want to add one or more entries.
             * @example 32b6e34b3d91647abb20e7b8
             */
            readonly groupId?: string;
            /** @description IP address that you want to add to the project's IP access list. Your IP access list entry can be one **awsSecurityGroup**, one **cidrBlock**, or one **ipAddress**. Don't set this parameter if you set **awsSecurityGroup** or **cidrBlock**. */
            ipAddress?: string;
            /** @description List of one or more Uniform Resource Locators (URLs) that point to API sub-resources, related API resources, or both. RFC 5988 outlines these relationships. */
            readonly links?: components["schemas"]["Link"][];
        };
        /**
         * On-Demand Cloud Provider Snapshot Source
         * @description On-Demand Cloud Provider Snapshots as Source for a Data Lake Pipeline.
         */
        OnDemandCpsSnapshotSource: Omit<components["schemas"]["IngestionSource"], "type"> & {
            /** @description Human-readable name that identifies the cluster. */
            clusterName?: string;
            /** @description Human-readable name that identifies the collection. */
            collectionName?: string;
            /** @description Human-readable name that identifies the database. */
            databaseName?: string;
            /**
             * @description Unique 24-hexadecimal character string that identifies the project.
             * @example 32b6e34b3d91647abb20e7b8
             */
            readonly groupId?: string;
        } & {
            /**
             * @description discriminator enum property added by openapi-typescript
             * @enum {string}
             */
            type: "ON_DEMAND_CPS";
        };
        /**
         * Online Archive Schedule
         * @description Regular frequency and duration when archiving process occurs.
         */
        OnlineArchiveSchedule: {
            /**
             * @description Type of schedule.
             * @enum {string}
             */
            type: "DEFAULT" | "DAILY" | "WEEKLY" | "MONTHLY";
        } & (
            | components["schemas"]["DefaultScheduleView"]
            | components["schemas"]["DailyScheduleView"]
            | components["schemas"]["WeeklyScheduleView"]
            | components["schemas"]["MonthlyScheduleView"]
        );
        OrgActiveUserResponse: Omit<
            WithRequired<components["schemas"]["OrgUserResponse"], "id" | "orgMembershipStatus" | "roles" | "username">,
            "orgMembershipStatus"
        > & {
            /**
             * @description Two-character alphabetical string that identifies the MongoDB Cloud user's geographic location. This parameter uses the ISO 3166-1a2 code format.
             * @example US
             */
            readonly country?: string;
            /**
             * Format: date-time
             * @description Date and time when MongoDB Cloud created the current account. This value is in the ISO 8601 timestamp format in UTC.
             */
            readonly createdAt: string;
            /**
             * @description First or given name that belongs to the MongoDB Cloud user.
             * @example John
             */
            readonly firstName: string;
            /**
             * Format: date-time
             * @description Date and time when the current account last authenticated. This value is in the ISO 8601 timestamp format in UTC.
             */
            readonly lastAuth?: string;
            /**
             * @description Last name, family name, or surname that belongs to the MongoDB Cloud user.
             * @example Doe
             */
            readonly lastName: string;
            /** @description Mobile phone number that belongs to the MongoDB Cloud user. */
            readonly mobileNumber?: string;
        } & {
            /**
             * @description discriminator enum property added by openapi-typescript
             * @enum {string}
             */
            orgMembershipStatus: "ACTIVE";
        }  ;
        OrgGroup: {
            /** @description Settings that describe the clusters in each project that the API key is authorized to view. */
            readonly clusters?: components["schemas"]["CloudCluster"][];
            /** @description Unique 24-hexadecimal character string that identifies the project. */
            readonly groupId?: string;
            /** @description Human-readable label that identifies the project. */
            groupName?: string;
            /** @description Unique 24-hexadecimal character string that identifies the organization that contains the project. */
            readonly orgId?: string;
            /** @description Human-readable label that identifies the organization that contains the project. */
            orgName?: string;
            /** @description Human-readable label that indicates the plan type. */
            readonly planType?: string;
            /** @description List of human-readable labels that categorize the specified project. MongoDB Cloud returns an empty array. */
            readonly tags?: string[];
        };
        OrgPendingUserResponse: Omit<
            WithRequired<components["schemas"]["OrgUserResponse"], "id" | "orgMembershipStatus" | "roles" | "username">,
            "orgMembershipStatus"
        > & {
            /**
             * Format: date-time
             * @description Date and time when MongoDB Cloud sent the invitation. MongoDB Cloud represents this timestamp in ISO 8601 format in UTC.
             */
            readonly invitationCreatedAt: string;
            /**
             * Format: date-time
             * @description Date and time when the invitation from MongoDB Cloud expires. MongoDB Cloud represents this timestamp in ISO 8601 format in UTC.
             */
            readonly invitationExpiresAt: string;
            /**
             * Format: email
             * @description Username of the MongoDB Cloud user who sent the invitation to join the organization.
             */
            readonly inviterUsername: string;
        } & {
            /**
             * @description discriminator enum property added by openapi-typescript
             * @enum {string}
             */
            orgMembershipStatus: "PENDING";
        }  ;
        OrgUserResponse: {
            /**
             * @description Unique 24-hexadecimal digit string that identifies the MongoDB Cloud user.
             * @example 32b6e34b3d91647abb20e7b8
             */
            readonly id: string;
            /**
             * @description String enum that indicates whether the MongoDB Cloud user has a pending invitation to join the organization or they are already active in the organization.
             * @enum {string}
             */
            readonly orgMembershipStatus: "PENDING" | "ACTIVE";
            roles: components["schemas"]["OrgUserRolesResponse"];
            /** @description List of unique 24-hexadecimal digit strings that identifies the teams to which this MongoDB Cloud user belongs. */
            readonly teamIds?: string[];
            /**
             * Format: email
             * @description Email address that represents the username of the MongoDB Cloud user.
             */
            readonly username: string;
        } & (components["schemas"]["OrgPendingUserResponse"] | components["schemas"]["OrgActiveUserResponse"]);
        /** @description Organization- and project-level roles assigned to one MongoDB Cloud user within one organization. */
        OrgUserRolesResponse: {
            /** @description List of project-level role assignments assigned to the MongoDB Cloud user. */
            groupRoleAssignments?: components["schemas"]["GroupRoleAssignment"][];
            /** @description One or more organization-level roles assigned to the MongoDB Cloud user. */
            orgRoles?: (
                | "ORG_OWNER"
                | "ORG_GROUP_CREATOR"
                | "ORG_BILLING_ADMIN"
                | "ORG_BILLING_READ_ONLY"
                | "ORG_READ_ONLY"
                | "ORG_MEMBER"
            )[];
        };
        /** @description List of MongoDB Database users granted access to databases in the specified project. */
        PaginatedApiAtlasDatabaseUserView: {
            /** @description List of one or more Uniform Resource Locators (URLs) that point to API sub-resources, related API resources, or both. RFC 5988 outlines these relationships. */
            readonly links?: components["schemas"]["Link"][];
            /** @description List of returned documents that MongoDB Cloud provides when completing this request. */
            readonly results?: components["schemas"]["CloudDatabaseUser"][];
            /**
             * Format: int32
             * @description Total number of documents available. MongoDB Cloud omits this value if `includeCount` is set to `false`. The total number is an estimate and may not be exact.
             */
            readonly totalCount?: number;
        };
        PaginatedAtlasGroupView: {
            /** @description List of one or more Uniform Resource Locators (URLs) that point to API sub-resources, related API resources, or both. RFC 5988 outlines these relationships. */
            readonly links?: components["schemas"]["Link"][];
            /** @description List of returned documents that MongoDB Cloud provides when completing this request. */
            readonly results?: components["schemas"]["Group"][];
            /**
             * Format: int32
             * @description Total number of documents available. MongoDB Cloud omits this value if `includeCount` is set to `false`. The total number is an estimate and may not be exact.
             */
            readonly totalCount?: number;
        };
        PaginatedClusterDescription20240805: {
            /** @description List of one or more Uniform Resource Locators (URLs) that point to API sub-resources, related API resources, or both. RFC 5988 outlines these relationships. */
            readonly links?: components["schemas"]["Link"][];
            /** @description List of returned documents that MongoDB Cloud provides when completing this request. */
            readonly results?: components["schemas"]["ClusterDescription20240805"][];
            /**
             * Format: int32
             * @description Total number of documents available. MongoDB Cloud omits this value if `includeCount` is set to `false`. The total number is an estimate and may not be exact.
             */
            readonly totalCount?: number;
        };
        PaginatedNetworkAccessView: {
            /** @description List of one or more Uniform Resource Locators (URLs) that point to API sub-resources, related API resources, or both. RFC 5988 outlines these relationships. */
            readonly links?: components["schemas"]["Link"][];
            /** @description List of returned documents that MongoDB Cloud provides when completing this request. */
            readonly results?: components["schemas"]["NetworkPermissionEntry"][];
            /**
             * Format: int32
             * @description Total number of documents available. MongoDB Cloud omits this value if `includeCount` is set to `false`. The total number is an estimate and may not be exact.
             */
            readonly totalCount?: number;
        };
        PaginatedOrgGroupView: {
            /** @description List of one or more Uniform Resource Locators (URLs) that point to API sub-resources, related API resources, or both. RFC 5988 outlines these relationships. */
            readonly links?: components["schemas"]["Link"][];
            /** @description List of returned documents that MongoDB Cloud provides when completing this request. */
            readonly results?: components["schemas"]["OrgGroup"][];
            /**
             * Format: int32
             * @description Total number of documents available. MongoDB Cloud omits this value if `includeCount` is set to `false`. The total number is an estimate and may not be exact.
             */
            readonly totalCount?: number;
        };
        /**
         * Periodic Cloud Provider Snapshot Source
         * @description Scheduled Cloud Provider Snapshot as Source for a Data Lake Pipeline.
         */
        PeriodicCpsSnapshotSource: Omit<components["schemas"]["IngestionSource"], "type"> & {
            /** @description Human-readable name that identifies the cluster. */
            clusterName?: string;
            /** @description Human-readable name that identifies the collection. */
            collectionName?: string;
            /** @description Human-readable name that identifies the database. */
            databaseName?: string;
            /**
             * @description Unique 24-hexadecimal character string that identifies the project.
             * @example 32b6e34b3d91647abb20e7b8
             */
            readonly groupId?: string;
            /**
             * @description Unique 24-hexadecimal character string that identifies a policy item.
             * @example 32b6e34b3d91647abb20e7b8
             */
            policyItemId?: string;
        } & {
            /**
             * @description discriminator enum property added by openapi-typescript
             * @enum {string}
             */
            type: "PERIODIC_CPS";
        };
        /**
         * Replication Specifications
         * @description Details that explain how MongoDB Cloud replicates data on the specified MongoDB database.
         */
        ReplicationSpec20240805: {
            /**
             * @description Unique 24-hexadecimal digit string that identifies the replication object for a shard in a Cluster. If you include existing shard replication configurations in the request, you must specify this parameter. If you add a new shard to an existing Cluster, you may specify this parameter. The request deletes any existing shards  in the Cluster that you exclude from the request. This corresponds to Shard ID displayed in the UI.
             * @example 32b6e34b3d91647abb20e7b8
             */
            readonly id?: string;
            /** @description Hardware specifications for nodes set for a given region. Each **regionConfigs** object describes the region's priority in elections and the number and type of MongoDB nodes that MongoDB Cloud deploys to the region. Each **regionConfigs** object must have either an **analyticsSpecs** object, **electableSpecs** object, or **readOnlySpecs** object. Tenant clusters only require **electableSpecs. Dedicated** clusters can specify any of these specifications, but must have at least one **electableSpecs** object within a **replicationSpec**.
             *
             *     **Example:**
             *
             *     If you set `"replicationSpecs[n].regionConfigs[m].analyticsSpecs.instanceSize" : "M30"`, set `"replicationSpecs[n].regionConfigs[m].electableSpecs.instanceSize" : `"M30"` if you have electable nodes and `"replicationSpecs[n].regionConfigs[m].readOnlySpecs.instanceSize" : `"M30"` if you have read-only nodes. */
            regionConfigs?: components["schemas"]["CloudRegionConfig20240805"][];
            /**
             * @description Unique 24-hexadecimal digit string that identifies the zone in a Global Cluster. This value can be used to configure Global Cluster backup policies.
             * @example 32b6e34b3d91647abb20e7b8
             */
            readonly zoneId?: string;
            /** @description Human-readable label that describes the zone this shard belongs to in a Global Cluster. Provide this value only if "clusterType" : "GEOSHARDED" but not "selfManagedSharding" : true. */
            zoneName?: string;
        };
        /**
         * Resource Tag
         * @description Key-value pair that tags and categorizes a MongoDB Cloud organization, project, or cluster. For example, `environment : production`.
         */
        ResourceTag: {
            /** @description Constant that defines the set of the tag. For example, `environment` in the `environment : production` tag. */
            key: string;
            /** @description Variable that belongs to the set of the tag. For example, `production` in the `environment : production` tag. */
            value: string;
        };
        /** Search Host Status Detail */
        SearchHostStatusDetail: {
            /** @description Hostname that corresponds to the status detail. */
            hostname?: string;
            mainIndex?: components["schemas"]["SearchMainIndexStatusDetail"];
            /** @description Flag that indicates whether the index is queryable on the host. */
            queryable?: boolean;
            stagedIndex?: components["schemas"]["SearchStagedIndexStatusDetail"];
            /**
             * @description Condition of the search index when you made this request.
             *
             *     - `DELETING`: The index is being deleted.
             *     - `FAILED` The index build failed. Indexes can enter the FAILED state due to an invalid index definition.
             *     - `STALE`: The index is queryable but has stopped replicating data from the indexed collection. Searches on the index may return out-of-date data.
             *     - `PENDING`: Atlas has not yet started building the index.
             *     - `BUILDING`: Atlas is building or re-building the index after an edit.
             *     - `READY`: The index is ready and can support queries.
             * @enum {string}
             */
            status?: "DELETING" | "FAILED" | "STALE" | "PENDING" | "BUILDING" | "READY" | "DOES_NOT_EXIST";
        };
        SearchIndex: Omit<
            WithRequired<components["schemas"]["ClusterSearchIndex"], "collectionName" | "database" | "name">,
            "type"
        > & {
            /**
             * @description Specific pre-defined method chosen to convert database field text into searchable words. This conversion reduces the text of fields into the smallest units of text. These units are called a **term** or **token**. This process, known as tokenization, involves a variety of changes made to the text in fields:
             *
             *     - extracting words
             *     - removing punctuation
             *     - removing accents
             *     - changing to lowercase
             *     - removing common words
             *     - reducing words to their root form (stemming)
             *     - changing words to their base form (lemmatization)
             *      MongoDB Cloud uses the selected process to build the Atlas Search index.
             * @default lucene.standard
             * @enum {string}
             */
            analyzer:
                | "lucene.standard"
                | "lucene.simple"
                | "lucene.whitespace"
                | "lucene.keyword"
                | "lucene.arabic"
                | "lucene.armenian"
                | "lucene.basque"
                | "lucene.bengali"
                | "lucene.brazilian"
                | "lucene.bulgarian"
                | "lucene.catalan"
                | "lucene.chinese"
                | "lucene.cjk"
                | "lucene.czech"
                | "lucene.danish"
                | "lucene.dutch"
                | "lucene.english"
                | "lucene.finnish"
                | "lucene.french"
                | "lucene.galician"
                | "lucene.german"
                | "lucene.greek"
                | "lucene.hindi"
                | "lucene.hungarian"
                | "lucene.indonesian"
                | "lucene.irish"
                | "lucene.italian"
                | "lucene.japanese"
                | "lucene.korean"
                | "lucene.kuromoji"
                | "lucene.latvian"
                | "lucene.lithuanian"
                | "lucene.morfologik"
                | "lucene.nori"
                | "lucene.norwegian"
                | "lucene.persian"
                | "lucene.portuguese"
                | "lucene.romanian"
                | "lucene.russian"
                | "lucene.smartcn"
                | "lucene.sorani"
                | "lucene.spanish"
                | "lucene.swedish"
                | "lucene.thai"
                | "lucene.turkish"
                | "lucene.ukrainian";
            /** @description List of user-defined methods to convert database field text into searchable words. */
            analyzers?: components["schemas"]["ApiAtlasFTSAnalyzersViewManual"][];
            mappings?: components["schemas"]["ApiAtlasFTSMappingsViewManual"];
            /**
             * @description Method applied to identify words when searching this index.
             * @default lucene.standard
             * @enum {string}
             */
            searchAnalyzer:
                | "lucene.standard"
                | "lucene.simple"
                | "lucene.whitespace"
                | "lucene.keyword"
                | "lucene.arabic"
                | "lucene.armenian"
                | "lucene.basque"
                | "lucene.bengali"
                | "lucene.brazilian"
                | "lucene.bulgarian"
                | "lucene.catalan"
                | "lucene.chinese"
                | "lucene.cjk"
                | "lucene.czech"
                | "lucene.danish"
                | "lucene.dutch"
                | "lucene.english"
                | "lucene.finnish"
                | "lucene.french"
                | "lucene.galician"
                | "lucene.german"
                | "lucene.greek"
                | "lucene.hindi"
                | "lucene.hungarian"
                | "lucene.indonesian"
                | "lucene.irish"
                | "lucene.italian"
                | "lucene.japanese"
                | "lucene.korean"
                | "lucene.kuromoji"
                | "lucene.latvian"
                | "lucene.lithuanian"
                | "lucene.morfologik"
                | "lucene.nori"
                | "lucene.norwegian"
                | "lucene.persian"
                | "lucene.portuguese"
                | "lucene.romanian"
                | "lucene.russian"
                | "lucene.smartcn"
                | "lucene.sorani"
                | "lucene.spanish"
                | "lucene.swedish"
                | "lucene.thai"
                | "lucene.turkish"
                | "lucene.ukrainian";
            /**
             * @description Flag that indicates whether to store all fields (true) on Atlas Search. By default, Atlas doesn't store (false) the fields on Atlas Search.  Alternatively, you can specify an object that only contains the list of fields to store (include) or not store (exclude) on Atlas Search. To learn more, see documentation.
             * @example {
             *       "include | exclude": [
             *         "field1",
             *         "field2"
             *       ]
             *     }
             */
            storedSource?: Record<string, never>;
            /** @description Rule sets that map words to their synonyms in this index. */
            synonyms?: components["schemas"]["SearchSynonymMappingDefinition"][];
        } & {
            /**
             * @description discriminator enum property added by openapi-typescript
             * @enum {string}
             */
            type: "search";
        };
        SearchIndexCreateRequest: {
            /** @description Label that identifies the collection to create an Atlas Search index in. */
            collectionName: string;
            /** @description Label that identifies the database that contains the collection to create an Atlas Search index in. */
            database: string;
            /** @description Label that identifies this index. Within each namespace, names of all indexes in the namespace must be unique. */
            name: string;
            /**
             * @description Type of the index. The default type is search.
             * @enum {string}
             */
            type?: "search" | "vectorSearch";
        };
        /**
         * Search Index Definition
         * @description The search index definition set by the user.
         */
        SearchIndexDefinition: {
            /**
             * Format: int32
             * @description Number of index partitions. Allowed values are [1, 2, 4].
             * @default 1
             */
            numPartitions: number;
        };
        /**
         * Search Index Definition Version
         * @description Object which includes the version number of the index definition and the time that the index definition was created.
         */
        SearchIndexDefinitionVersion: {
            /**
             * Format: date-time
             * @description The time at which this index definition was created.
             */
            createdAt?: string;
            /**
             * Format: int64
             * @description The version number associated with this index definition when it was created.
             */
            version?: number;
        };
        /** Search Index Response */
        SearchIndexResponse: {
            /** @description Label that identifies the collection that contains one or more Atlas Search indexes. */
            collectionName?: string;
            /** @description Label that identifies the database that contains the collection with one or more Atlas Search indexes. */
            database?: string;
            /**
             * @description Unique 24-hexadecimal digit string that identifies this Atlas Search index.
             * @example 32b6e34b3d91647abb20e7b8
             */
            indexID?: string;
            latestDefinition?: components["schemas"]["SearchIndexDefinition"];
            latestDefinitionVersion?: components["schemas"]["SearchIndexDefinitionVersion"];
            /** @description Label that identifies this index. Within each namespace, the names of all indexes must be unique. */
            name?: string;
            /** @description Flag that indicates whether the index is queryable on all hosts. */
            queryable?: boolean;
            /**
             * @description Condition of the search index when you made this request.
             *
             *     - `DELETING`: The index is being deleted.
             *     - `FAILED` The index build failed. Indexes can enter the FAILED state due to an invalid index definition.
             *     - `STALE`: The index is queryable but has stopped replicating data from the indexed collection. Searches on the index may return out-of-date data.
             *     - `PENDING`: Atlas has not yet started building the index.
             *     - `BUILDING`: Atlas is building or re-building the index after an edit.
             *     - `READY`: The index is ready and can support queries.
             * @enum {string}
             */
            status?: "DELETING" | "FAILED" | "STALE" | "PENDING" | "BUILDING" | "READY" | "DOES_NOT_EXIST";
            /** @description List of documents detailing index status on each host. */
            statusDetail?: components["schemas"]["SearchHostStatusDetail"][];
            /**
             * @description Type of the index. The default type is search.
             * @enum {string}
             */
            type?: "search" | "vectorSearch";
        };
        /**
         * Search Main Index Status Detail
         * @description Contains status information about the active index.
         */
        SearchMainIndexStatusDetail: {
            definition?: components["schemas"]["SearchIndexDefinition"];
            definitionVersion?: components["schemas"]["SearchIndexDefinitionVersion"];
            /** @description Optional message describing an error. */
            message?: string;
            /** @description Flag that indicates whether the index generation is queryable on the host. */
            queryable?: boolean;
            /**
             * @description Condition of the search index when you made this request.
             *
             *     - `DELETING`: The index is being deleted.
             *     - `FAILED` The index build failed. Indexes can enter the FAILED state due to an invalid index definition.
             *     - `STALE`: The index is queryable but has stopped replicating data from the indexed collection. Searches on the index may return out-of-date data.
             *     - `PENDING`: Atlas has not yet started building the index.
             *     - `BUILDING`: Atlas is building or re-building the index after an edit.
             *     - `READY`: The index is ready and can support queries.
             * @enum {string}
             */
            status?: "DELETING" | "FAILED" | "STALE" | "PENDING" | "BUILDING" | "READY" | "DOES_NOT_EXIST";
        };
        /**
         * Mappings
         * @description Index specifications for the collection's fields.
         */
        SearchMappings: {
            /** @description Flag that indicates whether the index uses dynamic or static mappings. Required if **mappings.fields** is omitted. */
            dynamic?: boolean;
            /** @description One or more field specifications for the Atlas Search index. Required if **mappings.dynamic** is omitted or set to **false**. */
            fields?: {
                [key: string]: components["schemas"]["Fields"];
            };
        };
        /**
         * Search Staged Index Status Detail
         * @description Contains status information about an index building in the background.
         */
        SearchStagedIndexStatusDetail: {
            definition?: components["schemas"]["SearchIndexDefinition"];
            definitionVersion?: components["schemas"]["SearchIndexDefinitionVersion"];
            /** @description Optional message describing an error. */
            message?: string;
            /** @description Flag that indicates whether the index generation is queryable on the host. */
            queryable?: boolean;
            /**
             * @description Condition of the search index when you made this request.
             *
             *     - `DELETING`: The index is being deleted.
             *     - `FAILED` The index build failed. Indexes can enter the FAILED state due to an invalid index definition.
             *     - `STALE`: The index is queryable but has stopped replicating data from the indexed collection. Searches on the index may return out-of-date data.
             *     - `PENDING`: Atlas has not yet started building the index.
             *     - `BUILDING`: Atlas is building or re-building the index after an edit.
             *     - `READY`: The index is ready and can support queries.
             * @enum {string}
             */
            status?: "DELETING" | "FAILED" | "STALE" | "PENDING" | "BUILDING" | "READY" | "DOES_NOT_EXIST";
        };
        /**
         * Synonym Mapping Definition
         * @description Synonyms used for this full text index.
         */
        SearchSynonymMappingDefinition: {
            /**
             * @description Specific pre-defined method chosen to apply to the synonyms to be searched.
             * @enum {string}
             */
            analyzer:
                | "lucene.standard"
                | "lucene.simple"
                | "lucene.whitespace"
                | "lucene.keyword"
                | "lucene.arabic"
                | "lucene.armenian"
                | "lucene.basque"
                | "lucene.bengali"
                | "lucene.brazilian"
                | "lucene.bulgarian"
                | "lucene.catalan"
                | "lucene.chinese"
                | "lucene.cjk"
                | "lucene.czech"
                | "lucene.danish"
                | "lucene.dutch"
                | "lucene.english"
                | "lucene.finnish"
                | "lucene.french"
                | "lucene.galician"
                | "lucene.german"
                | "lucene.greek"
                | "lucene.hindi"
                | "lucene.hungarian"
                | "lucene.indonesian"
                | "lucene.irish"
                | "lucene.italian"
                | "lucene.japanese"
                | "lucene.korean"
                | "lucene.kuromoji"
                | "lucene.latvian"
                | "lucene.lithuanian"
                | "lucene.morfologik"
                | "lucene.nori"
                | "lucene.norwegian"
                | "lucene.persian"
                | "lucene.portuguese"
                | "lucene.romanian"
                | "lucene.russian"
                | "lucene.smartcn"
                | "lucene.sorani"
                | "lucene.spanish"
                | "lucene.swedish"
                | "lucene.thai"
                | "lucene.turkish"
                | "lucene.ukrainian";
            /** @description Label that identifies the synonym definition. Each **synonym.name** must be unique within the same index definition. */
            name: string;
            source: components["schemas"]["SynonymSource"];
        };
        /**
         * AWS
         * @description Updates to a serverless AWS tenant endpoint.
         */
        ServerlessAWSTenantEndpointUpdate: Omit<
            WithRequired<components["schemas"]["ServerlessTenantEndpointUpdate"], "providerName">,
            "providerName"
        > & {
            /** @description Unique string that identifies the private endpoint's network interface. */
            cloudProviderEndpointId?: string;
        } & {
            /**
             * @description discriminator enum property added by openapi-typescript
             * @enum {string}
             */
            providerName: "AWS";
        };
        /**
         * AZURE
         * @description Updates to a serverless Azure tenant endpoint.
         */
        ServerlessAzureTenantEndpointUpdate: Omit<
            WithRequired<components["schemas"]["ServerlessTenantEndpointUpdate"], "providerName">,
            "providerName"
        > & {
            /** @description Unique string that identifies the Azure private endpoint's network interface for this private endpoint service. */
            cloudProviderEndpointId?: string;
            /** @description IPv4 address of the private endpoint in your Azure VNet that someone added to this private endpoint service. */
            privateEndpointIpAddress?: string;
        } & {
            /**
             * @description discriminator enum property added by openapi-typescript
             * @enum {string}
             */
            providerName: "AZURE";
        };
        /** @description Update view for a serverless tenant endpoint. */
        ServerlessTenantEndpointUpdate: {
            /** @description Human-readable comment associated with the private endpoint. */
            comment?: string;
            /**
             * @description Human-readable label that identifies the cloud provider of the tenant endpoint.
             * @enum {string}
             */
            providerName: "AWS" | "AZURE";
        };
        /** @description AWS configurations for AWS-based connection types. */
        StreamsAWSConnectionConfig: {
            /** @description List of one or more Uniform Resource Locators (URLs) that point to API sub-resources, related API resources, or both. RFC 5988 outlines these relationships. */
            readonly links?: components["schemas"]["Link"][];
            /** @description Amazon Resource Name (ARN) that identifies the Amazon Web Services (AWS) Identity and Access Management (IAM) role that MongoDB Cloud assumes when it accesses resources in your AWS account. */
            roleArn?: string;
            /** @description The name of an S3 bucket used to check authorization of the passed-in IAM role ARN. */
            testBucket?: string;
        };
        /** @description The configuration for AWS Lambda connections. */
        StreamsAWSLambdaConnection: Omit<components["schemas"]["StreamsConnection"], "type"> & {
            aws?: components["schemas"]["StreamsAWSConnectionConfig"];
        } & {
            /**
             * @description discriminator enum property added by openapi-typescript
             * @enum {string}
             */
            type: "AWSLambda";
        }  ;
        StreamsClusterConnection: Omit<components["schemas"]["StreamsConnection"], "type"> & {
            /** @description Name of the cluster configured for this connection. */
            clusterName?: string;
            dbRoleToExecute?: components["schemas"]["DBRoleToExecute"];
        } & {
            /**
             * @description discriminator enum property added by openapi-typescript
             * @enum {string}
             */
            type: "Cluster";
        }  ;
        /** @description Settings that define a connection to an external data store. */
        StreamsConnection: {
            /** @description List of one or more Uniform Resource Locators (URLs) that point to API sub-resources, related API resources, or both. RFC 5988 outlines these relationships. */
            readonly links?: components["schemas"]["Link"][];
            /** @description Human-readable label that identifies the stream connection. In the case of the Sample type, this is the name of the sample source. */
            name?: string;
            /**
             * @description Type of the connection.
             * @enum {string}
             */
            type?: "Kafka" | "Cluster" | "Sample" | "Https" | "AWSLambda";
        } & (
            | components["schemas"]["StreamsSampleConnection"]
            | components["schemas"]["StreamsClusterConnection"]
            | components["schemas"]["StreamsKafkaConnection"]
            | components["schemas"]["StreamsHttpsConnection"]
            | components["schemas"]["StreamsAWSLambdaConnection"]
            | components["schemas"]["StreamsS3Connection"]
        );
        StreamsHttpsConnection: Omit<components["schemas"]["StreamsConnection"], "type"> & {
            /** @description A map of key-value pairs that will be passed as headers for the request. */
            headers?: {
                [key: string]: string;
            };
            /** @description The url to be used for the request. */
            url?: string;
        } & {
            /**
             * @description discriminator enum property added by openapi-typescript
             * @enum {string}
             */
            type: "Https";
        }  ;
        /** @description User credentials required to connect to a Kafka Cluster. Includes the authentication type, as well as the parameters for that authentication mode. */
        StreamsKafkaAuthentication: {
            /** @description List of one or more Uniform Resource Locators (URLs) that point to API sub-resources, related API resources, or both. RFC 5988 outlines these relationships. */
            readonly links?: components["schemas"]["Link"][];
            /** @description Style of authentication. Can be one of PLAIN, SCRAM-256, or SCRAM-512. */
            mechanism?: string;
            /**
             * Format: password
             * @description Password of the account to connect to the Kafka cluster.
             */
            password?: string;
            /** @description SSL certificate for client authentication to Kafka. */
            sslCertificate?: string;
            /** @description SSL key for client authentication to Kafka. */
            sslKey?: string;
            /** @description Password for the SSL key, if it is password protected. */
            sslKeyPassword?: string;
            /** @description Username of the account to connect to the Kafka cluster. */
            username?: string;
        };
        StreamsKafkaConnection: Omit<components["schemas"]["StreamsConnection"], "type"> & {
            authentication?: components["schemas"]["StreamsKafkaAuthentication"];
            /** @description Comma separated list of server addresses. */
            bootstrapServers?: string;
            /**
             * @description A map of Kafka key-value pairs for optional configuration. This is a flat object, and keys can have '.' characters.
             * @example {
             *       "debug": "queue, msg, protocol",
             *       "group.protocol.type": "consumer"
             *     }
             */
            config?: {
                [key: string]: string;
            };
            networking?: components["schemas"]["StreamsKafkaNetworking"];
            security?: components["schemas"]["StreamsKafkaSecurity"];
        } & {
            /**
             * @description discriminator enum property added by openapi-typescript
             * @enum {string}
             */
            type: "Kafka";
        }  ;
        /** @description Networking Access Type can either be 'PUBLIC' (default) or VPC. VPC type is in public preview, please file a support ticket to enable VPC Network Access. */
        StreamsKafkaNetworking: {
            access?: components["schemas"]["StreamsKafkaNetworkingAccess"];
            /** @description List of one or more Uniform Resource Locators (URLs) that point to API sub-resources, related API resources, or both. RFC 5988 outlines these relationships. */
            readonly links?: components["schemas"]["Link"][];
        };
        /** @description Information about the networking access. */
        StreamsKafkaNetworkingAccess: {
            /**
             * @description Reserved. Will be used by PRIVATE_LINK connection type.
             * @example 32b6e34b3d91647abb20e7b8
             */
            connectionId?: string;
            /** @description List of one or more Uniform Resource Locators (URLs) that point to API sub-resources, related API resources, or both. RFC 5988 outlines these relationships. */
            readonly links?: components["schemas"]["Link"][];
            /** @description Reserved. Will be used by PRIVATE_LINK connection type. */
            name?: string;
            /**
             * Networking Access Type
             * @description Selected networking type. Either PUBLIC, VPC or PRIVATE_LINK. Defaults to PUBLIC. For VPC, ensure that VPC peering exists and connectivity has been established between Atlas VPC and the VPC where Kafka cluster is hosted for the connection to function properly. PRIVATE_LINK support is coming soon.
             * @enum {string}
             */
            type?: "PUBLIC" | "VPC" | "PRIVATE_LINK";
        };
        /** @description Properties for the secure transport connection to Kafka. For SSL, this can include the trusted certificate to use. */
        StreamsKafkaSecurity: {
            /** @description A trusted, public x509 certificate for connecting to Kafka over SSL. */
            brokerPublicCertificate?: string;
            /** @description List of one or more Uniform Resource Locators (URLs) that point to API sub-resources, related API resources, or both. RFC 5988 outlines these relationships. */
            readonly links?: components["schemas"]["Link"][];
            /** @description Describes the transport type. Can be either SASL_PLAINTEXT, SASL_SSL, or SSL. */
            protocol?: string;
        };
        /** @description The configuration for S3 connections. */
        StreamsS3Connection: Omit<components["schemas"]["StreamsConnection"], "type"> & {
            aws?: components["schemas"]["StreamsAWSConnectionConfig"];
        } & {
            /**
             * @description discriminator enum property added by openapi-typescript
             * @enum {string}
             */
            type: "S3";
        }  ;
        StreamsSampleConnection: Omit<components["schemas"]["StreamsConnection"], "type"> & {
            /**
             * @description discriminator enum property added by openapi-typescript
             * @enum {string}
             */
            type: "Sample";
        }  ;
        /**
         * Synonym Mapping Status Detail
         * @description Contains the status of the index's synonym mappings on each search host. This field (and its subfields) only appear if the index has synonyms defined.
         */
        SynonymMappingStatusDetail: {
            /** @description Optional message describing an error. */
            message?: string;
            /** @description Flag that indicates whether the synonym mapping is queryable on a host. */
            queryable?: boolean;
            /**
             * @description Status that describes this index's synonym mappings. This status appears only if the index has synonyms defined.
             * @enum {string}
             */
            status?: "FAILED" | "BUILDING" | "READY";
        };
        SynonymMappingStatusDetailMap: {
            [key: string]: components["schemas"]["SynonymMappingStatusDetail"];
        };
        /** @description Data set that stores words and their applicable synonyms. */
        SynonymSource: {
            /** @description Label that identifies the MongoDB collection that stores words and their applicable synonyms. */
            collection: string;
        };
        TenantHardwareSpec: {
            /**
             * @description The true tenant instance size. This is present to support backwards compatibility for deprecated provider types and/or instance sizes.
             * @enum {string}
             */
            readonly effectiveInstanceSize?: "FLEX" | "M2" | "M5" | "M0";
            /**
             * Tenant Instance Sizes
             * @description Hardware specification for the instances in this M0/M2/M5 tier cluster.
             * @enum {string}
             */
            instanceSize?: "M0" | "M2" | "M5";
        };
        TenantHardwareSpec20240805: {
            /**
             * Format: double
             * @description Storage capacity of instance data volumes expressed in gigabytes. Increase this number to add capacity.
             *
             *      This value must be equal for all shards and node types.
             *
             *      This value is not configurable on M0/M2/M5 clusters.
             *
             *      MongoDB Cloud requires this parameter if you set **replicationSpecs**.
             *
             *      If you specify a disk size below the minimum (10 GB), this parameter defaults to the minimum disk size value.
             *
             *      Storage charge calculations depend on whether you choose the default value or a custom value.
             *
             *      The maximum value for disk storage cannot exceed 50 times the maximum RAM for the selected cluster. If you require more storage space, consider upgrading your cluster to a higher tier.
             */
            diskSizeGB?: number;
            /**
             * @description The true tenant instance size. This is present to support backwards compatibility for deprecated provider types and/or instance sizes.
             * @enum {string}
             */
            readonly effectiveInstanceSize?: "FLEX" | "M2" | "M5" | "M0";
            /**
             * Tenant Instance Sizes
             * @description Hardware specification for the instances in this M0/M2/M5 tier cluster.
             * @enum {string}
             */
            instanceSize?: "M0" | "M2" | "M5";
        };
        /**
         * Tenant Regional Replication Specifications
         * @description Details that explain how MongoDB Cloud replicates data in one region on the specified MongoDB database.
         */
        TenantRegionConfig: Omit<components["schemas"]["CloudRegionConfig"], "providerName"> & {
            /**
             * @description Cloud service provider on which MongoDB Cloud provisioned the multi-tenant cluster. The resource returns this parameter when **providerName** is `TENANT` and **electableSpecs.instanceSize** is `M0`, `M2` or `M5`.
             *
             *     Please note that using an instanceSize of M2 or M5 will create a Flex cluster instead. Support for the instanceSize of M2 or M5 will be discontinued in January 2026. We recommend using the createFlexCluster API for such configurations moving forward.
             * @enum {string}
             */
            backingProviderName?: "AWS" | "GCP" | "AZURE";
        } & {
            /**
             * @description discriminator enum property added by openapi-typescript
             * @enum {string}
             */
            providerName: "TENANT";
        }  ;
        /**
         * Tenant Regional Replication Specifications
         * @description Details that explain how MongoDB Cloud replicates data in one region on the specified MongoDB database.
         */
        TenantRegionConfig20240805: Omit<components["schemas"]["CloudRegionConfig20240805"], "providerName"> & {
            /**
             * @description Cloud service provider on which MongoDB Cloud provisioned the multi-tenant cluster. The resource returns this parameter when **providerName** is `TENANT` and **electableSpecs.instanceSize** is `M0`, `M2` or `M5`.
             *
             *     Please note that  using an instanceSize of M2 or M5 will create a Flex cluster instead. Support for the instanceSize of M2 or M5 will be discontinued in January 2026. We recommend using the createFlexCluster API for such configurations moving forward.
             * @enum {string}
             */
            backingProviderName?: "AWS" | "GCP" | "AZURE";
        } & {
            /**
             * @description discriminator enum property added by openapi-typescript
             * @enum {string}
             */
            providerName: "TENANT";
        }  ;
        /** Text Search Host Status Detail */
        TextSearchHostStatusDetail: {
            /** @description Hostname that corresponds to the status detail. */
            hostname?: string;
            mainIndex?: components["schemas"]["TextSearchIndexStatusDetail"];
            /** @description Flag that indicates whether the index is queryable on the host. */
            queryable?: boolean;
            stagedIndex?: components["schemas"]["TextSearchIndexStatusDetail"];
            /**
             * @description Condition of the search index when you made this request.
             *
             *     - `DELETING`: The index is being deleted.
             *     - `FAILED` The index build failed. Indexes can enter the FAILED state due to an invalid index definition.
             *     - `STALE`: The index is queryable but has stopped replicating data from the indexed collection. Searches on the index may return out-of-date data.
             *     - `PENDING`: Atlas has not yet started building the index.
             *     - `BUILDING`: Atlas is building or re-building the index after an edit.
             *     - `READY`: The index is ready and can support queries.
             * @enum {string}
             */
            status?: "DELETING" | "FAILED" | "STALE" | "PENDING" | "BUILDING" | "READY" | "DOES_NOT_EXIST";
        };
        /** @description Text Search Index Create Request */
        TextSearchIndexCreateRequest: Omit<
            WithRequired<components["schemas"]["SearchIndexCreateRequest"], "collectionName" | "database" | "name">,
            "type"
        > & {
            definition: components["schemas"]["TextSearchIndexDefinition"];
        } & {
            /**
             * @description discriminator enum property added by openapi-typescript
             * @enum {string}
             */
            type: "search";
        };
        /**
         * Text Search Index Definition
         * @description The text search index definition set by the user.
         */
        TextSearchIndexDefinition: {
            /**
             * @description Specific pre-defined method chosen to convert database field text into searchable words. This conversion reduces the text of fields into the smallest units of text. These units are called a **term** or **token**. This process, known as tokenization, involves making the following changes to the text in fields:
             *
             *     - extracting words
             *     - removing punctuation
             *     - removing accents
             *     - changing to lowercase
             *     - removing common words
             *     - reducing words to their root form (stemming)
             *     - changing words to their base form (lemmatization)
             *      MongoDB Cloud uses the process you select to build the Atlas Search index.
             * @default lucene.standard
             * @enum {string}
             */
            analyzer:
                | "lucene.standard"
                | "lucene.simple"
                | "lucene.whitespace"
                | "lucene.keyword"
                | "lucene.arabic"
                | "lucene.armenian"
                | "lucene.basque"
                | "lucene.bengali"
                | "lucene.brazilian"
                | "lucene.bulgarian"
                | "lucene.catalan"
                | "lucene.chinese"
                | "lucene.cjk"
                | "lucene.czech"
                | "lucene.danish"
                | "lucene.dutch"
                | "lucene.english"
                | "lucene.finnish"
                | "lucene.french"
                | "lucene.galician"
                | "lucene.german"
                | "lucene.greek"
                | "lucene.hindi"
                | "lucene.hungarian"
                | "lucene.indonesian"
                | "lucene.irish"
                | "lucene.italian"
                | "lucene.japanese"
                | "lucene.korean"
                | "lucene.kuromoji"
                | "lucene.latvian"
                | "lucene.lithuanian"
                | "lucene.morfologik"
                | "lucene.nori"
                | "lucene.norwegian"
                | "lucene.persian"
                | "lucene.portuguese"
                | "lucene.romanian"
                | "lucene.russian"
                | "lucene.smartcn"
                | "lucene.sorani"
                | "lucene.spanish"
                | "lucene.swedish"
                | "lucene.thai"
                | "lucene.turkish"
                | "lucene.ukrainian";
            /** @description List of user-defined methods to convert database field text into searchable words. */
            analyzers?: components["schemas"]["AtlasSearchAnalyzer"][];
            mappings: components["schemas"]["SearchMappings"];
            /**
             * Format: int32
             * @description Number of index partitions. Allowed values are [1, 2, 4].
             * @default 1
             */
            numPartitions: number;
            /**
             * @description Method applied to identify words when searching this index.
             * @default lucene.standard
             * @enum {string}
             */
            searchAnalyzer:
                | "lucene.standard"
                | "lucene.simple"
                | "lucene.whitespace"
                | "lucene.keyword"
                | "lucene.arabic"
                | "lucene.armenian"
                | "lucene.basque"
                | "lucene.bengali"
                | "lucene.brazilian"
                | "lucene.bulgarian"
                | "lucene.catalan"
                | "lucene.chinese"
                | "lucene.cjk"
                | "lucene.czech"
                | "lucene.danish"
                | "lucene.dutch"
                | "lucene.english"
                | "lucene.finnish"
                | "lucene.french"
                | "lucene.galician"
                | "lucene.german"
                | "lucene.greek"
                | "lucene.hindi"
                | "lucene.hungarian"
                | "lucene.indonesian"
                | "lucene.irish"
                | "lucene.italian"
                | "lucene.japanese"
                | "lucene.korean"
                | "lucene.kuromoji"
                | "lucene.latvian"
                | "lucene.lithuanian"
                | "lucene.morfologik"
                | "lucene.nori"
                | "lucene.norwegian"
                | "lucene.persian"
                | "lucene.portuguese"
                | "lucene.romanian"
                | "lucene.russian"
                | "lucene.smartcn"
                | "lucene.sorani"
                | "lucene.spanish"
                | "lucene.swedish"
                | "lucene.thai"
                | "lucene.turkish"
                | "lucene.ukrainian";
            /**
             * @description Flag that indicates whether to store all fields (true) on Atlas Search. By default, Atlas doesn't store (false) the fields on Atlas Search.  Alternatively, you can specify an object that only contains the list of fields to store (include) or not store (exclude) on Atlas Search. To learn more, see Stored Source Fields.
             * @example {
             *       "include | exclude": [
             *         "field1",
             *         "field2"
             *       ]
             *     }
             */
            storedSource?: Record<string, never>;
            /** @description Rule sets that map words to their synonyms in this index. */
            synonyms?: components["schemas"]["SearchSynonymMappingDefinition"][];
        };
        /** Text Search Index Response */
        TextSearchIndexResponse: Omit<components["schemas"]["SearchIndexResponse"], "type"> & {
            latestDefinition?: components["schemas"]["TextSearchIndexDefinition"];
            /** @description List of documents detailing index status on each host. */
            statusDetail?: components["schemas"]["TextSearchHostStatusDetail"][];
            /**
             * @description Status that describes this index's synonym mappings. This status appears only if the index has synonyms defined.
             * @enum {string}
             */
            synonymMappingStatus?: "FAILED" | "BUILDING" | "READY";
            /** @description A list of documents describing the status of the index's synonym mappings on each search host. Only appears if the index has synonyms defined. */
            synonymMappingStatusDetail?: {
                [key: string]: components["schemas"]["SynonymMappingStatusDetail"];
            }[];
        } & {
            /**
             * @description discriminator enum property added by openapi-typescript
             * @enum {string}
             */
            type: "search";
        };
        /**
         * Text Search Index Status Detail
         * @description Contains status information about a text search index.
         */
        TextSearchIndexStatusDetail: {
            definition?: components["schemas"]["TextSearchIndexDefinition"];
            definitionVersion?: components["schemas"]["SearchIndexDefinitionVersion"];
            /** @description Optional message describing an error. */
            message?: string;
            /** @description Flag that indicates whether the index generation is queryable on the host. */
            queryable?: boolean;
            /**
             * @description Condition of the search index when you made this request.
             *
             *     - `DELETING`: The index is being deleted.
             *     - `FAILED` The index build failed. Indexes can enter the FAILED state due to an invalid index definition.
             *     - `STALE`: The index is queryable but has stopped replicating data from the indexed collection. Searches on the index may return out-of-date data.
             *     - `PENDING`: Atlas has not yet started building the index.
             *     - `BUILDING`: Atlas is building or re-building the index after an edit.
             *     - `READY`: The index is ready and can support queries.
             * @enum {string}
             */
            status?: "DELETING" | "FAILED" | "STALE" | "PENDING" | "BUILDING" | "READY" | "DOES_NOT_EXIST";
            /**
             * @description Status that describes this index's synonym mappings. This status appears only if the index has synonyms defined.
             * @enum {string}
             */
            synonymMappingStatus?: "FAILED" | "BUILDING" | "READY";
            /** @description List of synonym statuses by mapping. */
            synonymMappingStatusDetail?: components["schemas"]["SynonymMappingStatusDetailMap"][];
        };
        /**
         * englishPossessive
         * @description Filter that removes possessives (trailing 's) from words.
         */
        TokenFilterEnglishPossessive: {
            /**
             * @description Human-readable label that identifies this token filter type.
             * @enum {string}
             */
            type: "englishPossessive";
        };
        /**
         * flattenGraph
         * @description Filter that transforms a token filter graph, such as the token filter graph that the wordDelimiterGraph token filter produces, into a flat form suitable for indexing.
         */
        TokenFilterFlattenGraph: {
            /**
             * @description Human-readable label that identifies this token filter type.
             * @enum {string}
             */
            type: "flattenGraph";
        };
        /**
         * porterStemming
         * @description Filter that uses the porter stemming algorithm to remove the common morphological and inflectional suffixes from words in English. It expects lowercase text and doesn't work as expected for uppercase text.
         */
        TokenFilterPorterStemming: {
            /**
             * @description Human-readable label that identifies this token filter type.
             * @enum {string}
             */
            type: "porterStemming";
        };
        /**
         * spanishPluralStemming
         * @description Filter that stems Spanish plural words. It expects lowercase text.
         */
        TokenFilterSpanishPluralStemming: {
            /**
             * @description Human-readable label that identifies this token filter type.
             * @enum {string}
             */
            type: "spanishPluralStemming";
        };
        /**
         * stempel
         * @description Filter that uses Lucene's default Polish stemmer table to stem words in the Polish language. It expects lowercase text.
         */
        TokenFilterStempel: {
            /**
             * @description Human-readable label that identifies this token filter type.
             * @enum {string}
             */
            type: "stempel";
        };
        /**
         * wordDelimiterGraph
         * @description Filter that splits tokens into sub-tokens based on configured rules.
         */
        TokenFilterWordDelimiterGraph: {
            /** @description Object that contains the rules that determine how to split words into sub-words. */
            delimiterOptions?: {
                /**
                 * @description Flag that indicates whether to concatenate runs.
                 * @default false
                 */
                concatenateAll: boolean;
                /**
                 * @description Flag that indicates whether to concatenate runs of sub-numbers.
                 * @default false
                 */
                concatenateNumbers: boolean;
                /**
                 * @description Flag that indicates whether to concatenate runs of sub-words.
                 * @default false
                 */
                concatenateWords: boolean;
                /**
                 * @description Flag that indicates whether to split tokens based on sub-numbers. For example, if `true`, this option splits `100-2` into `100` and `2`.
                 * @default true
                 */
                generateNumberParts: boolean;
                /**
                 * @description Flag that indicates whether to split tokens based on sub-words.
                 * @default true
                 */
                generateWordParts: boolean;
                /**
                 * @description Flag that indicates whether to skip tokens with the `keyword` attribute set to `true`.
                 * @default false
                 */
                ignoreKeywords: boolean;
                /**
                 * @description Flag that indicates whether to generate tokens of the original words.
                 * @default true
                 */
                preserveOriginal: boolean;
                /**
                 * @description Flag that indicates whether to split tokens based on letter-case transitions.
                 * @default true
                 */
                splitOnCaseChange: boolean;
                /**
                 * @description Flag that indicates whether to split tokens based on letter-number transitions.
                 * @default true
                 */
                splitOnNumerics: boolean;
                /**
                 * @description Flag that indicates whether to remove trailing possessives from each sub-word.
                 * @default true
                 */
                stemEnglishPossessive: boolean;
            };
            /** @description Object that contains options for protected words. */
            protectedWords?: {
                /**
                 * @description Flag that indicates whether to ignore letter case sensitivity for protected words.
                 * @default true
                 */
                ignoreCase: boolean;
                /** @description List that contains the tokens to protect from delimination. */
                words: string[];
            };
            /**
             * @description Human-readable label that identifies this token filter type.
             * @enum {string}
             */
            type: "wordDelimiterGraph";
        };
        /**
         * kStemming
         * @description Filter that combines algorithmic stemming with a built-in dictionary for the English language to stem words.
         */
        TokenFilterkStemming: {
            /**
             * @description Human-readable label that identifies this token filter type.
             * @enum {string}
             */
            type: "kStemming";
        };
        /**
         * Database User Scope
         * @description Range of resources available to this database user.
         */
        UserScope: {
            /** @description Human-readable label that identifies the cluster or MongoDB Atlas Data Lake that this database user can access. */
            name: string;
            /**
             * @description Category of resource that this database user can access.
             * @enum {string}
             */
            type: "CLUSTER" | "DATA_LAKE" | "STREAM";
        };
        /** Vector Search Host Status Detail */
        VectorSearchHostStatusDetail: {
            /** @description Hostname that corresponds to the status detail. */
            hostname?: string;
            mainIndex?: components["schemas"]["VectorSearchIndexStatusDetail"];
            /** @description Flag that indicates whether the index is queryable on the host. */
            queryable?: boolean;
            stagedIndex?: components["schemas"]["VectorSearchIndexStatusDetail"];
            /**
             * @description Condition of the search index when you made this request.
             *
             *     - `DELETING`: The index is being deleted.
             *     - `FAILED` The index build failed. Indexes can enter the FAILED state due to an invalid index definition.
             *     - `STALE`: The index is queryable but has stopped replicating data from the indexed collection. Searches on the index may return out-of-date data.
             *     - `PENDING`: Atlas has not yet started building the index.
             *     - `BUILDING`: Atlas is building or re-building the index after an edit.
             *     - `READY`: The index is ready and can support queries.
             * @enum {string}
             */
            status?: "DELETING" | "FAILED" | "STALE" | "PENDING" | "BUILDING" | "READY" | "DOES_NOT_EXIST";
        };
        VectorSearchIndex: Omit<
            WithRequired<components["schemas"]["ClusterSearchIndex"], "collectionName" | "database" | "name">,
            "type"
        > & {
            /** @description Settings that configure the fields, one per object, to index. You must define at least one "vector" type field. You can optionally define "filter" type fields also. */
            fields?: components["schemas"]["BasicDBObject"][];
        } & {
            /**
             * @description discriminator enum property added by openapi-typescript
             * @enum {string}
             */
            type: "vectorSearch";
        };
        /** @description Vector Search Index Create Request */
        VectorSearchIndexCreateRequest: Omit<
            WithRequired<components["schemas"]["SearchIndexCreateRequest"], "collectionName" | "database" | "name">,
            "type"
        > & {
            definition: components["schemas"]["VectorSearchIndexDefinition"];
        } & {
            /**
             * @description discriminator enum property added by openapi-typescript
             * @enum {string}
             */
            type: "vectorSearch";
        };
        /**
         * Vector Search Index Definition
         * @description The vector search index definition set by the user.
         */
        VectorSearchIndexDefinition: {
            /** @description Settings that configure the fields, one per object, to index. You must define at least one "vector" type field. You can optionally define "filter" type fields also. */
            fields?: components["schemas"]["BasicDBObject"][];
            /**
             * Format: int32
             * @description Number of index partitions. Allowed values are [1, 2, 4].
             * @default 1
             */
            numPartitions: number;
        };
        /** Vector Search Index Response */
        VectorSearchIndexResponse: Omit<components["schemas"]["SearchIndexResponse"], "type"> & {
            latestDefinition?: components["schemas"]["VectorSearchIndexDefinition"];
            /** @description List of documents detailing index status on each host. */
            statusDetail?: components["schemas"]["VectorSearchHostStatusDetail"][];
        } & {
            /**
             * @description discriminator enum property added by openapi-typescript
             * @enum {string}
             */
            type: "vectorSearch";
        };
        /**
         * Vector Search Index Status Detail
         * @description Contains status information about a vector search index.
         */
        VectorSearchIndexStatusDetail: {
            definition?: components["schemas"]["VectorSearchIndexDefinition"];
            definitionVersion?: components["schemas"]["SearchIndexDefinitionVersion"];
            /** @description Optional message describing an error. */
            message?: string;
            /** @description Flag that indicates whether the index generation is queryable on the host. */
            queryable?: boolean;
            /**
             * @description Condition of the search index when you made this request.
             *
             *     - `DELETING`: The index is being deleted.
             *     - `FAILED` The index build failed. Indexes can enter the FAILED state due to an invalid index definition.
             *     - `STALE`: The index is queryable but has stopped replicating data from the indexed collection. Searches on the index may return out-of-date data.
             *     - `PENDING`: Atlas has not yet started building the index.
             *     - `BUILDING`: Atlas is building or re-building the index after an edit.
             *     - `READY`: The index is ready and can support queries.
             * @enum {string}
             */
            status?: "DELETING" | "FAILED" | "STALE" | "PENDING" | "BUILDING" | "READY" | "DOES_NOT_EXIST";
        };
        WeeklyScheduleView: Omit<WithRequired<components["schemas"]["OnlineArchiveSchedule"], "type">, "type"> & {
            /**
             * Format: int32
             * @description Day of the week when the scheduled archive starts. The week starts with Monday (`1`) and ends with Sunday (`7`).
             */
            dayOfWeek?: number;
            /**
             * Format: int32
             * @description Hour of the day when the scheduled window to run one online archive ends.
             */
            endHour?: number;
            /**
             * Format: int32
             * @description Minute of the hour when the scheduled window to run one online archive ends.
             */
            endMinute?: number;
            /**
             * Format: int32
             * @description Hour of the day when the when the scheduled window to run one online archive starts.
             */
            startHour?: number;
            /**
             * Format: int32
             * @description Minute of the hour when the scheduled window to run one online archive starts.
             */
            startMinute?: number;
        } & {
            /**
             * @description discriminator enum property added by openapi-typescript
             * @enum {string}
             */
            type: "WEEKLY";
        }  ;
        /**
         * htmlStrip
         * @description Filter that strips out HTML constructs.
         */
        charFilterhtmlStrip: {
            /** @description The HTML tags that you want to exclude from filtering. */
            ignoredTags?: string[];
            /**
             * @description Human-readable label that identifies this character filter type.
             * @enum {string}
             */
            type: "htmlStrip";
        };
        /**
         * icuNormalize
         * @description Filter that processes normalized text with the ICU Normalizer. It is based on Lucene's ICUNormalizer2CharFilter.
         */
        charFiltericuNormalize: {
            /**
             * @description Human-readable label that identifies this character filter type.
             * @enum {string}
             */
            type: "icuNormalize";
        };
        /**
         * mapping
         * @description Filter that applies normalization mappings that you specify to characters.
         */
        charFiltermapping: {
            /** @description Comma-separated list of mappings. A mapping indicates that one character or group of characters should be substituted for another, using the following format:
             *
             *     `<original> : <replacement>`. */
            mappings: {
                [key: string]: string;
            };
            /**
             * @description Human-readable label that identifies this character filter type.
             * @enum {string}
             */
            type: "mapping";
        };
        /**
         * persian
         * @description Filter that replaces instances of a zero-width non-joiner with an ordinary space. It is based on Lucene's PersianCharFilter.
         */
        charFilterpersian: {
            /**
             * @description Human-readable label that identifies this character filter type.
             * @enum {string}
             */
            type: "persian";
        };
        /**
         * asciiFolding
         * @description Filter that converts alphabetic, numeric, and symbolic Unicode characters that are not in the Basic Latin Unicode block to their ASCII equivalents, if available.
         */
        tokenFilterasciiFolding: {
            /**
             * @description Value that indicates whether to include or omit the original tokens in the output of the token filter.
             *
             *     Choose `include` if you want to support queries on both the original tokens as well as the converted forms.
             *
             *      Choose `omit` if you want to query only on the converted forms of the original tokens.
             * @default omit
             * @enum {string}
             */
            originalTokens: "omit" | "include";
            /**
             * @description Human-readable label that identifies this token filter type.
             * @enum {string}
             */
            type: "asciiFolding";
        };
        /**
         * daitchMokotoffSoundex
         * @description Filter that creates tokens for words that sound the same based on the Daitch-Mokotoff Soundex phonetic algorithm. This filter can generate multiple encodings for each input, where each encoded token is a 6 digit number.
         *
         *     **NOTE**: Don't use the **daitchMokotoffSoundex** token filter in:
         *
         *     -Synonym or autocomplete mapping definitions
         *     - Operators where **fuzzy** is enabled. Atlas Search supports the **fuzzy** option only for the **autocomplete**, **term**, and **text** operators.
         */
        tokenFilterdaitchMokotoffSoundex: {
            /**
             * @description Value that indicates whether to include or omit the original tokens in the output of the token filter.
             *
             *     Choose `include` if you want to support queries on both the original tokens as well as the converted forms.
             *
             *      Choose `omit` if you want to query only on the converted forms of the original tokens.
             * @default include
             * @enum {string}
             */
            originalTokens: "omit" | "include";
            /**
             * @description Human-readable label that identifies this token filter type.
             * @enum {string}
             */
            type: "daitchMokotoffSoundex";
        };
        /**
         * edgeGram
         * @description Filter that tokenizes input from the left side, or "edge", of a text input into n-grams of configured sizes. You can't use this token filter in synonym or autocomplete mapping definitions.
         */
        tokenFilteredgeGram: {
            /** @description Value that specifies the maximum length of generated n-grams. This value must be greater than or equal to **minGram**. */
            maxGram: number;
            /** @description Value that specifies the minimum length of generated n-grams. This value must be less than or equal to **maxGram**. */
            minGram: number;
            /**
             * @description Value that indicates whether to index tokens shorter than **minGram** or longer than **maxGram**.
             * @default omit
             * @enum {string}
             */
            termNotInBounds: "omit" | "include";
            /**
             * @description Human-readable label that identifies this token filter type.
             * @enum {string}
             */
            type: "edgeGram";
        };
        /**
         * icuFolding
         * @description Filter that applies character folding from Unicode Technical Report #30.
         */
        tokenFiltericuFolding: {
            /**
             * @description Human-readable label that identifies this token filter type.
             * @enum {string}
             */
            type: "icuFolding";
        };
        /**
         * icuNormalizer
         * @description Filter that normalizes tokens using a standard Unicode Normalization Mode.
         */
        tokenFiltericuNormalizer: {
            /**
             * @description Normalization form to apply.
             * @default nfc
             * @enum {string}
             */
            normalizationForm: "nfd" | "nfc" | "nfkd" | "nfkc";
            /**
             * @description Human-readable label that identifies this token filter type.
             * @enum {string}
             */
            type: "icuNormalizer";
        };
        /**
         * length
         * @description Filter that removes tokens that are too short or too long.
         */
        tokenFilterlength: {
            /**
             * @description Number that specifies the maximum length of a token. Value must be greater than or equal to **min**.
             * @default 255
             */
            max: number;
            /**
             * @description Number that specifies the minimum length of a token. This value must be less than or equal to **max**.
             * @default 0
             */
            min: number;
            /**
             * @description Human-readable label that identifies this token filter type.
             * @enum {string}
             */
            type: "length";
        };
        /**
         * lowercase
         * @description Filter that normalizes token text to lowercase.
         */
        tokenFilterlowercase: {
            /**
             * @description Human-readable label that identifies this token filter type.
             * @enum {string}
             */
            type: "lowercase";
        };
        /**
         * nGram
         * @description Filter that tokenizes input into n-grams of configured sizes. You can't use this token filter in synonym or autocomplete mapping definitions.
         */
        tokenFilternGram: {
            /** @description Value that specifies the maximum length of generated n-grams. This value must be greater than or equal to **minGram**. */
            maxGram: number;
            /** @description Value that specifies the minimum length of generated n-grams. This value must be less than or equal to **maxGram**. */
            minGram: number;
            /**
             * @description Value that indicates whether to index tokens shorter than **minGram** or longer than **maxGram**.
             * @default omit
             * @enum {string}
             */
            termNotInBounds: "omit" | "include";
            /**
             * @description Human-readable label that identifies this token filter type.
             * @enum {string}
             */
            type: "nGram";
        };
        /**
         * regex
         * @description Filter that applies a regular expression to each token, replacing matches with a specified string.
         */
        tokenFilterregex: {
            /**
             * @description Value that indicates whether to replace only the first matching pattern or all matching patterns.
             * @enum {string}
             */
            matches: "all" | "first";
            /** @description Regular expression pattern to apply to each token. */
            pattern: string;
            /** @description Replacement string to substitute wherever a matching pattern occurs. */
            replacement: string;
            /**
             * @description Human-readable label that identifies this token filter type.
             * @enum {string}
             */
            type: "regex";
        };
        /**
         * reverse
         * @description Filter that reverses each string token.
         */
        tokenFilterreverse: {
            /**
             * @description Human-readable label that identifies this token filter type.
             * @enum {string}
             */
            type: "reverse";
        };
        /**
         * shingle
         * @description Filter that constructs shingles (token n-grams) from a series of tokens. You can't use this token filter in synonym or autocomplete mapping definitions.
         */
        tokenFiltershingle: {
            /** @description Value that specifies the maximum number of tokens per shingle. This value must be greater than or equal to **minShingleSize**. */
            maxShingleSize: number;
            /** @description Value that specifies the minimum number of tokens per shingle. This value must be less than or equal to **maxShingleSize**. */
            minShingleSize: number;
            /**
             * @description Human-readable label that identifies this token filter type.
             * @enum {string}
             */
            type: "shingle";
        };
        /**
         * snowballStemming
         * @description Filter that stems tokens using a Snowball-generated stemmer.
         */
        tokenFiltersnowballStemming: {
            /**
             * @description Snowball-generated stemmer to use.
             * @enum {string}
             */
            stemmerName:
                | "arabic"
                | "armenian"
                | "basque"
                | "catalan"
                | "danish"
                | "dutch"
                | "english"
                | "finnish"
                | "french"
                | "german"
                | "german2"
                | "hungarian"
                | "irish"
                | "italian"
                | "kp"
                | "lithuanian"
                | "lovins"
                | "norwegian"
                | "porter"
                | "portuguese"
                | "romanian"
                | "russian"
                | "spanish"
                | "swedish"
                | "turkish";
            /**
             * @description Human-readable label that identifies this token filter type.
             * @enum {string}
             */
            type: "snowballStemming";
        };
        /**
         * stopword
         * @description Filter that removes tokens that correspond to the specified stop words. This token filter doesn't analyze the stop words that you specify.
         */
        tokenFilterstopword: {
            /**
             * @description Flag that indicates whether to ignore the case of stop words when filtering the tokens to remove.
             * @default true
             */
            ignoreCase: boolean;
            /** @description The stop words that correspond to the tokens to remove. Value must be one or more stop words. */
            tokens: string[];
            /**
             * @description Human-readable label that identifies this token filter type.
             * @enum {string}
             */
            type: "stopword";
        };
        /**
         * trim
         * @description Filter that trims leading and trailing whitespace from tokens.
         */
        tokenFiltertrim: {
            /**
             * @description Human-readable label that identifies this token filter type.
             * @enum {string}
             */
            type: "trim";
        };
        /**
         * edgeGram
         * @description Tokenizer that splits input from the left side, or "edge", of a text input into n-grams of given sizes. You can't use the edgeGram tokenizer in synonym or autocomplete mapping definitions.
         */
        tokenizeredgeGram: {
            /** @description Characters to include in the longest token that Atlas Search creates. */
            maxGram: number;
            /** @description Characters to include in the shortest token that Atlas Search creates. */
            minGram: number;
            /**
             * @description Human-readable label that identifies this tokenizer type. (enum property replaced by openapi-typescript)
             * @enum {string}
             */
            type: "edgeGram";
        };
        /**
         * keyword
         * @description Tokenizer that combines the entire input as a single token.
         */
        tokenizerkeyword: {
            /**
             * @description Human-readable label that identifies this tokenizer type. (enum property replaced by openapi-typescript)
             * @enum {string}
             */
            type: "keyword";
        };
        /**
         * nGram
         * @description Tokenizer that splits input into text chunks, or "n-grams", of into given sizes. You can't use the nGram tokenizer in synonym or autocomplete mapping definitions.
         */
        tokenizernGram: {
            /** @description Characters to include in the longest token that Atlas Search creates. */
            maxGram: number;
            /** @description Characters to include in the shortest token that Atlas Search creates. */
            minGram: number;
            /**
             * @description Human-readable label that identifies this tokenizer type. (enum property replaced by openapi-typescript)
             * @enum {string}
             */
            type: "nGram";
        };
        /**
         * regexCaptureGroup
         * @description Tokenizer that uses a regular expression pattern to extract tokens.
         */
        tokenizerregexCaptureGroup: {
            /** @description Index of the character group within the matching expression to extract into tokens. Use `0` to extract all character groups. */
            group: number;
            /** @description Regular expression to match against. */
            pattern: string;
            /**
             * @description Human-readable label that identifies this tokenizer type. (enum property replaced by openapi-typescript)
             * @enum {string}
             */
            type: "regexCaptureGroup";
        };
        /**
         * regexSplit
         * @description Tokenizer that splits tokens using a regular-expression based delimiter.
         */
        tokenizerregexSplit: {
            /** @description Regular expression to match against. */
            pattern: string;
            /**
             * @description Human-readable label that identifies this tokenizer type. (enum property replaced by openapi-typescript)
             * @enum {string}
             */
            type: "regexSplit";
        };
        /**
         * standard
         * @description Tokenizer that splits tokens based on word break rules from the Unicode Text Segmentation algorithm.
         */
        tokenizerstandard: {
            /**
             * @description Maximum number of characters in a single token. Tokens greater than this length are split at this length into multiple tokens.
             * @default 255
             */
            maxTokenLength: number;
            /**
             * @description Human-readable label that identifies this tokenizer type. (enum property replaced by openapi-typescript)
             * @enum {string}
             */
            type: "standard";
        };
        /**
         * uaxUrlEmail
         * @description Tokenizer that creates tokens from URLs and email addresses. Although this tokenizer uses word break rules from the Unicode Text Segmentation algorithm, we recommend using it only when the indexed field value includes URLs and email addresses. For fields that don't include URLs or email addresses, use the **standard** tokenizer to create tokens based on word break rules.
         */
        tokenizeruaxUrlEmail: {
            /**
             * @description Maximum number of characters in a single token. Tokens greater than this length are split at this length into multiple tokens.
             * @default 255
             */
            maxTokenLength: number;
            /**
             * @description Human-readable label that identifies this tokenizer type. (enum property replaced by openapi-typescript)
             * @enum {string}
             */
            type: "uaxUrlEmail";
        };
        /**
         * whitespace
         * @description Tokenizer that creates tokens based on occurrences of whitespace between words.
         */
        tokenizerwhitespace: {
            /**
             * @description Maximum number of characters in a single token. Tokens greater than this length are split at this length into multiple tokens.
             * @default 255
             */
            maxTokenLength: number;
            /**
             * @description Human-readable label that identifies this tokenizer type. (enum property replaced by openapi-typescript)
             * @enum {string}
             */
            type: "whitespace";
        };
    };
    responses: {
        /** @description Bad Request. */
        badRequest: {
            headers: {
                [name: string]: unknown;
            };
            content: {
                "application/json": components["schemas"]["ApiError"];
            };
        };
        /** @description Conflict. */
        conflict: {
            headers: {
                [name: string]: unknown;
            };
            content: {
                "application/json": components["schemas"]["ApiError"];
            };
        };
        /** @description Forbidden. */
        forbidden: {
            headers: {
                [name: string]: unknown;
            };
            content: {
                "application/json": components["schemas"]["ApiError"];
            };
        };
        /** @description Internal Server Error. */
        internalServerError: {
            headers: {
                [name: string]: unknown;
            };
            content: {
                "application/json": components["schemas"]["ApiError"];
            };
        };
        /** @description Not Found. */
        notFound: {
            headers: {
                [name: string]: unknown;
            };
            content: {
                "application/json": components["schemas"]["ApiError"];
            };
        };
        /** @description Payment Required. */
        paymentRequired: {
            headers: {
                [name: string]: unknown;
            };
            content: {
                "application/json": components["schemas"]["ApiError"];
            };
        };
        /** @description Unauthorized. */
        unauthorized: {
            headers: {
                [name: string]: unknown;
            };
            content: {
                "application/json": components["schemas"]["ApiError"];
            };
        };
    };
    parameters: {
        /** @description Flag that indicates whether Application wraps the response in an `envelope` JSON object. Some API clients cannot access the HTTP response headers or status code. To remediate this, set envelope=true in the query. Endpoints that return a list of results use the results object as an envelope. Application adds the status parameter to the response body. */
        envelope: boolean;
        /** @description Unique 24-hexadecimal digit string that identifies your project. Use the [/groups](#tag/Projects/operation/listProjects) endpoint to retrieve all projects to which the authenticated user has access.
         *
         *     **NOTE**: Groups and projects are synonymous terms. Your group id is the same as your project id. For existing groups, your group/project id remains the same. The resource and corresponding endpoints use the term groups. */
        groupId: string;
        /** @description Flag that indicates whether the response returns the total number of items (**totalCount**) in the response. */
        includeCount: boolean;
        /** @description Number of items that the response returns per page. */
        itemsPerPage: number;
        /** @description Number of the page that displays the current set of the total objects that the response returns. */
        pageNum: number;
        /** @description Flag that indicates whether the response body should be in the prettyprint format. */
        pretty: boolean;
    };
    requestBodies: never;
    headers: never;
    pathItems: never;
}
export type AwsCloudProviderContainer = components["schemas"]["AWSCloudProviderContainer"];
export type AwsCloudProviderSettings = components["schemas"]["AWSCloudProviderSettings"];
export type AwsComputeAutoScaling = components["schemas"]["AWSComputeAutoScaling"];
export type AwsCreateDataProcessRegionView = components["schemas"]["AWSCreateDataProcessRegionView"];
export type AwsDataProcessRegionView = components["schemas"]["AWSDataProcessRegionView"];
export type AwsHardwareSpec = components["schemas"]["AWSHardwareSpec"];
export type AwsHardwareSpec20240805 = components["schemas"]["AWSHardwareSpec20240805"];
export type AwsRegionConfig = components["schemas"]["AWSRegionConfig"];
export type AwsRegionConfig20240805 = components["schemas"]["AWSRegionConfig20240805"];
export type AdvancedAutoScalingSettings = components["schemas"]["AdvancedAutoScalingSettings"];
export type AdvancedComputeAutoScaling = components["schemas"]["AdvancedComputeAutoScaling"];
export type ApiAtlasCloudProviderAccessFeatureUsageFeatureIdView =
    components["schemas"]["ApiAtlasCloudProviderAccessFeatureUsageFeatureIdView"];
export type ApiAtlasClusterAdvancedConfigurationView =
    components["schemas"]["ApiAtlasClusterAdvancedConfigurationView"];
export type ApiAtlasFtsAnalyzersViewManual = components["schemas"]["ApiAtlasFTSAnalyzersViewManual"];
export type ApiAtlasFtsMappingsViewManual = components["schemas"]["ApiAtlasFTSMappingsViewManual"];
export type ApiError = components["schemas"]["ApiError"];
export type AtlasSearchAnalyzer = components["schemas"]["AtlasSearchAnalyzer"];
export type AzureCloudProviderContainer = components["schemas"]["AzureCloudProviderContainer"];
export type AzureCloudProviderSettings = components["schemas"]["AzureCloudProviderSettings"];
export type AzureComputeAutoScalingRules = components["schemas"]["AzureComputeAutoScalingRules"];
export type AzureCreateDataProcessRegionView = components["schemas"]["AzureCreateDataProcessRegionView"];
export type AzureDataProcessRegionView = components["schemas"]["AzureDataProcessRegionView"];
export type AzureHardwareSpec = components["schemas"]["AzureHardwareSpec"];
export type AzureHardwareSpec20240805 = components["schemas"]["AzureHardwareSpec20240805"];
export type AzureRegionConfig = components["schemas"]["AzureRegionConfig"];
export type AzureRegionConfig20240805 = components["schemas"]["AzureRegionConfig20240805"];
export type BadRequestDetail = components["schemas"]["BadRequestDetail"];
export type BaseCloudProviderInstanceSize = components["schemas"]["BaseCloudProviderInstanceSize"];
export type BasicDbObject = components["schemas"]["BasicDBObject"];
export type BiConnector = components["schemas"]["BiConnector"];
export type BillingInvoice = components["schemas"]["BillingInvoice"];
export type BillingInvoiceMetadata = components["schemas"]["BillingInvoiceMetadata"];
export type BillingPayment = components["schemas"]["BillingPayment"];
export type BillingRefund = components["schemas"]["BillingRefund"];
export type CloudCluster = components["schemas"]["CloudCluster"];
export type CloudDatabaseUser = components["schemas"]["CloudDatabaseUser"];
export type CloudGcpProviderSettings = components["schemas"]["CloudGCPProviderSettings"];
export type CloudProviderAwsAutoScaling = components["schemas"]["CloudProviderAWSAutoScaling"];
export type CloudProviderAccessAwsiamRole = components["schemas"]["CloudProviderAccessAWSIAMRole"];
export type CloudProviderAccessAwsiamRoleRequestUpdate =
    components["schemas"]["CloudProviderAccessAWSIAMRoleRequestUpdate"];
export type CloudProviderAccessAzureServicePrincipal =
    components["schemas"]["CloudProviderAccessAzureServicePrincipal"];
export type CloudProviderAccessAzureServicePrincipalRequestUpdate =
    components["schemas"]["CloudProviderAccessAzureServicePrincipalRequestUpdate"];
export type CloudProviderAccessDataLakeFeatureUsage = components["schemas"]["CloudProviderAccessDataLakeFeatureUsage"];
export type CloudProviderAccessEncryptionAtRestFeatureUsage =
    components["schemas"]["CloudProviderAccessEncryptionAtRestFeatureUsage"];
export type CloudProviderAccessExportSnapshotFeatureUsage =
    components["schemas"]["CloudProviderAccessExportSnapshotFeatureUsage"];
export type CloudProviderAccessFeatureUsage = components["schemas"]["CloudProviderAccessFeatureUsage"];
export type CloudProviderAccessFeatureUsageDataLakeFeatureId =
    components["schemas"]["CloudProviderAccessFeatureUsageDataLakeFeatureId"];
export type CloudProviderAccessFeatureUsageExportSnapshotFeatureId =
    components["schemas"]["CloudProviderAccessFeatureUsageExportSnapshotFeatureId"];
export type CloudProviderAccessFeatureUsagePushBasedLogExportFeatureId =
    components["schemas"]["CloudProviderAccessFeatureUsagePushBasedLogExportFeatureId"];
export type CloudProviderAccessGcpServiceAccount = components["schemas"]["CloudProviderAccessGCPServiceAccount"];
export type CloudProviderAccessGcpServiceAccountRequestUpdate =
    components["schemas"]["CloudProviderAccessGCPServiceAccountRequestUpdate"];
export type CloudProviderAccessPushBasedLogExportFeatureUsage =
    components["schemas"]["CloudProviderAccessPushBasedLogExportFeatureUsage"];
export type CloudProviderAccessRole = components["schemas"]["CloudProviderAccessRole"];
export type CloudProviderAccessRoleRequestUpdate = components["schemas"]["CloudProviderAccessRoleRequestUpdate"];
export type CloudProviderAzureAutoScaling = components["schemas"]["CloudProviderAzureAutoScaling"];
export type CloudProviderContainer = components["schemas"]["CloudProviderContainer"];
export type CloudProviderGcpAutoScaling = components["schemas"]["CloudProviderGCPAutoScaling"];
export type CloudRegionConfig = components["schemas"]["CloudRegionConfig"];
export type CloudRegionConfig20240805 = components["schemas"]["CloudRegionConfig20240805"];
export type ClusterConnectionStrings = components["schemas"]["ClusterConnectionStrings"];
export type ClusterDescription20240805 = components["schemas"]["ClusterDescription20240805"];
export type ClusterDescriptionConnectionStringsPrivateEndpoint =
    components["schemas"]["ClusterDescriptionConnectionStringsPrivateEndpoint"];
export type ClusterDescriptionConnectionStringsPrivateEndpointEndpoint =
    components["schemas"]["ClusterDescriptionConnectionStringsPrivateEndpointEndpoint"];
export type ClusterFlexProviderSettings = components["schemas"]["ClusterFlexProviderSettings"];
export type ClusterFreeAutoScaling = components["schemas"]["ClusterFreeAutoScaling"];
export type ClusterFreeProviderSettings = components["schemas"]["ClusterFreeProviderSettings"];
export type ClusterProviderSettings = components["schemas"]["ClusterProviderSettings"];
export type ClusterSearchIndex = components["schemas"]["ClusterSearchIndex"];
export type ComponentLabel = components["schemas"]["ComponentLabel"];
export type CreateAwsEndpointRequest = components["schemas"]["CreateAWSEndpointRequest"];
export type CreateAzureEndpointRequest = components["schemas"]["CreateAzureEndpointRequest"];
export type CreateDataProcessRegionView = components["schemas"]["CreateDataProcessRegionView"];
export type CreateEndpointRequest = components["schemas"]["CreateEndpointRequest"];
export type CreateGcpEndpointGroupRequest = components["schemas"]["CreateGCPEndpointGroupRequest"];
export type CreateGcpForwardingRuleRequest = components["schemas"]["CreateGCPForwardingRuleRequest"];
export type CriteriaView = components["schemas"]["CriteriaView"];
export type CustomCriteriaView = components["schemas"]["CustomCriteriaView"];
export type DbRoleToExecute = components["schemas"]["DBRoleToExecute"];
export type DlsIngestionSink = components["schemas"]["DLSIngestionSink"];
export type DailyScheduleView = components["schemas"]["DailyScheduleView"];
export type DataLakeAtlasStoreInstance = components["schemas"]["DataLakeAtlasStoreInstance"];
export type DataLakeAtlasStoreReadConcern = components["schemas"]["DataLakeAtlasStoreReadConcern"];
export type DataLakeAtlasStoreReadPreference = components["schemas"]["DataLakeAtlasStoreReadPreference"];
export type DataLakeAtlasStoreReadPreferenceTag = components["schemas"]["DataLakeAtlasStoreReadPreferenceTag"];
export type DataLakeAzureBlobStore = components["schemas"]["DataLakeAzureBlobStore"];
export type DataLakeDlsawsStore = components["schemas"]["DataLakeDLSAWSStore"];
export type DataLakeDlsAzureStore = components["schemas"]["DataLakeDLSAzureStore"];
export type DataLakeDlsgcpStore = components["schemas"]["DataLakeDLSGCPStore"];
export type DataLakeGoogleCloudStorageStore = components["schemas"]["DataLakeGoogleCloudStorageStore"];
export type DataLakeHttpStore = components["schemas"]["DataLakeHTTPStore"];
export type DataLakePipelinesPartitionField = components["schemas"]["DataLakePipelinesPartitionField"];
export type DataLakeS3StoreSettings = components["schemas"]["DataLakeS3StoreSettings"];
export type DataLakeStoreSettings = components["schemas"]["DataLakeStoreSettings"];
export type DataProcessRegionView = components["schemas"]["DataProcessRegionView"];
export type DatabaseUserRole = components["schemas"]["DatabaseUserRole"];
export type DateCriteriaView = components["schemas"]["DateCriteriaView"];
export type DedicatedHardwareSpec = components["schemas"]["DedicatedHardwareSpec"];
export type DedicatedHardwareSpec20240805 = components["schemas"]["DedicatedHardwareSpec20240805"];
export type DefaultScheduleView = components["schemas"]["DefaultScheduleView"];
export type DiskBackupSnapshotAwsExportBucketRequest =
    components["schemas"]["DiskBackupSnapshotAWSExportBucketRequest"];
export type DiskBackupSnapshotAwsExportBucketResponse =
    components["schemas"]["DiskBackupSnapshotAWSExportBucketResponse"];
export type DiskBackupSnapshotAzureExportBucketRequest =
    components["schemas"]["DiskBackupSnapshotAzureExportBucketRequest"];
export type DiskBackupSnapshotAzureExportBucketResponse =
    components["schemas"]["DiskBackupSnapshotAzureExportBucketResponse"];
export type DiskBackupSnapshotExportBucketRequest = components["schemas"]["DiskBackupSnapshotExportBucketRequest"];
export type DiskBackupSnapshotExportBucketResponse = components["schemas"]["DiskBackupSnapshotExportBucketResponse"];
export type DiskGbAutoScaling = components["schemas"]["DiskGBAutoScaling"];
export type EmployeeAccessGrantView = components["schemas"]["EmployeeAccessGrantView"];
export type FieldViolation = components["schemas"]["FieldViolation"];
export type Fields = components["schemas"]["Fields"];
export type FreeComputeAutoScalingRules = components["schemas"]["FreeComputeAutoScalingRules"];
export type GcpCloudProviderContainer = components["schemas"]["GCPCloudProviderContainer"];
export type GcpComputeAutoScaling = components["schemas"]["GCPComputeAutoScaling"];
export type GcpCreateDataProcessRegionView = components["schemas"]["GCPCreateDataProcessRegionView"];
export type GcpDataProcessRegionView = components["schemas"]["GCPDataProcessRegionView"];
export type GcpHardwareSpec = components["schemas"]["GCPHardwareSpec"];
export type GcpHardwareSpec20240805 = components["schemas"]["GCPHardwareSpec20240805"];
export type GcpRegionConfig = components["schemas"]["GCPRegionConfig"];
export type GcpRegionConfig20240805 = components["schemas"]["GCPRegionConfig20240805"];
export type Group = components["schemas"]["Group"];
export type GroupActiveUserResponse = components["schemas"]["GroupActiveUserResponse"];
export type GroupPendingUserResponse = components["schemas"]["GroupPendingUserResponse"];
export type GroupRoleAssignment = components["schemas"]["GroupRoleAssignment"];
export type GroupUserResponse = components["schemas"]["GroupUserResponse"];
export type HardwareSpec = components["schemas"]["HardwareSpec"];
export type HardwareSpec20240805 = components["schemas"]["HardwareSpec20240805"];
export type IngestionSink = components["schemas"]["IngestionSink"];
export type IngestionSource = components["schemas"]["IngestionSource"];
export type InvoiceLineItem = components["schemas"]["InvoiceLineItem"];
export type Link = components["schemas"]["Link"];
export type MonthlyScheduleView = components["schemas"]["MonthlyScheduleView"];
export type NetworkPermissionEntry = components["schemas"]["NetworkPermissionEntry"];
export type OnDemandCpsSnapshotSource = components["schemas"]["OnDemandCpsSnapshotSource"];
export type OnlineArchiveSchedule = components["schemas"]["OnlineArchiveSchedule"];
export type OrgActiveUserResponse = components["schemas"]["OrgActiveUserResponse"];
export type OrgGroup = components["schemas"]["OrgGroup"];
export type OrgPendingUserResponse = components["schemas"]["OrgPendingUserResponse"];
export type OrgUserResponse = components["schemas"]["OrgUserResponse"];
export type OrgUserRolesResponse = components["schemas"]["OrgUserRolesResponse"];
export type PaginatedApiAtlasDatabaseUserView = components["schemas"]["PaginatedApiAtlasDatabaseUserView"];
export type PaginatedAtlasGroupView = components["schemas"]["PaginatedAtlasGroupView"];
export type PaginatedClusterDescription20240805 = components["schemas"]["PaginatedClusterDescription20240805"];
export type PaginatedNetworkAccessView = components["schemas"]["PaginatedNetworkAccessView"];
export type PaginatedOrgGroupView = components["schemas"]["PaginatedOrgGroupView"];
export type PeriodicCpsSnapshotSource = components["schemas"]["PeriodicCpsSnapshotSource"];
export type ReplicationSpec20240805 = components["schemas"]["ReplicationSpec20240805"];
export type ResourceTag = components["schemas"]["ResourceTag"];
export type SearchHostStatusDetail = components["schemas"]["SearchHostStatusDetail"];
export type SearchIndex = components["schemas"]["SearchIndex"];
export type SearchIndexCreateRequest = components["schemas"]["SearchIndexCreateRequest"];
export type SearchIndexDefinition = components["schemas"]["SearchIndexDefinition"];
export type SearchIndexDefinitionVersion = components["schemas"]["SearchIndexDefinitionVersion"];
export type SearchIndexResponse = components["schemas"]["SearchIndexResponse"];
export type SearchMainIndexStatusDetail = components["schemas"]["SearchMainIndexStatusDetail"];
export type SearchMappings = components["schemas"]["SearchMappings"];
export type SearchStagedIndexStatusDetail = components["schemas"]["SearchStagedIndexStatusDetail"];
export type SearchSynonymMappingDefinition = components["schemas"]["SearchSynonymMappingDefinition"];
export type ServerlessAwsTenantEndpointUpdate = components["schemas"]["ServerlessAWSTenantEndpointUpdate"];
export type ServerlessAzureTenantEndpointUpdate = components["schemas"]["ServerlessAzureTenantEndpointUpdate"];
export type ServerlessTenantEndpointUpdate = components["schemas"]["ServerlessTenantEndpointUpdate"];
export type StreamsAwsConnectionConfig = components["schemas"]["StreamsAWSConnectionConfig"];
export type StreamsAwsLambdaConnection = components["schemas"]["StreamsAWSLambdaConnection"];
export type StreamsClusterConnection = components["schemas"]["StreamsClusterConnection"];
export type StreamsConnection = components["schemas"]["StreamsConnection"];
export type StreamsHttpsConnection = components["schemas"]["StreamsHttpsConnection"];
export type StreamsKafkaAuthentication = components["schemas"]["StreamsKafkaAuthentication"];
export type StreamsKafkaConnection = components["schemas"]["StreamsKafkaConnection"];
export type StreamsKafkaNetworking = components["schemas"]["StreamsKafkaNetworking"];
export type StreamsKafkaNetworkingAccess = components["schemas"]["StreamsKafkaNetworkingAccess"];
export type StreamsKafkaSecurity = components["schemas"]["StreamsKafkaSecurity"];
export type StreamsS3Connection = components["schemas"]["StreamsS3Connection"];
export type StreamsSampleConnection = components["schemas"]["StreamsSampleConnection"];
export type SynonymMappingStatusDetail = components["schemas"]["SynonymMappingStatusDetail"];
export type SynonymMappingStatusDetailMap = components["schemas"]["SynonymMappingStatusDetailMap"];
export type SynonymSource = components["schemas"]["SynonymSource"];
export type TenantHardwareSpec = components["schemas"]["TenantHardwareSpec"];
export type TenantHardwareSpec20240805 = components["schemas"]["TenantHardwareSpec20240805"];
export type TenantRegionConfig = components["schemas"]["TenantRegionConfig"];
export type TenantRegionConfig20240805 = components["schemas"]["TenantRegionConfig20240805"];
export type TextSearchHostStatusDetail = components["schemas"]["TextSearchHostStatusDetail"];
export type TextSearchIndexCreateRequest = components["schemas"]["TextSearchIndexCreateRequest"];
export type TextSearchIndexDefinition = components["schemas"]["TextSearchIndexDefinition"];
export type TextSearchIndexResponse = components["schemas"]["TextSearchIndexResponse"];
export type TextSearchIndexStatusDetail = components["schemas"]["TextSearchIndexStatusDetail"];
export type TokenFilterEnglishPossessive = components["schemas"]["TokenFilterEnglishPossessive"];
export type TokenFilterFlattenGraph = components["schemas"]["TokenFilterFlattenGraph"];
export type TokenFilterPorterStemming = components["schemas"]["TokenFilterPorterStemming"];
export type TokenFilterSpanishPluralStemming = components["schemas"]["TokenFilterSpanishPluralStemming"];
export type TokenFilterStempel = components["schemas"]["TokenFilterStempel"];
export type TokenFilterWordDelimiterGraph = components["schemas"]["TokenFilterWordDelimiterGraph"];
export type TokenFilterkStemming = components["schemas"]["TokenFilterkStemming"];
export type UserScope = components["schemas"]["UserScope"];
export type VectorSearchHostStatusDetail = components["schemas"]["VectorSearchHostStatusDetail"];
export type VectorSearchIndex = components["schemas"]["VectorSearchIndex"];
export type VectorSearchIndexCreateRequest = components["schemas"]["VectorSearchIndexCreateRequest"];
export type VectorSearchIndexDefinition = components["schemas"]["VectorSearchIndexDefinition"];
export type VectorSearchIndexResponse = components["schemas"]["VectorSearchIndexResponse"];
export type VectorSearchIndexStatusDetail = components["schemas"]["VectorSearchIndexStatusDetail"];
export type WeeklyScheduleView = components["schemas"]["WeeklyScheduleView"];
export type CharFilterhtmlStrip = components["schemas"]["charFilterhtmlStrip"];
export type CharFiltericuNormalize = components["schemas"]["charFiltericuNormalize"];
export type CharFiltermapping = components["schemas"]["charFiltermapping"];
export type CharFilterpersian = components["schemas"]["charFilterpersian"];
export type TokenFilterasciiFolding = components["schemas"]["tokenFilterasciiFolding"];
export type TokenFilterdaitchMokotoffSoundex = components["schemas"]["tokenFilterdaitchMokotoffSoundex"];
export type TokenFilteredgeGram = components["schemas"]["tokenFilteredgeGram"];
export type TokenFiltericuFolding = components["schemas"]["tokenFiltericuFolding"];
export type TokenFiltericuNormalizer = components["schemas"]["tokenFiltericuNormalizer"];
export type TokenFilterlength = components["schemas"]["tokenFilterlength"];
export type TokenFilterlowercase = components["schemas"]["tokenFilterlowercase"];
export type TokenFilternGram = components["schemas"]["tokenFilternGram"];
export type TokenFilterregex = components["schemas"]["tokenFilterregex"];
export type TokenFilterreverse = components["schemas"]["tokenFilterreverse"];
export type TokenFiltershingle = components["schemas"]["tokenFiltershingle"];
export type TokenFiltersnowballStemming = components["schemas"]["tokenFiltersnowballStemming"];
export type TokenFilterstopword = components["schemas"]["tokenFilterstopword"];
export type TokenFiltertrim = components["schemas"]["tokenFiltertrim"];
export type TokenizeredgeGram = components["schemas"]["tokenizeredgeGram"];
export type Tokenizerkeyword = components["schemas"]["tokenizerkeyword"];
export type TokenizernGram = components["schemas"]["tokenizernGram"];
export type TokenizerregexCaptureGroup = components["schemas"]["tokenizerregexCaptureGroup"];
export type TokenizerregexSplit = components["schemas"]["tokenizerregexSplit"];
export type Tokenizerstandard = components["schemas"]["tokenizerstandard"];
export type TokenizeruaxUrlEmail = components["schemas"]["tokenizeruaxUrlEmail"];
export type Tokenizerwhitespace = components["schemas"]["tokenizerwhitespace"];
export type ResponseBadRequest = components["responses"]["badRequest"];
export type ResponseConflict = components["responses"]["conflict"];
export type ResponseForbidden = components["responses"]["forbidden"];
export type ResponseInternalServerError = components["responses"]["internalServerError"];
export type ResponseNotFound = components["responses"]["notFound"];
export type ResponsePaymentRequired = components["responses"]["paymentRequired"];
export type ResponseUnauthorized = components["responses"]["unauthorized"];
export type ParameterEnvelope = components["parameters"]["envelope"];
export type ParameterGroupId = components["parameters"]["groupId"];
export type ParameterIncludeCount = components["parameters"]["includeCount"];
export type ParameterItemsPerPage = components["parameters"]["itemsPerPage"];
export type ParameterPageNum = components["parameters"]["pageNum"];
export type ParameterPretty = components["parameters"]["pretty"];
export type $defs = Record<string, never>;
export interface operations {
    listClustersForAllProjects: {
        parameters: {
            query?: {
                /** @description Flag that indicates whether Application wraps the response in an `envelope` JSON object. Some API clients cannot access the HTTP response headers or status code. To remediate this, set envelope=true in the query. Endpoints that return a list of results use the results object as an envelope. Application adds the status parameter to the response body. */
                envelope?: components["parameters"]["envelope"];
                /** @description Flag that indicates whether the response returns the total number of items (**totalCount**) in the response. */
                includeCount?: components["parameters"]["includeCount"];
                /** @description Number of items that the response returns per page. */
                itemsPerPage?: components["parameters"]["itemsPerPage"];
                /** @description Number of the page that displays the current set of the total objects that the response returns. */
                pageNum?: components["parameters"]["pageNum"];
                /** @description Flag that indicates whether the response body should be in the prettyprint format. */
                pretty?: components["parameters"]["pretty"];
            };
            header?: never;
            path?: never;
            cookie?: never;
        };
        requestBody?: never;
        responses: {
            /** @description OK */
            200: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/vnd.atlas.2023-01-01+json": components["schemas"]["PaginatedOrgGroupView"];
                };
            };
            401: components["responses"]["unauthorized"];
            500: components["responses"]["internalServerError"];
        };
    };
    listProjects: {
        parameters: {
            query?: {
                /** @description Flag that indicates whether Application wraps the response in an `envelope` JSON object. Some API clients cannot access the HTTP response headers or status code. To remediate this, set envelope=true in the query. Endpoints that return a list of results use the results object as an envelope. Application adds the status parameter to the response body. */
                envelope?: components["parameters"]["envelope"];
                /** @description Flag that indicates whether the response returns the total number of items (**totalCount**) in the response. */
                includeCount?: components["parameters"]["includeCount"];
                /** @description Number of items that the response returns per page. */
                itemsPerPage?: components["parameters"]["itemsPerPage"];
                /** @description Number of the page that displays the current set of the total objects that the response returns. */
                pageNum?: components["parameters"]["pageNum"];
                /** @description Flag that indicates whether the response body should be in the prettyprint format. */
                pretty?: components["parameters"]["pretty"];
            };
            header?: never;
            path?: never;
            cookie?: never;
        };
        requestBody?: never;
        responses: {
            /** @description OK */
            200: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/vnd.atlas.2023-01-01+json": components["schemas"]["PaginatedAtlasGroupView"];
                };
            };
            400: components["responses"]["badRequest"];
            404: components["responses"]["notFound"];
            500: components["responses"]["internalServerError"];
        };
    };
    createProject: {
        parameters: {
            query?: {
                /** @description Flag that indicates whether Application wraps the response in an `envelope` JSON object. Some API clients cannot access the HTTP response headers or status code. To remediate this, set envelope=true in the query. Endpoints that return a list of results use the results object as an envelope. Application adds the status parameter to the response body. */
                envelope?: components["parameters"]["envelope"];
                /** @description Flag that indicates whether the response body should be in the prettyprint format. */
                pretty?: components["parameters"]["pretty"];
                /** @description Unique 24-hexadecimal digit string that identifies the MongoDB Cloud user to whom to grant the Project Owner role on the specified project. If you set this parameter, it overrides the default value of the oldest Organization Owner. */
                projectOwnerId?: string;
            };
            header?: never;
            path?: never;
            cookie?: never;
        };
        /** @description Creates one project. */
        requestBody: {
            content: {
                "application/vnd.atlas.2023-01-01+json": components["schemas"]["Group"];
            };
        };
        responses: {
            /** @description OK */
            200: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/vnd.atlas.2023-01-01+json": components["schemas"]["Group"];
                };
            };
            400: components["responses"]["badRequest"];
            401: components["responses"]["unauthorized"];
            403: components["responses"]["forbidden"];
            404: components["responses"]["notFound"];
            409: components["responses"]["conflict"];
            500: components["responses"]["internalServerError"];
        };
    };
    getProject: {
        parameters: {
            query?: {
                /** @description Flag that indicates whether Application wraps the response in an `envelope` JSON object. Some API clients cannot access the HTTP response headers or status code. To remediate this, set envelope=true in the query. Endpoints that return a list of results use the results object as an envelope. Application adds the status parameter to the response body. */
                envelope?: components["parameters"]["envelope"];
                /** @description Flag that indicates whether the response body should be in the prettyprint format. */
                pretty?: components["parameters"]["pretty"];
            };
            header?: never;
            path: {
                /** @description Unique 24-hexadecimal digit string that identifies your project. Use the [/groups](#tag/Projects/operation/listProjects) endpoint to retrieve all projects to which the authenticated user has access.
                 *
                 *     **NOTE**: Groups and projects are synonymous terms. Your group id is the same as your project id. For existing groups, your group/project id remains the same. The resource and corresponding endpoints use the term groups. */
                groupId: components["parameters"]["groupId"];
            };
            cookie?: never;
        };
        requestBody?: never;
        responses: {
            /** @description OK */
            200: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/vnd.atlas.2023-01-01+json": components["schemas"]["Group"];
                };
            };
            400: components["responses"]["badRequest"];
            404: components["responses"]["notFound"];
            500: components["responses"]["internalServerError"];
        };
    };
    listProjectIpAccessLists: {
        parameters: {
            query?: {
                /** @description Flag that indicates whether Application wraps the response in an `envelope` JSON object. Some API clients cannot access the HTTP response headers or status code. To remediate this, set envelope=true in the query. Endpoints that return a list of results use the results object as an envelope. Application adds the status parameter to the response body. */
                envelope?: components["parameters"]["envelope"];
                /** @description Flag that indicates whether the response returns the total number of items (**totalCount**) in the response. */
                includeCount?: components["parameters"]["includeCount"];
                /** @description Number of items that the response returns per page. */
                itemsPerPage?: components["parameters"]["itemsPerPage"];
                /** @description Number of the page that displays the current set of the total objects that the response returns. */
                pageNum?: components["parameters"]["pageNum"];
                /** @description Flag that indicates whether the response body should be in the prettyprint format. */
                pretty?: components["parameters"]["pretty"];
            };
            header?: never;
            path: {
                /** @description Unique 24-hexadecimal digit string that identifies your project. Use the [/groups](#tag/Projects/operation/listProjects) endpoint to retrieve all projects to which the authenticated user has access.
                 *
                 *     **NOTE**: Groups and projects are synonymous terms. Your group id is the same as your project id. For existing groups, your group/project id remains the same. The resource and corresponding endpoints use the term groups. */
                groupId: components["parameters"]["groupId"];
            };
            cookie?: never;
        };
        requestBody?: never;
        responses: {
            /** @description OK */
            200: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/vnd.atlas.2023-01-01+json": components["schemas"]["PaginatedNetworkAccessView"];
                };
            };
            401: components["responses"]["unauthorized"];
            500: components["responses"]["internalServerError"];
        };
    };
    createProjectIpAccessList: {
        parameters: {
            query?: {
                /** @description Flag that indicates whether Application wraps the response in an `envelope` JSON object. Some API clients cannot access the HTTP response headers or status code. To remediate this, set envelope=true in the query. Endpoints that return a list of results use the results object as an envelope. Application adds the status parameter to the response body. */
                envelope?: components["parameters"]["envelope"];
                /** @description Flag that indicates whether the response returns the total number of items (**totalCount**) in the response. */
                includeCount?: components["parameters"]["includeCount"];
                /** @description Number of items that the response returns per page. */
                itemsPerPage?: components["parameters"]["itemsPerPage"];
                /** @description Number of the page that displays the current set of the total objects that the response returns. */
                pageNum?: components["parameters"]["pageNum"];
                /** @description Flag that indicates whether the response body should be in the prettyprint format. */
                pretty?: components["parameters"]["pretty"];
            };
            header?: never;
            path: {
                /** @description Unique 24-hexadecimal digit string that identifies your project. Use the [/groups](#tag/Projects/operation/listProjects) endpoint to retrieve all projects to which the authenticated user has access.
                 *
                 *     **NOTE**: Groups and projects are synonymous terms. Your group id is the same as your project id. For existing groups, your group/project id remains the same. The resource and corresponding endpoints use the term groups. */
                groupId: components["parameters"]["groupId"];
            };
            cookie?: never;
        };
        /** @description One or more access list entries to add to the specified project. */
        requestBody: {
            content: {
                "application/vnd.atlas.2023-01-01+json": components["schemas"]["NetworkPermissionEntry"][];
            };
        };
        responses: {
            /** @description OK */
            200: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/vnd.atlas.2023-01-01+json": components["schemas"]["PaginatedNetworkAccessView"];
                };
            };
            400: components["responses"]["badRequest"];
            401: components["responses"]["unauthorized"];
            403: components["responses"]["forbidden"];
            500: components["responses"]["internalServerError"];
        };
    };
    listClusters: {
        parameters: {
            query?: {
                /** @description Flag that indicates whether Application wraps the response in an `envelope` JSON object. Some API clients cannot access the HTTP response headers or status code. To remediate this, set envelope=true in the query. Endpoints that return a list of results use the results object as an envelope. Application adds the status parameter to the response body. */
                envelope?: components["parameters"]["envelope"];
                /** @description Flag that indicates whether the response returns the total number of items (**totalCount**) in the response. */
                includeCount?: components["parameters"]["includeCount"];
                /** @description Number of items that the response returns per page. */
                itemsPerPage?: components["parameters"]["itemsPerPage"];
                /** @description Number of the page that displays the current set of the total objects that the response returns. */
                pageNum?: components["parameters"]["pageNum"];
                /** @description Flag that indicates whether the response body should be in the prettyprint format. */
                pretty?: components["parameters"]["pretty"];
                /** @description Flag that indicates whether to return Clusters with retain backups. */
                includeDeletedWithRetainedBackups?: boolean;
            };
            header?: never;
            path: {
                /** @description Unique 24-hexadecimal digit string that identifies your project. Use the [/groups](#tag/Projects/operation/listProjects) endpoint to retrieve all projects to which the authenticated user has access.
                 *
                 *     **NOTE**: Groups and projects are synonymous terms. Your group id is the same as your project id. For existing groups, your group/project id remains the same. The resource and corresponding endpoints use the term groups. */
                groupId: components["parameters"]["groupId"];
            };
            cookie?: never;
        };
        requestBody?: never;
        responses: {
            /** @description OK */
            200: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/vnd.atlas.2024-08-05+json": components["schemas"]["PaginatedClusterDescription20240805"];
                };
            };
            401: components["responses"]["unauthorized"];
            500: components["responses"]["internalServerError"];
        };
    };
    createCluster: {
        parameters: {
            query?: {
                /** @description Flag that indicates whether Application wraps the response in an `envelope` JSON object. Some API clients cannot access the HTTP response headers or status code. To remediate this, set envelope=true in the query. Endpoints that return a list of results use the results object as an envelope. Application adds the status parameter to the response body. */
                envelope?: components["parameters"]["envelope"];
                /** @description Flag that indicates whether the response body should be in the prettyprint format. */
                pretty?: components["parameters"]["pretty"];
            };
            header?: never;
            path: {
                /** @description Unique 24-hexadecimal digit string that identifies your project. Use the [/groups](#tag/Projects/operation/listProjects) endpoint to retrieve all projects to which the authenticated user has access.
                 *
                 *     **NOTE**: Groups and projects are synonymous terms. Your group id is the same as your project id. For existing groups, your group/project id remains the same. The resource and corresponding endpoints use the term groups. */
                groupId: components["parameters"]["groupId"];
            };
            cookie?: never;
        };
        /** @description Cluster to create in this project. */
        requestBody: {
            content: {
                "application/vnd.atlas.2024-10-23+json": components["schemas"]["ClusterDescription20240805"];
            };
        };
        responses: {
            /** @description Created */
            201: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/vnd.atlas.2024-10-23+json": components["schemas"]["ClusterDescription20240805"];
                };
            };
            400: components["responses"]["badRequest"];
            401: components["responses"]["unauthorized"];
            402: components["responses"]["paymentRequired"];
            403: components["responses"]["forbidden"];
            409: components["responses"]["conflict"];
            500: components["responses"]["internalServerError"];
        };
    };
    getCluster: {
        parameters: {
            query?: {
                /** @description Flag that indicates whether Application wraps the response in an `envelope` JSON object. Some API clients cannot access the HTTP response headers or status code. To remediate this, set envelope=true in the query. Endpoints that return a list of results use the results object as an envelope. Application adds the status parameter to the response body. */
                envelope?: components["parameters"]["envelope"];
                /** @description Flag that indicates whether the response body should be in the prettyprint format. */
                pretty?: components["parameters"]["pretty"];
            };
            header?: never;
            path: {
                /** @description Unique 24-hexadecimal digit string that identifies your project. Use the [/groups](#tag/Projects/operation/listProjects) endpoint to retrieve all projects to which the authenticated user has access.
                 *
                 *     **NOTE**: Groups and projects are synonymous terms. Your group id is the same as your project id. For existing groups, your group/project id remains the same. The resource and corresponding endpoints use the term groups. */
                groupId: components["parameters"]["groupId"];
                /** @description Human-readable label that identifies this cluster. */
                clusterName: string;
            };
            cookie?: never;
        };
        requestBody?: never;
        responses: {
            /** @description OK */
            200: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/vnd.atlas.2024-08-05+json": components["schemas"]["ClusterDescription20240805"];
                };
            };
            401: components["responses"]["unauthorized"];
            404: components["responses"]["notFound"];
            409: components["responses"]["conflict"];
            500: components["responses"]["internalServerError"];
        };
    };
    listDatabaseUsers: {
        parameters: {
            query?: {
                /** @description Flag that indicates whether Application wraps the response in an `envelope` JSON object. Some API clients cannot access the HTTP response headers or status code. To remediate this, set envelope=true in the query. Endpoints that return a list of results use the results object as an envelope. Application adds the status parameter to the response body. */
                envelope?: components["parameters"]["envelope"];
                /** @description Flag that indicates whether the response returns the total number of items (**totalCount**) in the response. */
                includeCount?: components["parameters"]["includeCount"];
                /** @description Number of items that the response returns per page. */
                itemsPerPage?: components["parameters"]["itemsPerPage"];
                /** @description Number of the page that displays the current set of the total objects that the response returns. */
                pageNum?: components["parameters"]["pageNum"];
                /** @description Flag that indicates whether the response body should be in the prettyprint format. */
                pretty?: components["parameters"]["pretty"];
            };
            header?: never;
            path: {
                /** @description Unique 24-hexadecimal digit string that identifies your project. Use the [/groups](#tag/Projects/operation/listProjects) endpoint to retrieve all projects to which the authenticated user has access.
                 *
                 *     **NOTE**: Groups and projects are synonymous terms. Your group id is the same as your project id. For existing groups, your group/project id remains the same. The resource and corresponding endpoints use the term groups. */
                groupId: components["parameters"]["groupId"];
            };
            cookie?: never;
        };
        requestBody?: never;
        responses: {
            /** @description OK */
            200: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/vnd.atlas.2023-01-01+json": components["schemas"]["PaginatedApiAtlasDatabaseUserView"];
                };
            };
            401: components["responses"]["unauthorized"];
            500: components["responses"]["internalServerError"];
        };
    };
    createDatabaseUser: {
        parameters: {
            query?: {
                /** @description Flag that indicates whether Application wraps the response in an `envelope` JSON object. Some API clients cannot access the HTTP response headers or status code. To remediate this, set envelope=true in the query. Endpoints that return a list of results use the results object as an envelope. Application adds the status parameter to the response body. */
                envelope?: components["parameters"]["envelope"];
                /** @description Flag that indicates whether the response body should be in the prettyprint format. */
                pretty?: components["parameters"]["pretty"];
            };
            header?: never;
            path: {
                /** @description Unique 24-hexadecimal digit string that identifies your project. Use the [/groups](#tag/Projects/operation/listProjects) endpoint to retrieve all projects to which the authenticated user has access.
                 *
                 *     **NOTE**: Groups and projects are synonymous terms. Your group id is the same as your project id. For existing groups, your group/project id remains the same. The resource and corresponding endpoints use the term groups. */
                groupId: components["parameters"]["groupId"];
            };
            cookie?: never;
        };
        /** @description Creates one database user in the specified project. */
        requestBody: {
            content: {
                "application/vnd.atlas.2023-01-01+json": components["schemas"]["CloudDatabaseUser"];
            };
        };
        responses: {
            /** @description OK */
            201: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/vnd.atlas.2023-01-01+json": components["schemas"]["CloudDatabaseUser"];
                };
            };
            400: components["responses"]["badRequest"];
            401: components["responses"]["unauthorized"];
            403: components["responses"]["forbidden"];
            404: components["responses"]["notFound"];
            409: components["responses"]["conflict"];
            500: components["responses"]["internalServerError"];
        };
    };
}
type WithRequired<T, K extends keyof T> = T & {
    [P in K]-?: T[P];
};
